var PEOPLE_LIST_P = 1; //报名人员页码
var IMAGE_LIST_P = 1; //精彩瞬间页码
var THIS_ACTIVITY_ID; //存储本次活动ID值
var IDENTITY; //存储用户身份,1为管理员，2为平民
var ACTIVITY_STATUS; //存储活动状态 1.报名未开始 2.报名开始 3.报名结束 4.签到开始 5.活动开始 6.活动结束
var USER_ACTIVITY_STATUS; //存储用户在当前活动的状态 0.未报名 1.已报名 2.已签到 3.已签退
var IS_EVALUATE; //评价时间
var ROOF_SHOW_TYPE; //设置打开蒙版的类型 1.分享活动 2.活动管理
var STATUS_TIME; //活动进入下一步状态所需时间倒计时
var TIMES_TAMP = (Date.parse(new Date()) + parseInt(localStorage.getItem("SysTime"))) / 1000; //与服务器核对的时间戳
var ACTIVITY_START_TIME; //活动开始的时间戳
var THIS_ACTIVITY_NOTICE_LIST; //用于存放公告列表list
var IMAGES_IS_OR_NOT = 0; //精彩图片的上拉加载的可用性
var PEOPLE_IS_OR_NOT = 0; //报名人员的上拉加载的可用性
var HUAN_XIN_ROOM; //用于存储当前加入的聊天室
var USER = JSON.parse(localStorage.getItem("User"));
var THIS_GAME_ID; //当前互动游戏ID值
var CHITCHAT_JURISDICTION = 0; //聊天限制权限 0.所有人 1.报名活动成员 2.签到活动人员 3.不开放聊天
var TOP_WALL_CONSTROL; //用于存放上墙控制指令
var TOP_WALL_BAN_FONT = new Array(); //用于存放上墙禁止的敏感词
var THIS_GAME_TYPE = 0; //用于存放互动游戏类型 0.没有进行中的互动 1.投票 2.上墙
var USER_ATTENTION; //用户存储当前用户是否关注 0.未关注 1.已关注
var THIS_GAME_JURISDICTION; //用于存放互动权限。  1.报名成员都可以参与  2.仅签到活动成员可参与
var SIGN_SETTHING = new Object(); //用于存储签到配置信息
var TIME_CONTORL; //控制时间倒计时
var TIME_CONTORL_TYPE; //时间倒计时的类型 1.已报名 2.签到
var TIME_CONTORL_IS = false; //是否已开启
var VOTE_TYPE; //用于存放投票类型 1.单选 2.多选
var THIS_ACTIVITY_LOGO; //用于存放当前活动的logoURL
var THIS_ACTIVITY_TYPE; //用于区分当前是活动还是课程  1.活动  4.课程
var ACTIVITY_INTERVAL = null; //公告滚动
var HX_IMG; //用于存放聊一聊发送的精彩瞬间
var SPLEND_ID_IMAGE; //用于存放点击查看图片详情的ID
var ALL_PEOPLE; //用于存放报名人员总人数
var IOSTOP = 50;
var IS_ROOF_CLICK = true; //用于判断遮罩层点击是否关闭
/*滑动需要*/
var ox, ex, endx, oy, ey, endy;
apiready = function() {
    /*处理浏览器滑动无法使用 (开始) */
    $("html").on("scroll", function() {
        var scroll = $("html").scrollTop();
        if (scroll == 0) {
            $("html").scrollTop(1);
        }
    });
    var systemType = api.systemType; // 获取手机类型，比如： ios
    if (systemType == 'ios') {
        IOSTOP = 70;
        $(".tab1").css("height", "calc(100% - 80px)");
        var html_height = $("html").height();
        var body_height = $("body").height();
        var tab_height = $(".tab").height();
        var tab1_height = $(".tab1").height();
        api.addEventListener({
            name: 'keyboardshow'
        }, function(ret, err) {
            $('body').scrollTop('0px');
            $("body").css('height', body_height - ret.h);
            $("html").css('height', html_height - ret.h);
            // $(".tab").css('height',tab_height-ret.h);
            $(".tab1").css('height', tab1_height - ret.h);
            $(".send_btn").css("bottom", ret.h);
        });

        api.addEventListener({
            name: 'keyboardhide'
        }, function(ret, err) {
            $('body').scrollTop('0px');
            $("body").css('height', body_height);
            $("html").css('height', html_height);
            // $(".tab").css('height',tab_height);
            $(".tab1").css('height', tab1_height);
            $(".send_btn").css("bottom", '0px');
        });

        $(".tab1").on('touchstart', function() {
            $(".send_btn>input").blur();
        })
    } else {
        $(".page").css("padding-top", "50px");
    }

    $("html").scrollTop(1);
    /*处理浏览器滑动无法使用（结束）*/
    /*首先验证token*/
    if (localStorage.hasOwnProperty("Token")) {
        var url_statusTokenAjax = {
            token: localStorage.getItem("Token")
        };
        CustomAjax(url_statusToken, url_statusTokenAjax, function(ret) {
            /*有效回调*/
        }, true, 'post', false, function(ret) {
            /*失效回调*/
            showtoastspan("您的登录已失效,请重新登录");
            localStorage.removeItem("Token"); // 清除token
            localStorage.removeItem("User"); //清除用户信息
            localStorage.checkedlookid = null; //全局变量，用于存放发布动态时的选择可见人
        });
    }
    /*开始活动处理逻辑*/
    THIS_ACTIVITY_ID = api.pageParam.activityId;
    /*初始化*/
    $(".tabusual").css("height", document.documentElement.clientHeight - $(".header").height() * 2 - 38); //不要小看这个38，这个38是算出来的！
    /*设置图片比例大小*/
    var ImageBL = document.documentElement.clientWidth / 5;
    $(".swiper-container").css("height", ImageBL * 2);
    /*初始化传递AJAX*/
    /*获取现场互动配置*/
    var url_getSettingAjax = {
        activity_id: THIS_ACTIVITY_ID
    }
    CustomAjax(url_getSetting, url_getSettingAjax, function(ret) {
        console.log(JSON.stringify(ret));
        /*设置幕布内容*/
        $(".activity_ing").css("background-image", "url(" + localStorage.img_url + ret.data.curtain + ")");
        if (ret.data.type == 1) {
            /*显示文字*/
            $(".type_font").text(ret.data.content)
                .css("color", ret.data.font_color)
                .css("font-size", ret.data.font_size)
                .show();
        } else if (ret.data.type == 2) {
            /*图片*/
            $(".activity_ing").css("background-image", "url(" + localStorage.img_url + ret.data.content + ")");
        } else {
            console.log(ret.data.content);
            /*外链视频*/
            var iframeHTML = "";
            iframeHTML = `
            ${ret.data.content}
            `;
            $(".activity_ing").append(iframeHTML);
        }
        /*是否开放聊天*/
        if (ret.data.is_im == 1) {
            /*开放聊天*/
            CHITCHAT_JURISDICTION = ret.data.im_privilege;
        } else {
            /*不开放聊天*/
            CHITCHAT_JURISDICTION = 3;
        }
        /*倒计时*/
        // ret.data.countdown_sec
    }, true, 'post', false);
    /*获取活动详情*/
    var url_getActivityDetailAjax = {
        activity_id: THIS_ACTIVITY_ID
    };
    CustomAjax(url_getActivityDetail, url_getActivityDetailAjax, function(ret) {
        console.log(JSON.stringify(ret));
        var data = ret.data;
        $(".Detail>ul>li:nth-child(1)>p").html(data.activity_name);
        $(".Detail>ul>li:nth-child(2)>span").html(data.activity_place);
        $(".Detail>ul>li:nth-child(3)>span").html(timeStampToTime(data.activity_start_time, 3) + "--" + timeStampToTime(data.activity_end_time, 3));
        if (data.limit_number == (-1)) {
            var limit_number = "不限";
        } else {
            var limit_number = data.limit_number;
        }
        ALL_PEOPLE = data.current_number;
        $(".Detail>ul>li:nth-child(4)>span").html(data.current_number + "/" + limit_number);
        $(".organization>p:nth-child(1)>span").html(data.school_name + data.college_name);
        $(".organization>span:nth-child(2)").html(data.association_name);
        $(".organization").attr("assosId", data.association_id);
        /*活动简介*/
        $(".tab2>div:nth-child(1)>span:nth-child(2)").html(data.activity_type_name);
        $(".tab2>div:nth-child(2)>span:nth-child(2)").html(data.activity_place);
        $(".ac_start").html(timeStampToTime(data.activity_start_time, 3));
        $(".tab2>div:nth-child(3)>span:nth-child(2)").html(timeStampToTime(data.register_start_time, 3));
        $(".tab2>div:nth-child(4)>span:nth-child(2)").html(timeStampToTime(data.register_end_time, 3));
        $(".tab2>div:nth-child(5)>span:nth-child(2)").html(timeStampToTime(data.activity_start_time, 3));
        $(".tab2>div:nth-child(6)>span:nth-child(2)").html(timeStampToTime(data.activity_end_time, 3));
        $(".tab2>div:nth-child(7)>span:nth-child(2)").html(data.sign_time + "分钟开始签到");
        var managerHtml = [];
        for (var i in data.manager_name) {
            managerHtml.push(data.manager_name[i]);
        }
        managerHtml = managerHtml.join(",");
        $(".tab2>div:nth-child(8)>span:nth-child(2)").html(managerHtml);
        if (data.lead_teacher) {
            $(".tab2>div:nth-child(9)>span:nth-child(2)").html(data.lead_teacher);
        } else {
            $(".tab2>div:nth-child(9)").hide();
        }
        $(".tab2>div:nth-child(17)>span:nth-child(2)").html(data.activity_mark);
        /*处理评分星星*/
        var score = parseFloat(data.score).toFixed(1);
        var scoreInt = parseInt(score);
        var scoreDou = parseInt((score - scoreInt) * 10);
        var color = scoreDou * 1.5;
        var sum = 15 - color;
        for (var z = 1; z <= scoreInt; z++) {
            $(".xinxin").find("div:nth-child(" + z + ")").css("background", "rgb(255,106,38)");
        }
        scoreInt++;
        if (scoreDou > 0) {
            $(".xinxin").find("div:nth-child(" + scoreInt + ")").css("background", "linear-gradient(to right,rgb(255,106,38) " + color + "px,rgb(237,237,237) " + sum + "px)");
        }
        /*区别类型*/
        if (data.activity_class == 1) {
            /*活动*/
            THIS_ACTIVITY_TYPE = 1;
        } else {
            /*课程*/
            THIS_ACTIVITY_TYPE = 4;
        }
        ReloadTitle(); //初始化头部
        if (data.activity_score == (-1)) {
            var activity_score = 0;
        } else {
            var activity_score = data.activity_score;
        }
        $(".tab2>div:nth-child(10)>span:nth-child(2)").html(activity_score);
        if (data.activity_credit == (-1)) {
            var activity_credit = 0;
        } else {
            var activity_credit = data.activity_credit;
        }
        $(".tab2>div:nth-child(11)>span:nth-child(2)").html(activity_credit);
        /*条件限制*/
        if (data.limit_college_name == (-1)) {
            var limit_college_name = "不限";
        } else {
            var limit_college_name = data.limit_college_name;
        }
        if (data.limit_major_name == (-1)) {
            var limit_major_name = "不限";
        } else {
            var limit_major_name = data.limit_major_name;
        }
        if (data.limit_class_name == (-1)) {
            var limit_class_name = "不限";
        } else {
            var limit_class_name = data.limit_class_name;
        }
        if (data.limit_degree_id == (-1)) {
            var limit_degree_id = "不限";
        } else {
            var limit_degree_id = data.limit_degree_id;
        }
        $(".tab2>div:nth-child(13)>span:nth-child(2)").html(limit_college_name);
        $(".tab2>div:nth-child(14)>span:nth-child(2)").html(limit_major_name);
        $(".tab2>div:nth-child(15)>span:nth-child(2)").html(limit_class_name);
        $(".tab2>div:nth-child(16)>span:nth-child(2)").html(limit_degree_id);
        THIS_ACTIVITY_LOGO = data.logo_img_url;
        /*轮播组件（开始）*/
        var imagesHTML = "";
        for (var i = 0; i < data.ad_img_url.length; i++) {
            imagesHTML += `
          <div class="swiper-slide">
              <img src="${localStorage.img_url + data.ad_img_url[i]}">
          </div>
          `;
        }
        $(".swiper-wrapper").html(imagesHTML);
        if (data.ad_img_url.length >= 2) {
            isImgLoad();
        }
        if (localStorage.hasOwnProperty("Token")) {
            if (data.im_chat_id) {
                HUAN_XIN_ROOM = data.im_chat_id;
                api.execScript({
                    name: 'root',
                    script: 'ActivityDetailJoinRoom(' + HUAN_XIN_ROOM + ');'
                });
            }
        }
        var ApplyStatus = data.check_status; //审核状态
        /*判断当前活动与该用户的关系，设置展示界面*/
        /*判断当前活动的状态*/
        var register_start_time = data.register_start_time; //报名开始时间戳
        var register_end_time = data.register_end_time; //报名结束时间戳
        // var sign_start_time = data.sign_start_time; //签到开始时间戳
        ACTIVITY_START_TIME = data.activity_start_time; //活动开始时间戳
        // var activity_end_time = data.activity_end_time; //活动结束时间戳
        /*获取当前活动状态*/
        if (TIMES_TAMP > register_start_time) {
            //报名开始
            ACTIVITY_STATUS = 2;
            if (TIMES_TAMP > register_end_time) {
                //报名结束
                ACTIVITY_STATUS = 3;
                switch (data.status) {
                    case 2:
                        //签到开始
                        ACTIVITY_STATUS = 4;
                        break;
                    case 3:
                        //活动开始
                        ACTIVITY_STATUS = 5;
                        break;
                    case 4:
                        //活动结束
                        ACTIVITY_STATUS = 6;
                }
            } else {
                ACTIVITY_STATUS = 2;
                //报名未结束
            }
        } else {
            //报名未开始(灰色的报名按钮)
            ACTIVITY_STATUS = 1;
        }
        /*判断当前状态是否处于活动进行中*/
        if (ACTIVITY_STATUS == 5) {
            /*切换为活动中*/
            ActivityStatusStart();
        } else {
            /*切换为未开始活动*/
            ActivityStatusEnd();
        }
    }, false, 'post', false);
    if (localStorage.hasOwnProperty("Token")) {
        /*获取该用户在当前活动的状态*/
        var url_menberGetInfoAjax = {
            activity_id: THIS_ACTIVITY_ID
        };
        /*获取当前用户在该活动的状态*/
        CustomAjax(url_menberGetInfo, url_menberGetInfoAjax, function(ret) {
            var data = ret.data;
            /*赋予身份，修改详情界面下方按钮*/
            IDENTITY = data.identity;
            if (IDENTITY == 1) {
                $(".activeDrag").show();
            } else {
                $(".activeDrag").hide();
            }
            /*判断设置该用户在当前活动状态*/
            if (data.reg_time == 0) {
                USER_ACTIVITY_STATUS = 0; //未报名
            } else if (data.sign_in_time == 0) {
                USER_ACTIVITY_STATUS = 1; //已报名，未签到，未签退，未评论
            } else if (data.sign_out_time == 0) {
                USER_ACTIVITY_STATUS = 2; //已报名。已签到，未签退，未评论
            } else if (data.comment_time == 0) {
                USER_ACTIVITY_STATUS = 3; //已报名，已签到，已签退，未评论
            } else {
                USER_ACTIVITY_STATUS = 4; //已报名，已签到，已签退,已评论
            }
            /*判断是否关注、评论、点赞*/
            if (data.follow_time != 0) {
                /*已关注*/
                USER_ATTENTION = 1;
                $(".activity_follow>img").attr("src", "../../image/message/focusshow.png");
            } else {
                USER_ATTENTION = 0;
            }
            if (data.zan_time != 0) {
                /*已点赞*/
                $(".bottombutton_master>div:nth-child(2)>img").attr("src", "../../image/dynamic/like.png");
            }
            /*根据活动状态和用户身份修改下方按钮和头部右侧点击事件*/
            ChangeStatus();
        }, true, 'post', false);
    } else {
        /*未登录时，游客身份为（未报名的普通成员）*/
        IDENTITY = 2;
        USER_ACTIVITY_STATUS = 0;
        ChangeStatus();
    }


    /*选项卡切换*/
    $(".table>a").on("click", function() {
        var thisid = $(this).attr("divid");
        if (thisid == "1") {
            if (!localStorage.hasOwnProperty("Token")) {
                return api.openWin({
                    name: 'login',
                    reload: true,
                    url: '../my/login.html',
                    slidBackEnabled: false
                });
            }
            $(".bottombutton").hide();
            $(".send_btn").show();
        } else {
            $(".bottombutton").css("display", "flex");
            $(".send_btn").hide();
        }
        if (thisid == "3") {
            $(".tab3").empty();
            GetPeopleList();
        }
        if (thisid == "4") {
            $(".tab4").empty();
            GetImagesList();
        }
        if (!$(".tab div:nth-child(" + thisid + ")").hasClass("show")) {
            $(".table a").removeClass('activetabshow').addClass('activetab');
            $(".table a:nth-child(" + thisid + ")").addClass('activetabshow').removeClass('activetab');
            $(".tab div").removeClass("show");
            $(".tab div:nth-child(" + thisid + ")").addClass("show");
        }
    });
    $("#retrans>div:nth-child(1)").on("click", function() {

        /*QQ转发*/
        return showtoastspan("QQ转发暂未开放");
    });
    $("#retrans>div:nth-child(3)").on("click", function() {
        /*微信转发*/
        $(".transmit").hide();
        api.actionSheet({
            title: '请选择分享类型',
            cancelTitle: '取消',
            buttons: ['会话', '朋友圈', '收藏']
        }, function(ret, err) {
            var index = ret.buttonIndex;
            if (index == 1) {
                /*会话*/
                var scene = "session";
            } else if (index == 2) {
                /*朋友圈*/
                var scene = "timeline";
            } else if (index == 3) {
                /*收藏*/
                var scene = "favorite";
            } else {
                /*取消*/
                $(".transmit").show();
                return;
            }
            /*调用分享链接*/
            var wx = api.require('wx');
            var activity_name = $(".Detail>ul>li:nth-child(1)>p").html();
            wx.shareWebpage({
                apiKey: '',
                scene: scene,
                title: '塔联社活动分享',
                description: activity_name,
                thumb: 'widget://image/use/tlslogo.png',
                contentUrl: 'https://www.talianshe.com/wap/activedetail.html?id=' + THIS_ACTIVITY_ID
            }, function(ret, err) {
                if (ret.status) {
                    showtoastspan("分享成功");
                } else {
                    if (ret.code == 2) {
                        showtoastspan("分享已取消")
                    } else if (ret.code == 3) {
                        showtoastspan("分享失败");
                    } else if (ret.code == 4) {
                        showtoastspan("授权失败");
                    }
                }
            });
            $(".transmit").show();
        });
    });

    /*打开投票界面按钮*/
    $(".activity_ing_Vote_start>button").on("click", function() {
        $(".activity_ing_vote_ing").show();
        thisShowRoof();
        IS_ROOF_CLICK = false;
        document.addEventListener('touchmove', function(e) {
            e.returnValue = true;
        }, false);
    });
    /*确认投票按钮*/
    $(".activity_ing_vote_ing>div>div").on("click", function() {
        var options = new Array();
        $(".activity_ing_vote_ing .checked").each(function() {
            options.push($(this).attr("vote-check-id"));
        });
        if ((THIS_GAME_JURISDICTION == 1 && USER_ACTIVITY_STATUS >= 1) || (THIS_GAME_JURISDICTION == 2 && USER_ACTIVITY_STATUS >= 2)) {
            if (VOTE_TYPE == 1 && options.length > 1) {
                /*单选*/
                showtoastspan("当前投票为单选模式");
            } else {
                var options_string = JSON.stringify(options);
                var url_openVoteAjax = {
                    game_id: THIS_GAME_ID,
                    options: options_string
                }
                CustomAjax(url_openVote, url_openVoteAjax, function(ret) {
                    IS_ROOF_CLICK = true;
                    ShowVoteResult(); //触发显示投票结果
                }, true, 'post');
            }
        } else {
            if (THIS_GAME_JURISDICTION == 1) {
                showtoastspan("当前活动只允许报名的成员可以参加");
            } else {
                showtoastspan("当前活动只允许签到的成员可以参加");
            }
        }
    });
    /*关闭投票内容*/
    $(".activity_ing_vote_ing>img").on("click", function() {
        $(".activity_ing_vote_ing").hide();
        hiddenroof();
    });
    /*社团模块点击事件*/
    $(".organization").on("click", function() {
        /*跳转社团详情*/
        var id = $(this).attr("assosId");
        api.openWin({
            name: 'orangdetail',
            url: '../organization/orangdetail.html',
            pageParam: {
                assoId: id
            },
            slidBackEnabled: false
        });
    });
    /*活动关注*/
    $(".activity_follow>img").on("click", function() {
        if (!localStorage.hasOwnProperty("Token")) {
            return api.openWin({
                name: 'login',
                reload: true,
                url: '../my/login.html',
                slidBackEnabled: false
            });
        }
        UtilShowLoadImg();
        if (USER_ATTENTION == 0) {
            //关注
            var url_activityFollowAjax = {
                activity_id: THIS_ACTIVITY_ID
            }
            CustomAjax(url_activityFollow, url_activityFollowAjax, function(ret) {
                $(".activity_follow>img").attr("src", "../../image/message/focusshow.png");
                showtoastspan("关注成功");
                USER_ATTENTION = 1;
                if (THIS_ACTIVITY_TYPE == 1) {
                    /*活动*/
                    var Id_Type = THIS_ACTIVITY_ID + "_活动";
                } else {
                    /*课程*/
                    var Id_Type = THIS_ACTIVITY_ID + "_课程";
                }
                TenCentMtaOnEvent('Attention_Mun', 'Id_Type', Id_Type);
                UtilHideLoadImg();
            }, true, 'post');
        } else {
            //取消关注
            var url_activityCencleFollowAjax = {
                activity_id: THIS_ACTIVITY_ID
            }
            CustomAjax(url_activityCencleFollow, url_activityCencleFollowAjax, function(ret) {
                USER_ATTENTION = 0;
                $(".bottombutton div:first-child img").attr("src", "../../image/message/focus.png");
                showtoastspan("取消关注");
                if (THIS_ACTIVITY_TYPE == 1) {
                    /*活动*/
                    var Id_Type = THIS_ACTIVITY_ID + "_活动";
                } else {
                    /*课程*/
                    var Id_Type = THIS_ACTIVITY_ID + "_课程";
                }
                TenCentMtaOnEvent('CencleAttention_Mun', 'Id_Type', Id_Type);
                UtilHideLoadImg();
            }, true, 'post');
        }
    });
    /*监听安卓返回按钮*/
    api.addEventListener({
        name: 'keyback'
    }, function(ret, err) {
        ExitActivityDetail();
    });
    /*监听上下滑动*/
    // $(document).on('touchstart', function(event) {
    //     oy = event.touches[0].clientY;
    // });
    // $(document).on('touchend', function(event) {
    //     ey = event.changedTouches[0].clientY;
    //     endy = ey - oy;
    //     if (endy > 200) {
    //         if ((!$(".tab1").hasClass("show") && ($(".slideupcontent").css("display") == "none"))) {
    //             $(".slideupcontent").slideDown();
    //         }
    //     }
    // });
    /*监听左右滑动*/
    $(".tab").on("touchstart", function(event) {
        ox = event.touches[0].clientX;
    });
    $(".tab").on("touchend", function(event) {
        ex = event.changedTouches[0].clientX;
        endx = ox - ex;
        if (Math.abs(endx) > 150) {
            if (ox > ex) { //向左滑
                $(".table").find(".activetabshow").next().click();
                $(".slideupcontent").slideDown();
            } else { //向右滑
                $(".table").find(".activetabshow").prev().click();
                $(".slideupcontent").slideDown();
            }
        }
    });

    var startY = '';
    var moveEndY = '';
    $(".page").on("touchstart", function(e) {
        if ($(this).scrollTop() == 0) {
            startY = e.originalEvent.changedTouches[0].pageY;
        }
    })
    $(".page").on("touchmove", function(e) {
        if ($(this).scrollTop() == 0) {
            moveEndY = e.originalEvent.changedTouches[0].pageY;
        }
        var touchY = moveEndY - startY;
        if (touchY >= 100 && touchY <= 150) {
            reloadThis();
        }
        // if ($(this).scrolllTop() >= 100) {
        //     reloadThis();
        // }
    })

    /*监听滚动条*/
    $(".page").on('scroll', function() {
        var systemType = api.systemType;
        var tabHeight = $("#tab").offset().top;
        console.log(IOSTOP);
        console.log(tabHeight);
        if (systemType == "ios") {
            if (tabHeight <= IOSTOP) {
                $(".tab_title").css({
                    "display": "block",
                    "top": IOSTOP + "px",
                });
                $("#tab").css({
                        "visibility": "hidden"
                    })
                    // $(".slideupcontent").hide();
            } else {
                $(".tab_title").css({
                    "display": "none"
                });
                $("#tab").css({
                    "visibility": "visible"
                })
            }
        } else {
            if (tabHeight <= IOSTOP) {
                $(".tab_title").css({
                    "display": "block",
                    "top": IOSTOP + "px",
                });
                $("#tab").css({
                        "visibility": "hidden"
                    })
                    // $(".slideupcontent").hide();
            } else {
                $(".tab_title").css({
                    "display": "none"
                });
                $("#tab").css({
                    "visibility": "visible"
                })
            }
        }
    });
    /*监听获取焦点*/
    var tabtop = $('#tab').offset().top;
    $(".send_btn>input").on("focus", function() {
        // setTimeout(function () {
        $('.page').scrollTop(tabtop);
        // }, 100);
    });
    /*点击聊一聊的照相机*/
    $(".send_btn>div:nth-child(1)").on("click", function() {
        api.getPicture({
            sourceType: 'camera',
            encodingType: 'jpg',
            mediaValue: 'pic',
            destinationType: 'url',
            allowEdit: false,
            targetWidth: 1024,
            quality: 50,
            saveToPhotoAlbum: true
        }, function(ret, err) {
            if (ret) {
                //拍照
                SendImage(ret.data);
                HX_IMG = ret.data;
            }
        });
    });

    touchtop(function() {
        $("#more").addClass('displaynone');
    }, function() {
        $("#more").addClass('displaynone');
    });

    /*活动管理中心注册点击事件*/
    /*签到配置*/
    $(".manager_control>li:nth-child(2)>span").on("click", function() {
        var pageParam = new Object();
        pageParam.id = THIS_ACTIVITY_ID;
        pageParam.set = SIGN_SETTHING;
        if (ACTIVITY_STATUS >= 4) {
            pageParam.is = false;
        } else {
            pageParam.is = true;
        }
        // $(".manager_control_view>img").click();
        $(".activeDrag").click();
        api.openWin({
            name: 'sgin',
            url: './sgin.html',
            pageParam: pageParam,
            slidBackEnabled: false
        });
    });
    /*开始签到*/
    $(".manager_control>li:nth-child(3)>span").on("click", function() {
        if (!$(this).hasClass("ing")) {
            if (SIGN_SETTHING.sign_mode == null) {
                return showtoastspan("请先进行签到配置");
            } else {
                /*弹出二次确认*/
                api.confirm({
                    title: '是否立刻开始活动签到',
                    buttons: ['确定', '取消']
                }, function(ret, err) {
                    if (ret) {
                        var index = ret.buttonIndex;
                        if (index == 1) {
                            UtilShowLoadImg();
                            var url_startSignAjax = {
                                activity_id: THIS_ACTIVITY_ID
                            };
                            CustomAjax(url_startSign, url_startSignAjax, function(ret) {
                                $(".manager_control>li:nth-child(3)>span").addClass("ing");
                                ACTIVITY_STATUS = 4;
                            }, true, 'post', false);
                            UtilHideLoadImg();
                        }
                    }
                });
            }
        }
    });
    /*开始活动*/
    $(".manager_control>li:nth-child(4)>span").on("click", function() {
        if (!$(this).hasClass("ing")) {
            if (SIGN_SETTHING.sign_mode == null) {
                return showtoastspan("请先进行签到配置");
            } else {
                api.confirm({
                    title: '是否立刻开始活动',
                    buttons: ['确定', '取消']
                }, function(ret, err) {
                    if (ret) {
                        var index = ret.buttonIndex;
                        if (index == 1) {
                            UtilShowLoadImg();
                            var url_startActivityAjax = {
                                activity_id: THIS_ACTIVITY_ID
                            };
                            CustomAjax(url_startActivity, url_startActivityAjax, function(ret) {
                                $(".manager_control>li:nth-child(3)>span").addClass("ing");
                                $(".manager_control>li:nth-child(4)>span").addClass("ing");
                                ACTIVITY_STATUS = 5;
                                ActivityStatusStart();
                            }, true, 'post', false);
                            UtilHideLoadImg();
                        }
                    }
                });
            }
        }
    });
    /*结束活动*/
    $(".manager_control>li:nth-child(5)>span").on("click", function() {
        if (!$(this).hasClass("ing")) {
            if (THIS_GAME_TYPE != 0) {
                return showtoastspan("请关闭正在进行中的活动");
            }
            api.confirm({
                title: '是否立刻结束活动',
                buttons: ['确定', '取消']
            }, function(ret, err) {
                if (ret) {
                    var index = ret.buttonIndex;
                    if (index == 1) {
                        UtilShowLoadImg();
                        var url_endActivityAjax = {
                            activity_id: THIS_ACTIVITY_ID
                        };
                        CustomAjax(url_endActivity, url_endActivityAjax, function(ret) {
                            $(".manager_control>li:nth-child(3)>span").addClass("ing");
                            $(".manager_control>li:nth-child(4)>span").addClass("ing");
                            $(".manager_control>li:nth-child(5)>span").addClass("ing");
                            ACTIVITY_STATUS = 6;
                            ActivityStatusEnd();
                        }, true, 'post', false);
                        UtilHideLoadImg();
                    }
                }
            });
        }
    });
    /*活动互动*/
    $(".manager_control>li:nth-child(6)>span").on("click", function() {
        if ($(this).hasClass("ing")) {
            return showtoastspan("活动已结束");
        }
        // $(".manager_control_view>img").click();
        $(".activeDrag").click();
        api.openWin({
            name: 'activityinteraction',
            url: './activityinteraction.html',
            pageParam: {
                id: THIS_ACTIVITY_ID,
                activityType: 1
            },
            slidBackEnabled: false
        });
    });
    /*活动点赞*/
    $(".bottombutton_master>div:nth-child(2)").on("click", function() {
        var img = $(this).find("img");
        var url_PraiseAjax = {
            activity_id: THIS_ACTIVITY_ID
        }
        if (img.attr("src") == "../../image/dynamic/like.png") {
            //取消点赞
            CustomAjax(url_activityNotPraise, url_PraiseAjax, function(ret) {
                img.attr("src", "../../image/dynamic/backlike.png");
                showtoastspan("取消点赞成功");
            }, true, 'post');
        } else {
            //点赞
            CustomAjax(url_activityPraise, url_PraiseAjax, function(ret) {
                img.attr("src", "../../image/dynamic/like.png");
                showtoastspan("点赞成功");
            }, true, 'post');
        }
    });
    /*活动管理界面关闭*/
    $(".manager_control_view>img").on("click", function() {
        $(".manager_control_view").hide();
        hiddenroof();
    });
    /*遮罩层点击事件*/
    $(".roof").on("click", function() {
        if (IS_ROOF_CLICK) {
            if (ROOF_SHOW_TYPE == 1) {
                $(".transmit").hide();
            }
            hiddenroof();
        }
    });
    SignSet();
    /*加载公告列表*/
    var url_getActivityNoticeListAjax = {
        activity_id: THIS_ACTIVITY_ID,
        page: 1,
        size: 5
    }
    CustomAjax(url_getActivityNoticeList, url_getActivityNoticeListAjax, function(ret) {
        var html = "";
        var data = ret.data.list;
        var natice_length;
        if (data.length > 0) {
            natice_length = data.length;
            for (var i = 0; i < data.length; i++) {
                if (data[i].is_top != 1) {
                    html += "";
                    natice_length--;
                } else if (data[i].is_top == 1) {
                    html += `
                          <li noticeId="${data[i].notice_id}" onclick="OpenNoticeDetail(this)">
                              <a href="#">${data[i].title}</a>
                          </li>
                          `;
                }
            }
            if (html == "") {
                html = `<li>
                            <a href="#">暂无置顶公告</a>
                        </li>`;
            }
            $("#news ul").html(html);
            if (natice_length >= 2) {
                /*开启活动中文字轮播*/
                if (ACTIVITY_INTERVAL) {
                    clearInterval(ACTIVITY_INTERVAL);
                }
                ACTIVITY_INTERVAL = setInterval('autoScroll("#news")', 3000);
            } else {
                if (ACTIVITY_INTERVAL) {
                    clearInterval(ACTIVITY_INTERVAL);
                }
            }
        }
    }, false, 'post');
    $(".notice>span:nth-child(3)").on("click", function() {
        /*点击进入广告列表*/
        api.openWin({
            name: 'notice',
            url: '../organization/notice.html',
            pageParam: {
                type: 1,
                id: THIS_ACTIVITY_ID
            },
            slidBackEnabled: false
        });
    });

    /*报名人员列表*/
    RefreshAndLoad(".tab3", function() {
        /*下拉刷新：报名人员列表*/
        $(".tab3").empty();
        PEOPLE_LIST_P = 1;
        PEOPLE_IS_OR_NOT = 0;
        GetPeopleList();
    }, function() {
        /*上拉加载：报名人员列表*/
        if (PEOPLE_IS_OR_NOT == 0) {
            PEOPLE_LIST_P++;
            GetPeopleList();
        }
    });
    /*精彩瞬间列表*/
    RefreshAndLoad(".tab4", function() {
        /*下拉刷新：精彩瞬间列表*/
        $(".tab4").empty();
        IMAGE_LIST_P = 1;
        IMAGES_IS_OR_NOT = 0;
        GetImagesList();
    }, function() {
        /*上拉加载：精彩瞬间列表*/
        if (IMAGES_IS_OR_NOT == 0) {
            IMAGE_LIST_P++;
            GetImagesList();
        }
    });
    /*聊一聊发送按钮*/
    $(".send_btn>div:nth-child(3)").on("click", function() {
        if (CHITCHAT_JURISDICTION == 3) {
            showtoastspan("管理员已关闭聊天功能");
        } else if (CHITCHAT_JURISDICTION == 2 && USER_ACTIVITY_STATUS < 2) {
            showtoastspan("管理员设置：只有签到人员才可发言");
        } else if (CHITCHAT_JURISDICTION == 1 && USER_ACTIVITY_STATUS < 1) {
            showtoastspan("管理员设置:只有报名人员才可发言");
        } else {
            var content = $(".send_btn>input").val();
            if (content.trim() == "") {
                return showtoastspan("不能发送空白文本");
            }
            /*互动游戏为上墙状态*/
            if (THIS_GAME_TYPE == 2) {
                var index = content.indexOf(TOP_WALL_CONSTROL);
                if (index == 0) {
                    /*检测到上墙指令*/
                    var RealContent = content.replace(TOP_WALL_CONSTROL, ''); //去除上墙指令以后的内容
                    SendTopWall(RealContent);
                }
            }
            var datas = new Object();
            datas.name = "";
            if (USER.is_public_name == 0) {
                datas.name = USER.login_name;
            }
            if (USER.is_public_nickname == 0 && USER.nickname) {
                datas.name += "(" + USER.nickname + ")";
            }
            datas.content = content;
            datas.ctime = timeStampToTime((Date.parse(new Date()) + parseInt(localStorage.getItem("SysTime"))) / 1000);
            datas.cmdid = "1027";
            if (USER.photo) {
                datas.hearde = localStorage.img_url + USER.photo;
            } else {
                datas.hearde = "../../image/use/default.png";
            }
            datas.type = 1; //类型为文字
            var SendText = JSON.stringify(datas);
            var Content_Id = content + '_' + THIS_ACTIVITY_ID;
            TenCentMtaOnEvent('SendMessage_Mun', 'Content_Id', Content_Id);
            api.execScript({
                name: 'root',
                script: 'ActivityDetailSendText(' + SendText + ',' + HUAN_XIN_ROOM + ');'
            });
        }
        CompatibilityIos();
        $(".tab1").scrollTop("100%");
    });
    /*二维码点击事件*/
    $(".Detail>img").on("click", function() {
        var name = $(".Detail p").html();
        api.openWin({
            name: 'qrcode',
            url: './qrcode.html',
            pageParam: {
                type: 3,
                id: THIS_ACTIVITY_ID,
                photo: THIS_ACTIVITY_LOGO,
                name: name,
                activityType: 1
            },
            slidBackEnabled: false
        });
    });
    /*注册监听事件*/
    api.addEventListener({
        name: 'ActivitySgin'
    }, function(ret, err) {
        if (ret) {
            if (ACTIVITY_STATUS == 5) {
                ActivityStatusStart();
            } else {
                SginClick();
            }
        } else {
            showtoastspan("活动修改签到状态失败，请重新进入该活动");
        }
    });

    $(".activeDrag").on('click', function() {
        var dragCheck = $(this).hasClass("dragCheck");
        setTimeout(function() {
            if (dragCheck) {
                hiddenroof();
                $(".dragCheck>.manager_control_view").css({
                        width: "0px",
                        "display": "none",
                        "opacity": "0"
                    })
                    // setTimeout(function() {
                $(".openBtn img").attr("src", "../../image/activity/openMore.png");
                // }, 400)
                $(".activeDrag").removeClass("dragCheck");
                IS_ROOF_CLICK = true;
            } else {
                thisShowRoof()
                $(".activeDrag").addClass("dragCheck");
                $(".dragCheck>.manager_control_view").css({
                    width: "90%",
                    "display": "block",
                    "opacity": "1"
                })
                $(".openBtn img").attr("src", "../../image/activity/escMore.png");
                $(".manager_control span").removeClass("ing");
                if (ACTIVITY_STATUS < 3) {
                    $(".manager_control>li:nth-child(3)>span").addClass("ing");
                    $(".manager_control>li:nth-child(4)>span").addClass("ing");
                    $(".manager_control>li:nth-child(5)>span").addClass("ing");
                } else if (ACTIVITY_STATUS == 6) {
                    $(".manager_control>li:nth-child(2)>span").addClass("ing");
                    $(".manager_control>li:nth-child(3)>span").addClass("ing");
                    $(".manager_control>li:nth-child(4)>span").addClass("ing");
                    $(".manager_control>li:nth-child(5)>span").addClass("ing");
                    $(".manager_control>li:nth-child(6)>span").addClass("ing");
                } else {
                    if (ACTIVITY_STATUS >= 4) {
                        $(".manager_control>li:nth-child(3)>span").addClass("ing");
                    }
                    if (ACTIVITY_STATUS >= 5) {
                        $(".manager_control>li:nth-child(4)>span").addClass("ing");
                    }
                    if (ACTIVITY_STATUS >= 6) {
                        $(".manager_control>li:nth-child(5)>span").addClass("ing");
                    }
                }
                ROOF_SHOW_TYPE = 2;
                IS_ROOF_CLICK = false;
            }
        }, 0)
    });
    /*适配IOS*/
    CompatibilityIos();
};









/*刷新头部和右选菜单*/
function ReloadTitle() {
    if (THIS_ACTIVITY_TYPE == 1) {
        /*活动*/
        var content = "活动详情";
        var share = "分享活动";
    } else {
        var content = "课程详情";
        var share = "分享课程";
        $(".activetabshow").html(`课程简介<div></div>`);
        $(".tab2>div:nth-child(1)>span:nth-child(1)").html("课程类型:");
        $(".tab2>div:nth-child(2)>span:nth-child(1)").html("课程地点:");
        $(".tab2>div:nth-child(5)>span:nth-child(1)").html("课程开始时间:");
        $(".tab2>div:nth-child(6)>span:nth-child(1)").html("课程结束时间:");
        $(".tab2>div:nth-child(7)>span:nth-child(1)").html("课程开始前:");
    }
    var right = `
  <div style="font-size:18px;">...</div>
  <div class="about displaynone" id="more">
    <img src="../../image/message/triangle.png">
    <ul>
      <li id='Retransmission' onclick="Retransmission()">
        <span><img src="../../image/message/share.png"></span>
        <a>${share}</a>
      </li>
      <li id='ActivitySignOut' onclick="ActivitySignOut()">
        <span><img src="../../image/message/quit.png"></span>
        <a>活动签退</a>
      </li>
      <li id='ReleaseDynamic' onclick="ReleaseDynamic()">
        <span><img src="../../image/message/release.png"></span>
        <a>发布动态</a>
      </li>
      <li id='SignOutManagement' onclick="SignOutManagement()">
        <span><img src="../../image/message/qd.png"></span>
        <a>签到管理</a>
      </li>
      <li id='CancleApply' onclick="CancleApply()">
        <span><img src="../../image/message/exi.png"></span>
        <a>取消报名</a>
      </li>
    </ul>
  </div>
  `;
    HeardeLoad(content, "../../image/login/back.png", "30px", "30px", right);
    HeardeOnclick(function() {
        ExitActivityDetail();
    }, "", more);
    /*监听安卓退出按钮*/
    api.addEventListener({
        name: 'keyback'
    }, function(ret, err) {
        ExitActivityDetail();
    });
}

function more() {
    $("#more").toggleClass('displaynone');
}

/*获取报名人员列表*/
function GetPeopleList() {
    var url_getActivityPeopleListAjax = {
        activity_id: THIS_ACTIVITY_ID,
        p: PEOPLE_LIST_P,
        size: 20
    }
    CustomAjax(url_getActivityPeopleList, url_getActivityPeopleListAjax, function(ret) {
        if (ret.data.total_size <= PEOPLE_LIST_P * 20) {
            PEOPLE_IS_OR_NOT = 1;
        } else {
            PEOPLE_IS_OR_NOT = 0;
        }
        var html = "";
        var data = ret.data.list;
        for (var i = 0; i < data.length; i++) {
            if (data[i].sign_in == 0) {
                var span = "<span>未签到</span>";
            } else {
                var span = "<span class='show'>已签到</span>";
            }
            html += `
      <div userId='${data[i].user_id}' userType="${data[i].user_type}" class="people_module" onclick="peopleMessage(this)">
          <div>
              <img src="../../image/use/default.png">
          </div>
          <p>${data[i].user_name}</p>
          ${span}
      </div>
      `;
            $(".tab3").css("background-color", "#fff");
        }
        if (data.length == 0) {
            html = `<div class="null">暂无数据</div>`;
            $(".tab3").css("background-color", "rgb(237,237,237)");
        }
        $(".tab3").append(html);
    }, false, 'get', false);
}
/*下拉刷新:精彩瞬间列表*/
function GetImagesList() {
    var url_activityGetImagesAjax = {
        activity_id: THIS_ACTIVITY_ID,
        p: IMAGE_LIST_P,
        size: 20
    }
    if (localStorage.getItem("Token")) {
        url_activityGetImagesAjax.user_id = USER.id;
    }
    CustomAjax(url_activityGetImages, url_activityGetImagesAjax, function(ret) {
        if (ret.data.total_size <= PEOPLE_LIST_P * 20) {
            IMAGES_IS_OR_NOT = 1;
        } else {
            IMAGES_IS_OR_NOT = 0;
        }
        var html = "";
        var data = ret.data.list;
        for (var i = 0; i < data.length; i++) {
            if (data[i].is_zan == 0) {
                var img = "../../image/dynamic/backlike.png";
            } else {
                var img = "../../image/dynamic/like.png";
            }
            html += `
                <div id='${data[i].moment_id}' data-id="${i}" class='image_module' onclick='ImageClick(this)'>
                    <div>
                        <img src="${localStorage.img_url + data[i].pic_url}">
                    </div>
                    <p><span><img src="${img}"></span>${data[i].zan_num}</p>
                </div>
      `;
            $(".tab4").css("background-color", "#fff");
        }
        if (data.length == 0) {
            html = `<div class="null">暂无数据</div>`
            $(".tab4").css("background-color", "rgb(237,237,237)");
        }
        $(".tab4").append(html);
    }, true, 'get', false);
}

/*以下是应对头部右侧点击事件变化的方法*/
function ActivityItems(type) {
    switch (type) {
        case 1:
            /*分享活动、发布动态、签到管理*/
            $(".about li").show();
            $("#ActivitySignOut").hide();
            $("#CancleApply").hide();
            break;
        case 2:
            /*分享活动、活动签退*/
            $(".about li").show();
            $("#ReleaseDynamic").hide();
            $("#SignOutManagement").hide();
            $("#CancleApply").hide();
            break;
        case 3:
            /*分享活动*/
            $(".about li").show();
            $("#ActivitySignOut").hide();
            $("#ReleaseDynamic").hide();
            $("#SignOutManagement").hide();
            $("#CancleApply").hide();
            break;
        case 4:
            /*分享活动、取消报名*/
            $(".about li").show();
            $("#ActivitySignOut").hide();
            $("#ReleaseDynamic").hide();
            $("#SignOutManagement").hide();
            break;
    }
}

/*以下是头部右侧菜单的点击事件*/

/*分享活动*/
function Retransmission() {
    $(".transmit").show();
    thisShowRoof();
    ROOF_SHOW_TYPE = 1;
}

/*活动签退*/
function ActivitySignOut() {
    api.confirm({
        title: '是否签退活动',
        msg: '签退后无法再次报名该活动',
        buttons: ['确定', '取消']
    }, function(ret, err) {
        if (ret) {
            var index = ret.buttonIndex;
            if (index == 1) {
                var url_ActivitySignOutAjax = {
                    activity_id: THIS_ACTIVITY_ID
                }
                CustomAjax(url_activitySignOut, url_ActivitySignOutAjax, function(ret) {
                    USER_ACTIVITY_STATUS = 3;
                    ChangeStatus();
                }, true, 'post', false);
            }
        }
    });
}

/*发布动态,传2代表发布活动动态*/
function ReleaseDynamic() {
    var OrganizationName = $(".organization>span:nth-child(2)").html();
    var ActivityName = $(".Detail>ul>li:nth-child(1)>p").html();
    var OrganizationId = $(".organization").attr("assosId");
    api.openWin({
        name: 'releasedynamic',
        url: '../dynamic/releasedynamic.html',
        pageParam: {
            ReleaseType: 2,
            DynamicType: THIS_ACTIVITY_TYPE,
            OrganizationName: OrganizationName,
            ActivityName: ActivityName,
            OrganizationId: OrganizationId,
            ActivityId: THIS_ACTIVITY_ID
        },
        slidBackEnabled: false
    });
}

/*签到管理*/
function SignOutManagement() {
    if (SIGN_SETTHING.sign_mode == 0) {
        /*管理员，打开扫一扫*/
        api.openWin({
            name: 'scan_qr',
            url: './scan_qr.html',
            pageParam: {
                type: 2
            },
            slidBackEnabled: false
        });
    } else if (SIGN_SETTHING.sign_mode == 1) {
        /*管理员，打开动态二维码*/
        var name = $(".Detail p").html();
        api.openWin({
            name: 'qrcode',
            url: './qrcode.html',
            pageParam: {
                type: 6,
                id: THIS_ACTIVITY_ID,
                photo: THIS_ACTIVITY_LOGO,
                name: name,
                activityType: 1
            },
            slidBackEnabled: false
        });
    } else {
        /*管理员，打开静态二维码*/
        var name = $(".Detail p").html();
        api.openWin({
            name: 'qrcode',
            url: './qrcode.html',
            pageParam: {
                type: 7,
                id: THIS_ACTIVITY_ID,
                photo: THIS_ACTIVITY_LOGO,
                name: name,
                activityType: 1
            },
            slidBackEnabled: false
        });
    }

}
/*取消报名*/
function CancleApply() {
    var url_activityCancelEnterAjax = {
        activity_id: THIS_ACTIVITY_ID
    }
    UtilShowLoadImg();
    CustomAjax(url_activityCancelEnter, url_activityCancelEnterAjax, function(ret) {
        USER_ACTIVITY_STATUS = 0;
        ChangeStatus();
        if (TIME_CONTORL_IS) {
            clearInterval(TIME_CONTORL)
            TIME_CONTORL_IS = false;
        }
    }, true, 'post', false);
    UtilHideLoadImg();
}

/*根据身份和互动状态修改下方按钮*/
/*未报名按钮*/
function NotAlreadyClick() {
    $(".activity_apply").html("报名");
    $(".activity_apply").removeClass("checked");
    /*报名的点击事件*/
    Btn_Click(function() {
        if (IsOpenLogin()) {
            if (PerfectionUserInfo()) {
                UtilShowLoadImg();
                var url_activityEnterAjax = {
                    activity_id: THIS_ACTIVITY_ID
                }
                CustomAjax(url_activityEnter, url_activityEnterAjax, function(ret) {
                    USER_ACTIVITY_STATUS = 1;
                    ChangeStatus();
                }, true, 'post', false);
                UtilHideLoadImg();
            }
        }
    });
    if (TIME_CONTORL_IS) {
        clearInterval(TIME_CONTORL)
        TIME_CONTORL_IS = false;
    }
}
/*已报名按钮*/
function AlreadyClick() {
    TIME_CONTORL_TYPE = 1;
    $(".activity_apply").addClass("checked");
    Btn_Click(function() {});
    if (ACTIVITY_START_TIME > TIMES_TAMP) {
        STATUS_TIME = ACTIVITY_START_TIME - TIMES_TAMP;
    } else {
        STATUS_TIME = 0;
    }
    if (!TIME_CONTORL_IS) {
        TIME_CONTORL = setInterval("settime()", 1000);
        TIME_CONTORL_IS = true;
    }
}
/*未签到按钮*/
function NotSginClick() {
    TIME_CONTORL_TYPE = 2;
    $(".activity_apply").removeClass("checked");
    Btn_Click(function() {
        if (IsOpenLogin()) {
            if ((SIGN_SETTHING.sign_mode == 4) || (SIGN_SETTHING.sign_mode == 2 && SIGN_SETTHING.status == 1)) {
                /*定位签到*/
                api.openWin({
                    name: 'gps_sign',
                    url: '../branch/gps_sign.html',
                    pageParam: {
                        activityId: THIS_ACTIVITY_ID,
                        gps: SIGN_SETTHING,
                        identity: IDENTITY,
                        activityType: 1
                    }
                });
            } else {
                /*管理员签到，点击签到，直接签到成功*/
                if (IDENTITY == 1) {
                    /*管理员*/
                    var url_activitySignInAjax = {
                        activity_id: THIS_ACTIVITY_ID,
                        user_id: USER.id,
                        sign_mode: SIGN_SETTHING.sign_mode
                    }
                    CustomAjax(url_activitySignIn, url_activitySignInAjax, function(ret) {
                        $(".activity_apply").html("已签到");
                        $(".activity_apply").addClass("checked");
                        USER_ACTIVITY_STATUS = 2;
                        showtoastspan("签到成功!");
                    }, true, 'post', false);
                } else {
                    switch (SIGN_SETTHING.sign_mode) {
                        case 0:
                            /*打开二维码签到*/
                            api.openWin({
                                name: 'qrcode',
                                url: './qrcode.html',
                                pageParam: {
                                    type: 2,
                                    id: THIS_ACTIVITY_ID,
                                    activityType: 1
                                },
                                slidBackEnabled: false
                            });
                            break;
                        default:
                            /*打开扫一扫*/
                            api.openWin({
                                name: 'scan_qr',
                                url: './scan_qr.html',
                                pageParam: {
                                    type: 2,
                                    setting: SIGN_SETTHING
                                },
                                slidBackEnabled: false
                            });
                            break;
                    }
                }
            }

        }
    });
    if (ACTIVITY_STATUS == 5) {
        /*活动已经开始,不需要显示时间*/
        $(".activity_apply").html("签到(活动已开始)");
        if (TIME_CONTORL_IS) {
            clearInterval(TIME_CONTORL)
            TIME_CONTORL_IS = false;
        }
    } else {
        if (ACTIVITY_START_TIME > TIMES_TAMP) {
            STATUS_TIME = ACTIVITY_START_TIME - TIMES_TAMP;
        } else {
            STATUS_TIME = 0;
        }
        if (TIME_CONTORL_IS) {
            clearInterval(TIME_CONTORL);
            TIME_CONTORL_IS = false;
        }
        if (!TIME_CONTORL_IS) {
            TIME_CONTORL = setInterval("settime()", 1000);
            TIME_CONTORL_IS = true;
        }
    }
}
/*已签到按钮*/
function SginClick() {
    $(".activity_apply").html("已签到");
    $(".activity_apply").addClass("checked");
    Btn_Click(function() {});
    if (TIME_CONTORL_IS) {
        clearInterval(TIME_CONTORL)
        TIME_CONTORL_IS = false;
    }
}
/*未评价按钮*/
function NotCommendClick(Status) {
    $(".activity_apply").html("评价");
    $(".activity_apply").removeClass("checked");
    Btn_Click(function() {
        if (IsOpenLogin()) {
            api.openWin({
                name: 'userevaluate',
                url: './userevaluate.html',
                pageParam: {
                    id: THIS_ACTIVITY_ID
                },
                slidBackEnabled: false
            });
        }
    });
    if (TIME_CONTORL_IS) {
        clearInterval(TIME_CONTORL)
        TIME_CONTORL_IS = false;
    }
}
/*已评价按钮*/
function CommendClick(Status) {
    $(".activity_apply").html("已评论");
    $(".activity_apply").addClass("checked");
    USER_ACTIVITY_STATUS = 4;
    Btn_Click(function() {
        api.openWin({
            name: 'userevaluate',
            url: './userevaluate.html',
            pageParam: {
                id: THIS_ACTIVITY_ID
            },
            slidBackEnabled: false
        });
    });
    if (TIME_CONTORL_IS) {
        clearInterval(TIME_CONTORL)
        TIME_CONTORL_IS = false;
    }
}
/*活动已结束*/
function ActivityEnd() {
    $(".activity_apply").addClass("checked");
    $(".activity_apply").html("活动已结束");
    Btn_Click(function() {});
    if (TIME_CONTORL_IS) {
        clearInterval(TIME_CONTORL);
        TIME_CONTORL_IS = false;
    }
}
/*报名已结束*/
function ApplyEnd() {
    $(".activity_apply").html("报名已结束");
    $(".activity_apply").addClass("checked");
    Btn_Click(function() {});
    if (TIME_CONTORL_IS) {
        clearInterval(TIME_CONTORL)
        TIME_CONTORL_IS = false;
    }
}

/*下方按钮点击事件*/
function Btn_Click(ClickSuccess) {
    $(".activity_apply").off("click");
    $(".activity_apply").on("click", function() {
        ClickSuccess();
    });
}

/*STATUS_TIME 倒计时*/
function settime() {
    if (STATUS_TIME <= 0) {
        clearInterval(TIME_CONTORL);
        TIME_CONTORL_IS = true;
    }
    if (TIME_CONTORL_TYPE == 1) {
        $(".activity_apply").html("已报名(距离活动开始还有" + CountDownTSFM(STATUS_TIME) + ")");
    } else if (TIME_CONTORL_TYPE == 2) {
        $(".activity_apply").html("签到(距离活动开始还有" + CountDownTSFM(STATUS_TIME) + ")");
    }
    STATUS_TIME -= 1;
}

/*切换为活动进行中状态*/
function ActivityStatusStart() {
    $(".activity_ing").addClass("checked");
    $(".activity_not_start").removeClass("checked");
    /*获取当前活动正在进行中的互动*/
    var url_getActiveGameAjax = {
        activity_id: THIS_ACTIVITY_ID
    }
    CustomAjax(url_getActiveGame, url_getActiveGameAjax, function(ret) {
        var data = ret.data;
        if (data.active == 1) {
            /*有正在进行中的互动*/
            THIS_GAME_ID = data.game_id;
            THIS_GAME_JURISDICTION = data.detail.privilege; //权限
            if (data.game_type == 0) {
                /*投票*/
                THIS_GAME_TYPE = 1;
                VOTE_TYPE = data.detail.type;
                /*判断该用户是否已经参与过当前投票了*/
                if (localStorage.hasOwnProperty("Token")) {
                    var url_checkUserStatusAjax = {
                        user_id: USER.id,
                        game_id: THIS_GAME_ID
                    }
                    CustomAjax(url_checkUserStatus, url_checkUserStatusAjax, function(res) {
                        if (res.data.status == 0) {
                            /*未参加*/
                            OpenVoteView(data.detail.title, data.detail.options);
                        } else {
                            /*已参加*/
                            ShowVoteResult();
                        }
                    }, true, 'post', false);
                } else {
                    /*未参加*/
                    OpenVoteView(data.detail.title, data.detail.options);
                }
            } else {
                /*上墙*/
                THIS_GAME_TYPE = 2;
                TOP_WALL_CONSTROL = data.detail.title;
                if (data.detail.filter_text.length > 0) {
                    TOP_WALL_BAN_FONT = data.detail.filter_text.split(",");
                } else {
                    TOP_WALL_BAN_FONT = [];
                }
                $(".activity_ing_TopWall").show();
                $(".type_font").hide();
                $("iframe").hide();
            }
        }
    }, true, 'get', false);
}
/*切换为非活动进行中状态*/
function ActivityStatusEnd() {
    $(".activity_ing").removeClass("checked");
    $(".activity_not_start").addClass("checked");
}

/*公告滚动*/
function autoScroll(obj) {
    $(obj).find('ul').animate({
        marginTop: '-18px'
    }, 1000, function() {
        $(this).css({
            marginTop: "0px"
        });
        var li = $(obj).find('ul').children().first().clone();
        $(obj).find("ul li:last").after(li);
        $(obj).find("ul li:first").remove();
    });
}

/*刷新并显示投票界面*/
function OpenVoteView(title, options) {
    $(".activity_ing_Vote_end").hide();
    $(".activity_ing_vote_ing>div>p").html(title);
    var html = "";
    for (var i = 0; i < options.length; i++) {
        html += `
   <li><span vote-check-id="${options[i].id}" onclick="LiVoteClick(this)">${options[i].option}</span></li>
   `;
    }
    $(".activity_ing_vote_ing>div>ul").html(html);
    $(".activity_ing_Vote_start").show();
    $(".type_font").hide();
    $("iframe").hide();
}
/*显示投票结果*/
function ShowVoteResult() {
    var url_getVoteStatAjax = {
        game_id: THIS_GAME_ID
    }
    CustomAjax(url_getVoteStat, url_getVoteStatAjax, function(ret) {
        var data = ret.data;
        $(".activity_ing_Vote_end>p").html(data.title);
        var html = "";
        for (var i = 0; i < data.list.length; i++) {
            html += `
      <li><span>${data.list[i].option}:</span><span><progress value="${data.list[i].total}" max="${data.apply_count}"></progress> ${data.list[i].total}</span></li>
      `;
        }
        $(".activity_ing_Vote_end>ul").html(html);
        $(".type_font").hide();
        $("iframe").hide();
        $(".activity_ing_vote_ing").hide();
        $(".activity_ing_Vote_start").hide();
        hiddenroof();
        $(".activity_ing_Vote_end").show();
    }, true, 'post');
}
/*获取上墙配置并开启上墙*/
function OpenTopWall() {
    var url_getWallAjax = {
        game_id: THIS_GAME_ID
    }
    CustomAjax(url_getWall, url_getWallAjax, function(ret) {
        TOP_WALL_CONSTROL = ret.data.title;
        if (ret.data.filter.length > 0) {
            TOP_WALL_BAN_FONT = ret.data.filter.split(",");
        } else {
            TOP_WALL_BAN_FONT = [];
        }
        $(".activity_ing_TopWall").show();
        $(".type_font").hide();
        $("iframe").hide();
    }, true, 'post');
}
/*发送至上墙栏*/
function SendTopWall(content) {
    var name = "";
    var user_photo = "../../image/use/default.png";
    if (USER.is_public_name == 0) {
        name += USER.login_name;
    }
    if (USER.is_public_nickname == 0 && USER.nickname) {
        name += "(" + USER.nickname + ")";
    }
    if (USER.photo) {
        user_photo = localStorage.img_url + USER.photo;
    }
    var url_addWallLogAjax = {
        game_id: THIS_GAME_ID,
        content: content,
        attach: name,
        user_photo: user_photo
    }
    CustomAjax(url_addWallLog, url_addWallLogAjax, function(ret) {
        showtoastspan("上墙成功！");
    }, true, 'post');
}
/*根据当前活动状态和用户状态，修改下方按钮和头部右侧菜单栏*/
function ChangeStatus() {
    /*修改下方按钮*/
    switch (ACTIVITY_STATUS) {
        case 1:
            break;
        case 2:
            if (USER_ACTIVITY_STATUS == 0) {
                /*未报名按钮*/
                NotAlreadyClick();
            } else if (USER_ACTIVITY_STATUS >= 1) {
                /*已报名按钮*/
                AlreadyClick();
            }
            break;
        case 3:
        case 4:
        case 5:
            if (USER_ACTIVITY_STATUS == 0) { //未报名
                /*未报名*/
                ApplyEnd();
            } else if (USER_ACTIVITY_STATUS == 1) {
                //已报名
                AlreadyClick();
            }
            if (ACTIVITY_STATUS >= 4 && ACTIVITY_STATUS <= 5) { //处于签到开始和活动结束之间
                if (USER_ACTIVITY_STATUS == 1) { //签到期间
                    /*未签到*/
                    NotSginClick();
                } else if (USER_ACTIVITY_STATUS == 2) {
                    /*已经签到*/
                    SginClick();
                }
            }
            if (USER_ACTIVITY_STATUS == 3) {
                //已签退,未评论
                NotCommendClick();
            }
            if (USER_ACTIVITY_STATUS == 4) {
                //已签退,已评论
                CommendClick();
            }
            break;
        case 6:
            if (USER_ACTIVITY_STATUS == 2) {
                /*未签退*/
                SginClick();
            } else if (USER_ACTIVITY_STATUS == 3) {
                /*未评价*/
                NotCommendClick();
            } else if (USER_ACTIVITY_STATUS == 4) {
                /*已评价*/
                CommendClick();
            } else if (USER_ACTIVITY_STATUS == 0) {
                /*未报名,已结束*/
                ActivityEnd();
            } else {
                /*活动已结束*/
                ActivityEnd();
            }
            break;
    }
    /*修改头部右侧菜单栏*/
    if (IDENTITY == 1) {
        /*管理员*/
        switch (ACTIVITY_STATUS) {
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
                ActivityItems(1);
                break;
            case 6:
                if (USER_ACTIVITY_STATUS <= 2) {
                    /*未签退*/
                    ActivityItems(2);
                } else {
                    /*已签退或者已评价*/
                    ActivityItems(3);
                }
                break;
        }
    } else if (IDENTITY == 2 && USER_ACTIVITY_STATUS > 0) {
        /*已报名成员 1.报名未开始 2.报名开始 3.报名结束 4.签到开始 5.活动开始 6.活动结束*/
        switch (ACTIVITY_STATUS) {
            case 1:
            case 2:
                if (USER_ACTIVITY_STATUS >= 1) {
                    /*报名时间以报名*/
                    ActivityItems(4);
                } else {
                    ActivityItems(3);
                }
                break;
            case 3:
            case 4:
                ActivityItems(3);
                break;
            case 5:
            case 6:
                if (USER_ACTIVITY_STATUS <= 2) {
                    /*未签退*/
                    ActivityItems(2);
                } else {
                    /*已签退或者已评价*/
                    ActivityItems(3);
                }
                break;
        }
    } else {
        /*未报名成员*/
        ActivityItems(3);
    }
}

/*精彩瞬间图片点击事件*/
function ImageClick(idd) {
    if (!localStorage.hasOwnProperty("Token")) {
        return api.openWin({
            name: 'login',
            reload: true,
            url: '../my/login.html',
            slidBackEnabled: false
        });
    }
    SPLEND_ID_IMAGE = $(idd).attr("id");
    var index = $(idd).attr("data-id");
    api.openWin({
        name: 'splendid',
        url: './splendid.html',
        pageParam: {
            activity_id: THIS_ACTIVITY_ID,
            page: IMAGE_LIST_P,
            size: 20,
            index: index
        },
        slidBackEnabled: false
    });
}
/*发送图片到精彩瞬间*/
function SendImage(img) {
    if (CHITCHAT_JURISDICTION == 3) {
        showtoastspan("管理员已关闭聊天功能");
    } else if (CHITCHAT_JURISDICTION == 2 && USER_ACTIVITY_STATUS < 2) {
        showtoastspan("管理员设置：只有签到人员才可发言");
    } else if (CHITCHAT_JURISDICTION == 1 && USER_ACTIVITY_STATUS < 1) {
        showtoastspan("管理员设置:只有报名人员才可发言");
    } else {
        if (img == "") {
            return;
        }
        fileajax(img, function(ret) {
            var image = ret.data.save_path;
            var image_id = ret.data.file_id;
            var url_addActivityImageInfoAjax = {
                activity_id: THIS_ACTIVITY_ID,
                file_id: image_id
            }
            CustomAjax(url_addActivityImageInfo, url_addActivityImageInfoAjax, function(ret) {
                var datas = new Object();
                datas.name = "";
                if (USER.is_public_name == 0) {
                    datas.name = USER.login_name;
                }
                if (USER.is_public_nickname == 0 && USER.nickname) {
                    datas.name += "(" + USER.nickname + ")";
                }
                datas.content = image;
                datas.ctime = timeStampToTime((Date.parse(new Date()) + parseInt(localStorage.getItem("SysTime"))) / 1000);
                datas.cmdid = "1027";
                if (USER.photo) {
                    datas.hearde = localStorage.img_url + USER.photo;
                } else {
                    datas.hearde = "../../image/use/default.png";
                }
                datas.type = 2; //类型为图片
                datas.momentId = ret.data.moment_id;
                var message = JSON.stringify(datas);
                api.execScript({
                    name: 'root',
                    script: 'ActivityDetailSendImg(' + message + ',' + HUAN_XIN_ROOM + ');'
                });
            }, true, 'post', false);
        });
    }
}
/*跳转公告详情*/
function OpenNoticeDetail(idd) {
    var id = $(idd).attr("noticeId");
    if (id == "null_notice") {
        $(".notice>span:nth-child(3)").click();
    } else {
        api.openWin({
            name: 'noticedetail',
            url: '../organization/noticedetail.html',
            pageParam: {
                type: 1,
                id: id
            },
            slidBackEnabled: false
        });
    }
}

/*投票点击按钮*/
function LiVoteClick(idd) {
    if ($(idd).hasClass("checked")) {
        $(idd).removeClass("checked");
    } else {
        $(idd).addClass("checked");
    }
}

/*弹到登录页面*/
function IsOpenLogin() {
    if (!localStorage.hasOwnProperty("Token")) {
        api.openWin({
            name: 'login',
            reload: true,
            url: '../my/login.html',
            slidBackEnabled: false
        });
        return false;
    }
    return true;
}

/*获取活动签到配置信息*/
function SignSet() {
    var url_activityGetSettingAjax = {
        activity_id: THIS_ACTIVITY_ID
    }
    CustomAjax(url_activityGetSetting, url_activityGetSettingAjax, function(ret) {
        console.log(JSON.stringify(ret));
        if (ret.data.length == 0) {
            /*未配置签到信息*/
            showtoastspan("您必须配置签到信息,否则活动无法进行");
            // $(".manager_control_view").show();
            $(".activeDrag").click();
            SIGN_SETTHING.sign_mode = null;
        } else {
            /*有配置签到信息*/
            var notPoiData = {
                sign_mode: ret.data.sign_mode, //签到方式：0-扫码签到，1-动态码  2.固定码 3.定位签到
                sign_explain: ret.data.sign_explain,
                status: ret.data.status
            }
            var poiData = { //存在定位签到的信息
                target_name: ret.data.target_name,
                address: ret.data.address,
                center: [ret.data.longitude, ret.data.latitude],
                sign_range: ret.data.sign_range
            }
            SIGN_SETTHING = Object.assign(poiData, notPoiData);
            /*判断当前状态是否需要弹出签到说明*/
            if (ACTIVITY_STATUS <= 4) {
                /*弹出签到说明*/
                $(".sign_instrutions").show();
                $(".sign_instrutions>div>div:nth-of-type(1)").text(SIGN_SETTHING.sign_explain);
                /*关闭按钮*/
                $(".sign_instrutions").on("click", function() {
                    $(".sign_instrutions").hide();
                });
            }
        }
    }, true, 'get', false);
}

/*自动刷新*/
var t_img; // 定时器
var isLoad = true; // 控制变量

// 判断图片加载的函数
function isImgLoad() {
    // 查找所有封面图，迭代处理
    var t_img_url;
    $(".swiper-slide").each(function() {
        // 找到为0就将isLoad设为false，并退出each
        if (this.height === 0) {
            isLoad = false;
            return false;
        }
    });
    if (isLoad) {
        // 为true，没有发现为0的。加载完毕
        clearTimeout(t_img); // 清除定时器
        setTimeout(function() {
            /*轮播组件开始*/
            var mySwiper = new Swiper('.swiper-container', {
                autoplay: true, //可选选项，自动滑动
                delay: 3000, //1秒切换一次
                loop: true,
                pagination: {
                    el: '.swiper-pagination',
                    bulletElement: 'li',
                },
            });
            /*轮播组件（结束）*/
        }, 500);
    } else {
        // 为false，因为找到了没有加载完成的图，将调用定时器递归
        isLoad = true;
        t_img = setTimeout(function() {
            isImgLoad(); // 递归扫描
        }, 500); // 我这里设置的是500毫秒就扫描一次，可以自己调整
    }
}

/*提示完善信息*/
function PerfectionUserInfo() {
    if (localStorage.getItem("UserType") == 2) {
        return true;
    }
    if (!(JSON.parse(localStorage.getItem("User")).college_id)) {
        api.confirm({
            title: '请先完善个人信息',
            msg: '现在就去',
            buttons: ['走!', '取消']
        }, function(ret, err) {
            var index = ret.buttonIndex;
            if (index == 1) {
                /*确定*/
                api.openWin({
                    name: 'usedata',
                    url: '../../my/usedata.html',
                });
            }
        });
        return false;
    }
    return true;
}

/*退出活动详情*/
function ExitActivityDetail() {
    /*刷新活动列表*/
    if (USER_ATTENTION == 0) {
        api.sendEvent({
            name: 'CancelFollow',
            extra: {
                key1: 'value1',
            }
        });
    } else if (USER_ACTIVITY_STATUS == 0) {
        api.sendEvent({
            name: 'CancelApply',
            extra: {
                key1: 'value1',
            }
        });
    }
    api.execScript({
        name: 'root',
        script: 'ActivityDetailExitRoom(' + HUAN_XIN_ROOM + ');'
    });
    close();
}

/*提供给首页交互的接口(开始)*/
/*聊一聊文本消息发送成功回调*/
function SendText(datas) {
    /*聊一聊发送成功*/
    var MessageHTML = `
<div class="module_time">
  <span>${datas.ctime}</span>
</div>
<div class="rightd">
  <span class="rightd_h">
        <img src="${datas.hearde}"/>
  </span>
  <p>${datas.name}</p>
  <div class="speech right">
      ${datas.content}
  </div>
</div>
`;
    $(".tab1").append(MessageHTML);
    /*发送成功处理*/
    $(".tab1").scrollTop($(".tab1")[0].scrollHeight);
    $(".send_btn>input").val("");
}
/*聊一聊图片消息发送成功回调*/
function SendImg(message) {
    /*聊一聊发送成图片成功*/
    var MessageHTML = `
<div class="rightd">
  <span class="rightd_h">
        <img src="${message.hearde}"/>
  </span>
  <p>${USER.login_name}</p>
  <div class="speech right" ImgId="${message.momentId}" onclick="showImgDetail(this)">
    <img src="${HX_IMG}"/>
  </div>
</div>
`;
    $(".tab1").append(MessageHTML);
    $(".tab1").scrollTop($(".tab1")[0].scrollHeight);
}
/*处理首页传来的环信聊天室消息*/
function ManageMessage(data) {
    console.log(JSON.stringify(data));
    /*判断接收身份*/
    if (data.hasOwnProperty("receive_type")) {
        /*有权限控制*/
        var receive_type = data.receive_type.split(",");
        if ((receive_type.indexOf(0)) || (receive_type.indexOf(101) && USER_ACTIVITY_STATUS >= 1) || (receive_type.indexOf(102) && USER_ATTENTION == 1) || (receive_type.indexOf(103) && USER_ACTIVITY_STATUS >= 2)) {
            switch (data.cmdid) {
                case 1001:
                    /*活动开始*/
                    ACTIVITY_STATUS = 5;
                    ChangeStatus();
                    ActivityStatusStart();
                    break;
                case 1003:
                    /*活动结束*/
                    ACTIVITY_STATUS = 6;
                    ChangeStatus();
                    ActivityStatusEnd();
                    break;
                case 1005:
                    /*签到开始*/
                    ACTIVITY_STATUS = 4;
                    ChangeStatus();
                    break;
                case 1007:
                    /*签到结束*/
                    ACTIVITY_STATUS = 5;
                    ChangeStatus();
                    break;
                case 1009:
                    /*活动报名开始*/
                    ACTIVITY_STATUS = 2;
                    ChangeStatus();
                    break;
                case 1011:
                    /*活动报名结束*/
                    console.log("报名结束！！");
                    ACTIVITY_STATUS = 3;
                    ChangeStatus();
                    break;
                case 1013:
                    /*投票开始*/
                    THIS_GAME_ID = data.data.game_id;
                    THIS_GAME_TYPE = 1;
                    THIS_GAME_JURISDICTION = data.data.privilege;
                    if (data.data.type == 0) {
                        VOTE_TYPE = 1;
                    } else {
                        VOTE_TYPE = 2;
                    }
                    OpenVoteView(data.data.title, data.data.options); //刷新投票内容  type:0.单选 1.多选
                    break;
                case 1015:
                    /*投票结束*/
                    THIS_GAME_ID = data.data.game_id;
                    THIS_GAME_TYPE = 0;
                    /*关闭所有投票界面*/
                    $(".activity_ing_vote_ing").hide();
                    $(".activity_ing_Vote_start").hide();
                    $(".activity_ing_Vote_end").hide();
                    $(".type_font").show();
                    $("iframe").show();
                    break;
                case 1017:
                    /*上墙开始*/
                    THIS_GAME_ID = data.data.game_id;
                    THIS_GAME_TYPE = 2;
                    OpenTopWall();
                    break;
                case 1019:
                    /*上墙结束*/
                    THIS_GAME_ID = data.data.game_id;
                    THIS_GAME_TYPE = 0;
                    $(".activity_ing_TopWall").hide();
                    $(".type_font").show();
                    $("iframe").show();
                    break;
                case 1021:
                    /*获取用户上墙*/
                    for (var i = 0; i < TOP_WALL_BAN_FONT.length; i++) { //遍历替换铭感词
                        data.data.content = data.data.content.replace(TOP_WALL_BAN_FONT[i], '*');
                    }
                    var html = "";
                    html = `
                    <div>
                    <span><img src="${data.data.user_photo}"></span>
                    <dt>${data.data.attach}:</dt>
                    <dd>${data.data.content}</dd>
                    </div>
                        `;
                    $(".activity_ing_TopWall").append(html);
                    $(".activity_ing_TopWall").scrollTop($(".activity_ing_TopWall")[0].scrollHeight);
                    break;
                case 1023:
                    // /*推送活动公告*/
                    // var html = "";
                    // var natice_length = data.data.length;
                    // if (data.data.is_top) {
                    //     if (data.data.is_top != 1) {
                    //         html += "";
                    //         natice_length--;
                    //     } else if (data.data.is_top == 1) {
                    //         html += `
                    //           <li noticeId="${data.data.notice_id}" onclick="OpenNoticeDetail(this)">
                    //               <a href="#">${data.data.title}</a>
                    //           </li>
                    //           `;
                    //     }
                    // } else {
                    //     /*推送活动公告*/
                    //     html = `
                    //                 <li noticeId="${data.data.notice_id}" onclick="OpenNoticeDetail(this)">
                    //                     <a href="#">${data.data.title}</a>
                    //                 </li>
                    //                 `;
                    // }
                    // $("#news>ul").append(html);
                    // if ($("#news li").length >= 2) {
                    //     /*滚动*/
                    //     NoticeScroll();
                    // } else {
                    //     /*不滚*/
                    //     if (ACTIVITY_INTERVAL) {
                    //         clearInterval(ACTIVITY_INTERVAL);
                    //     }
                    // }
                    // break;
                case 1025:
                    if (data.data.user_id == USER.id) {
                        USER_ACTIVITY_STATUS = 2;
                        ChangeStatus();
                    }
                    break;
            }
        }
    } else {
        /*没有权限控制*/
        if (data.cmdid == "1027") {
            /*是聊一聊信息*/
            if (data.type == 1) {
                /*文字消息*/
                var MessageHTML = "";
                MessageHTML = `
        <div class="module_time">
            <span>${data.ctime}</span>
        </div>
        <div class="leftd">
            <span class="leftd_h">
                  <img src="${data.hearde}"/>
                </span>
            <p>${data.name}</p>
            <div class="speech left">
                ${data.content}
            </div>
        </div>
        `;
                $(".tab1").append(MessageHTML);
                $(".tab1").scrollTop($(".tab1")[0].scrollHeight);
            } else {
                /*图片消息*/
                var MessageHTML = "";
                MessageHTML = `
          <div class="module_time">
              <span>${data.ctime}</span>
          </div>
          <div class="leftd">
              <span class="leftd_h">
                    <img src="${data.hearde}"/>
                  </span>
              <p>${data.name}</p>
              <div class="speech left" ImgId="${data.momentId}" onclick="showImgDetail(this)">
                <img src="${localStorage.img_url + data.content}">
              </div>
          </div>
        `;
                $(".tab1").append(MessageHTML);
                $(".tab1").scrollTop($(".tab1")[0].scrollHeight);
            }

        }
    }

}
/*提供给首页交互的接口(结束)*/

/*显示大图*/
function showImgDetail(idd) {
    SPLEND_ID_IMAGE = $(idd).attr("ImgId");
    api.openWin({
        name: 'splendidimage',
        url: './splendidimage.html',
        pageParam: {
            imageid: SPLEND_ID_IMAGE,
            activityType: 1
        },
        slidBackEnabled: false
    });
}

/*触发公告滚动*/
function NoticeScroll() {
    /*获取公告列表并轮播*/
    if (ACTIVITY_INTERVAL) {
        clearInterval(ACTIVITY_INTERVAL);
    }
    ACTIVITY_INTERVAL = setInterval('autoScroll("#news")', 3000);
}

/*点击跳转个人详情*/
function peopleMessage(idd) {
    var id = $(idd).attr("userId");
    var type = $(idd).attr("userType");
    api.openWin({
        name: 'studentmessage',
        url: '../my/studentmessage.html',
        pageParam: {
            peopleId: id,
            type: type
        },
        slidBackEnabled: false
    });
}

/*刷新点赞的精彩瞬间*/
function reloadImageZan(isZan, zanMum, id) {
    if ($(".activetabshow").attr("divid") == "4") {
        if (isZan) {
            var img = "../../image/dynamic/like.png";
        } else {
            var img = "../../image/dynamic/backlike.png";
        }
        var html = `
      <span><img src="${img}"></span>${zanMum}
      `;
        $(".tab4").find("#" + id).find("p").html(html);
    }
}

function reloadThis() {
    UtilShowLoadImg();
    /*获取现场互动配置*/
    var url_getSettingAjax = {
        activity_id: THIS_ACTIVITY_ID
    }
    CustomAjax(url_getSetting, url_getSettingAjax, function(ret) {
        console.log(JSON.stringify(ret));
        /*设置幕布内容*/
        $(".activity_ing").css("background-image", "url(" + localStorage.img_url + ret.data.curtain + ")");
        if (ret.data.type == 1) {
            /*显示文字*/
            $(".type_font").text(ret.data.content)
                .css("color", ret.data.font_color)
                .css("font-size", ret.data.font_size)
                .show();
        } else if (ret.data.type == 2) {
            /*图片*/
            $(".activity_ing").css("background-image", "url(" + localStorage.img_url + ret.data.content + ")");
        } else {
            console.log(ret.data.content);
            /*外链视频*/
            var iframeHTML = "";
            iframeHTML = `
            ${ret.data.content}
            `;
            $(".activity_ing").append(iframeHTML);
        }
        /*是否开放聊天*/
        if (ret.data.is_im == 1) {
            /*开放聊天*/
            CHITCHAT_JURISDICTION = ret.data.im_privilege;
        } else {
            /*不开放聊天*/
            CHITCHAT_JURISDICTION = 3;
        }
        /*倒计时*/
        // ret.data.countdown_sec
    }, true, 'post', false);
    /*获取活动详情*/
    var url_getActivityDetailAjax = {
        activity_id: THIS_ACTIVITY_ID
    };
    CustomAjax(url_getActivityDetail, url_getActivityDetailAjax, function(ret) {
        console.log(JSON.stringify(ret));
        var data = ret.data;
        $(".Detail>ul>li:nth-child(1)>p").html(data.activity_name);
        $(".Detail>ul>li:nth-child(2)>span").html(data.activity_place);
        $(".Detail>ul>li:nth-child(3)>span").html(timeStampToTime(data.activity_start_time, 3) + "--" + timeStampToTime(data.activity_end_time, 3));
        if (data.limit_number == (-1)) {
            var limit_number = "不限";
        } else {
            var limit_number = data.limit_number;
        }
        ALL_PEOPLE = data.current_number;
        $(".Detail>ul>li:nth-child(4)>span").html(data.current_number + "/" + limit_number);
        $(".organization>p:nth-child(1)>span").html(data.school_name + data.college_name);
        $(".organization>span:nth-child(2)").html(data.association_name);
        $(".organization").attr("assosId", data.association_id);
        /*活动简介*/
        $(".tab2>div:nth-child(1)>span:nth-child(2)").html(data.activity_type_name);
        $(".tab2>div:nth-child(2)>span:nth-child(2)").html(data.activity_place);
        $(".ac_start").html(timeStampToTime(data.activity_start_time, 3));
        $(".tab2>div:nth-child(3)>span:nth-child(2)").html(timeStampToTime(data.register_start_time, 3));
        $(".tab2>div:nth-child(4)>span:nth-child(2)").html(timeStampToTime(data.register_end_time, 3));
        $(".tab2>div:nth-child(5)>span:nth-child(2)").html(timeStampToTime(data.activity_start_time, 3));
        $(".tab2>div:nth-child(6)>span:nth-child(2)").html(timeStampToTime(data.activity_end_time, 3));
        $(".tab2>div:nth-child(7)>span:nth-child(2)").html(data.sign_time + "分钟开始签到");
        console.log(JSON.stringify(data.manager_name));
        $(".tab2>div:nth-child(8)>span:nth-child(2)").html(data.manager_name[data.user]);
        $(".tab2>div:nth-child(9)>span:nth-child(2)").html(data.lead_teacher);
        $(".tab2>div:nth-child(17)>span:nth-child(2)").html(data.activity_desc);
        /*处理评分星星*/
        var score = parseFloat(data.score).toFixed(1);
        var scoreInt = parseInt(score);
        var scoreDou = parseInt((score - scoreInt) * 10);
        var color = scoreDou * 1.5;
        var sum = 15 - color;
        for (var z = 1; z <= scoreInt; z++) {
            $(".xinxin").find("div:nth-child(" + z + ")").css("background", "rgb(255,106,38)");
        }
        scoreInt++;
        if (scoreDou > 0) {
            $(".xinxin").find("div:nth-child(" + scoreInt + ")").css("background", "linear-gradient(to right,rgb(255,106,38) " + color + "px,rgb(237,237,237) " + sum + "px)");
        }
        /*区别类型*/
        if (data.activity_class == 1) {
            /*活动*/
            THIS_ACTIVITY_TYPE = 1;
        } else {
            /*课程*/
            THIS_ACTIVITY_TYPE = 4;
        }
        ReloadTitle(); //初始化头部
        if (data.activity_score == (-1)) {
            var activity_score = 0;
        } else {
            var activity_score = data.activity_score;
        }
        $(".tab2>div:nth-child(10)>span:nth-child(2)").html(activity_score);
        if (data.activity_credit == (-1)) {
            var activity_credit = 0;
        } else {
            var activity_credit = data.activity_credit;
        }
        $(".tab2>div:nth-child(11)>span:nth-child(2)").html(activity_credit);
        /*条件限制*/
        if (data.limit_college_name == (-1)) {
            var limit_college_name = "不限";
        } else {
            var limit_college_name = data.limit_college_name;
        }
        if (data.limit_major_name == (-1)) {
            var limit_major_name = "不限";
        } else {
            var limit_major_name = data.limit_major_name;
        }
        if (data.limit_class_name == (-1)) {
            var limit_class_name = "不限";
        } else {
            var limit_class_name = data.limit_class_name;
        }
        if (data.limit_degree_id == (-1)) {
            var limit_degree_id = "不限";
        } else {
            var limit_degree_id = data.limit_degree_id;
        }
        $(".tab2>div:nth-child(13)>span:nth-child(2)").html(limit_college_name);
        $(".tab2>div:nth-child(14)>span:nth-child(2)").html(limit_major_name);
        $(".tab2>div:nth-child(15)>span:nth-child(2)").html(limit_class_name);
        $(".tab2>div:nth-child(16)>span:nth-child(2)").html(limit_degree_id);
        THIS_ACTIVITY_LOGO = data.logo_img_url;
        /*轮播组件（开始）*/
        // var imagesHTML = "";
        // for (var i = 0; i < data.ad_img_url.length; i++) {
        //     imagesHTML += `
        //   <div class="swiper-slide">
        //       <img src="${localStorage.img_url + data.ad_img_url[i]}">
        //   </div>
        //   `;
        // }
        // $(".swiper-wrapper").html(imagesHTML);
        // if (data.ad_img_url.length >= 2) {
        //     isImgLoad();
        // }
        if (localStorage.hasOwnProperty("Token")) {
            if (data.im_chat_id) {
                HUAN_XIN_ROOM = data.im_chat_id;
                api.execScript({
                    name: 'root',
                    script: 'ActivityDetailJoinRoom(' + HUAN_XIN_ROOM + ');'
                });
            }
        }
        var ApplyStatus = data.check_status; //审核状态
        /*判断当前活动与该用户的关系，设置展示界面*/
        /*判断当前活动的状态*/
        var register_start_time = data.register_start_time; //报名开始时间戳
        var register_end_time = data.register_end_time; //报名结束时间戳
        // var sign_start_time = data.sign_start_time; //签到开始时间戳
        ACTIVITY_START_TIME = data.activity_start_time; //活动开始时间戳
        // var activity_end_time = data.activity_end_time; //活动结束时间戳
        TIMES_TAMP = (Date.parse(new Date()) + parseInt(localStorage.getItem("SysTime"))) / 1000; //与服务器核对的时间戳
        /*获取当前活动状态*/
        if (TIMES_TAMP > register_start_time) {
            //报名开始
            ACTIVITY_STATUS = 2;
            if (TIMES_TAMP > register_end_time) {
                //报名结束
                ACTIVITY_STATUS = 3;
                if (data.status >= 2) {
                    //签到开始
                    ACTIVITY_STATUS = 4;
                    if (data.status >= 3) {
                        //活动开始
                        ACTIVITY_STATUS = 5;
                        if (data.status >= 4) {
                            //活动结束
                            ACTIVITY_STATUS = 6;
                        } else {
                            //活动未结束
                            ACTIVITY_STATUS = 5;
                        }
                    } else {
                        //活动未开始
                        ACTIVITY_STATUS = 4;
                    }
                } else {
                    //签到未开始
                    ACTIVITY_STATUS = 3;
                }
            } else {
                ACTIVITY_STATUS = 2;
                //报名未结束
            }
        } else {
            //报名未开始(灰色的报名按钮)
            ACTIVITY_STATUS = 1;
        }
        /*判断当前状态是否处于活动进行中*/
        if (ACTIVITY_STATUS == 5) {
            /*切换为活动中*/
            ActivityStatusStart();
        } else {
            /*切换为未开始活动*/
            ActivityStatusEnd();
        };
        setTimeout(function() {
            UtilHideLoadImg();
        }, 500)
    }, false, 'post', false);
    /*加载公告列表*/
    var url_getActivityNoticeListAjax = {
        activity_id: THIS_ACTIVITY_ID,
        page: 1,
        size: 5
    }
    CustomAjax(url_getActivityNoticeList, url_getActivityNoticeListAjax, function(ret) {
        console.log(JSON.stringify(ret));
        var html = "";
        var data = ret.data.list;
        var natice_length;
        if (data.length > 0) {
            natice_length = data.length;
            for (var i = 0; i < data.length; i++) {
                if (data[i].is_top != 1) {
                    html += "";
                    natice_length--;
                } else if (data[i].is_top == 1) {
                    html += `
                          <li noticeId="${data[i].notice_id}" onclick="OpenNoticeDetail(this)">
                              <a href="#">${data[i].title}</a>
                          </li>
                          `;
                }
            }
            if (html == "") {
                html = `<li>
                            <a href="#">暂无置顶公告</a>
                        </li>`;
            }
            $("#news ul").html(html);
            if (natice_length >= 2) {
                /*开启活动中文字轮播*/
                if (ACTIVITY_INTERVAL) {
                    clearInterval(ACTIVITY_INTERVAL);
                }
                ACTIVITY_INTERVAL = setInterval('autoScroll("#news")', 3000);
            } else {
                if (ACTIVITY_INTERVAL) {
                    clearInterval(ACTIVITY_INTERVAL);
                }
            }
        }
    }, false, 'post', false);
    if (localStorage.hasOwnProperty("Token")) {
        /*获取该用户在当前活动的状态*/
        var url_menberGetInfoAjax = {
            activity_id: THIS_ACTIVITY_ID
        };
        /*获取当前用户在该活动的状态*/
        CustomAjax(url_menberGetInfo, url_menberGetInfoAjax, function(ret) {
            var data = ret.data;
            /*赋予身份，修改详情界面下方按钮*/
            IDENTITY = data.identity;
            if (IDENTITY == 1) {
                $(".activeDrag").show();
            } else {
                $(".activeDrag").hide();
            }
            /*判断设置该用户在当前活动状态*/
            if (data.reg_time == 0) {
                USER_ACTIVITY_STATUS = 0; //未报名
            } else if (data.sign_in_time == 0) {
                USER_ACTIVITY_STATUS = 1; //已报名，未签到，未签退，未评论
            } else if (data.sign_out_time == 0) {
                USER_ACTIVITY_STATUS = 2; //已报名。已签到，未签退，未评论
            } else if (data.comment_time == 0) {
                USER_ACTIVITY_STATUS = 3; //已报名，已签到，已签退，未评论
            } else {
                USER_ACTIVITY_STATUS = 4; //已报名，已签到，已签退,已评论
            }
            /*判断是否关注、评论、点赞*/
            if (data.follow_time != 0) {
                /*已关注*/
                USER_ATTENTION = 1;
                $(".activity_follow>img").attr("src", "../../image/message/focusshow.png");
            } else {
                USER_ATTENTION = 0;
            }
            if (data.zan_time != 0) {
                /*已点赞*/
                $(".bottombutton_master>div:nth-child(2)>img").attr("src", "../../image/dynamic/like.png");
            }
            /*根据活动状态和用户身份修改下方按钮和头部右侧点击事件*/
            ChangeStatus();
        }, true, 'post', false);
    } else {
        /*未登录时，游客身份为（未报名的普通成员）*/
        IDENTITY = 2;
        USER_ACTIVITY_STATUS = 0;
        ChangeStatus();
    }
    console.log(IDENTITY);
    console.log(ACTIVITY_STATUS);
    console.log(USER_ACTIVITY_STATUS);

    setTimeout(function() {
        UtilHideLoadImg();
    }, 500);
}

/*显示遮罩层*/
function thisShowRoof() {
    $(".roof").show();
    /*设置头部栏目颜色*/
    setTimeout(function() {
        api.setStatusBarStyle({
            style: 'dark',
            color: 'rgba(102,102,102,1);'
        });
    }, 20);
    document.addEventListener("touchmove", function(e) {
        e.preventDefault();
        // e.stopPropagation();
    }, false);
}
