var NOW_START_GAME = -1; //当前开始的游戏
apiready = function() {
    HeardeLoad("活动互动", "../../image/use/back.png", "30px", "30px", "");
    HeardeOnclick(close, "", "");
    if (api.pageParam.activityType == 1) {
        var url_getlistAjax = {
            activity_id: api.pageParam.id,
        }
        var url = url_getlist;
    } else {
        var url_getlistAjax = {
            activity_id: api.pageParam.id,
            include_invalid: 1,
            page: 0,
        }
        var url = Url.branchActive.getGameList;
    }

    CustomAjax(url, url_getlistAjax, function(ret) {
        console.log(JSON.stringify(ret));
        if (ret.data.list.length == 0) {
            var html = '<img src="../../image/credit/notcontent.png" class="dynamic_not_content">';
            $(".content").empty();
            $(".content").append(html);
        } else {
            var html = "";
            var data = ret.data.list;
            for (var i = 0; i < data.length; i++) {
                if (data[i].game_type == 0) {
                    var type = "投票";
                } else {
                    var type = "上墙";
                }
                switch (data[i].status) {
                    case 1:
                        var status = "立即开始";
                        var img = "../../image/activity/dontstart.png";
                        var click = "start(this)";
                        break;
                    case 2:
                        var status = "立即结束";
                        var img = "../../image/activity/ing.png";
                        var click = "end(this)";
                        NOW_START_GAME = data[i].game_id;
                        break;
                    case 3:
                        var status = "已结束";
                        var img = "../../image/activity/end.png";
                        var click = "not()";
                        break;
                }
                html = `
            <div class="img_module" id='${data[i].game_id}'>
                <div>
                    <img src="${img}">
                    <span>${type}</span>
                    <span>${data[i].title}</span>
                    <span>开始时间: ${timeStampToTime(data[i].start_time)}</span>
                    <span>结束时间: ${timeStampToTime(data[i].end_time)}</span>
                </div>
                <div class="img_module_btn" onclick="${click}">
                    ${status}
                </div>
            </div>
        `;
                console.log(html)
                switch (data[i].status) {
                    case 1:
                        $(".downstart").append(html);
                        break;
                    case 2:
                        $(".ing").append(html);
                        break;
                    case 3:
                        $(".end").append(html);
                        break;
                }
            }
        }
    }, true, 'post', false);
    UtilHideLoadImg();
    CompatibilityIos();
};


/*立刻开始互动*/
function start(idd) {
    console.log(NOW_START_GAME);
    var id = $(idd).parents(".img_module").attr("id");
    if (NOW_START_GAME != -1) {
        showtoastspan("请先停止目前正在进行的互动");
    } else {
        var url_startGameAjax = {
            game_id: id
        }
        if (api.pageParam.activityType == 1) {
            var url = url_startGame;
        } else {
            var url = Url.branchActive.startGame;
        }
        CustomAjax(url, url_startGameAjax, function(ret) {
            $("#" + id).find("div:nth-child(1)>img").attr("src", "../../image/activity/ing.png");
            $("#" + id).find(".img_module_btn").html("立即结束");
            $("#" + id).find(".img_module_btn").attr("onclick", "end(this)");
            var IdHtml = $("#" + id).html();
            var html = "";
            html = `
        <div class="img_module" id="${id}">
        ${IdHtml}
        </div>
        `;
            $("#" + id).remove();
            $(".ing").append(html);
        }, true, 'post');
    }
}

/*立刻结束互动*/
function end(idd) {
    var id = $(idd).parents(".img_module").attr("id");
    var url_endGameAjax = {
        game_id: id
    }
    if (api.pageParam.activityType == 1) {
        var url = url_endGame;
    } else {
        var url = Url.branchActive.endGame;
    }
    CustomAjax(url, url_endGameAjax, function(ret) {
        $("#" + id).find(".img_module_btn").html("已结束");
        $("#" + id).find("div:nth-child(1)>img").attr("src", "../../image/activity/end.png");
        var IdHtml = $("#" + id).html();
        var html = "";
        html = `
      <div class="img_module" id="${id}">
      ${IdHtml}
      </div>
      `;
        $("#" + id).remove();
        $(".end").append(html);
        NOW_START_GAME = -1;
    }, true, 'post');
}
/*无反应*/
function not() {

}
