var THIS_ID; //用于存储预约场地ID
var THIS_NAME; //用于存放预约场地name
apiready = function() {
    HeardeLoad("预约时间", "../../image/use/back.png", "30px", "30px", "");
    HeardeOnclick(close, "", "");
    var systemType = api.systemType; // 获取手机类型，比如： ios
    if (systemType == 'ios') { //兼容ios
        $(".header").css("height", "70px");
    }
    THIS_ID = api.pageParam.id;
    THIS_NAME = api.pageParam.name;
    var startTime = api.pageParam.startTime;
    var endTime = api.pageParam.endTime;
    if (startTime) {
        $("#start_time").html(timeStampToTime(startTime));
    }
    if (endTime) {
        $("#end_time").html(timeStampToTime(endTime));
    }
    /*点击选择时间*/
    $(".content>div").on("click", function() {
        var thisFont = $(this).find("font");
        var dtPicker = new mui.DtPicker();
        dtPicker.show(function(selectItems) {
            thisFont.html(selectItems.value);
        });
    });
    /*完成预约点击按钮*/
    $(".btn").on("click", function() {
        var start_time = $("#start_time").html(); //时间
        if (!start_time) {
            return showtoastspan("请选择开始时间");
        }
        var end_time = $("#end_time").html();
        if (!end_time) {
            return showtoastspan("请选择结束时间");
        }
        var start_time_code = timeToTimeStamp(start_time) / 1000;
        var end_time_code = timeToTimeStamp(end_time) / 1000;
        if (start_time_code >= end_time_code) {
            return showtoastspan("开始时间需要大于结束时间");
        }
        var start_date = start_time.slice(0, 10);
        var end_date = end_time.slice(0, 10);
        if (start_date != end_date) {
            var msg = "当前场地的可用时间段为" + api.pageParam.strPlaceTimes;
            api.confirm({
                title: '检测到预约时间超过一天',
                msg: msg,
                buttons: ['确定', '取消']
            }, function(ret, err) {
                if (ret) {
                    var index = ret.buttonIndex;
                    if (index == 1) {
                        var url_getCheckFieldAjax = {
                            field_id: THIS_ID,
                            start_use_time: start_time_code,
                            end_use_time: end_time_code
                        }
                        CustomAjax(url_getCheckField, url_getCheckFieldAjax, function(ret) {
                            console.log(JSON.stringify(ret));
                            showtoastspan("预约成功");
                            var data = new Object();
                            data.start_time = start_time;
                            data.end_time = end_time;
                            data.field_id = THIS_ID;
                            data.field_name = THIS_NAME;
                            data.type = 1;
                            api.sendEvent({
                                name: 'ActivityPlace',
                                extra: {
                                    data: data
                                }
                            });
                        }, true, 'post');
                    }
                }
            });
        } else {
            var url_getCheckFieldAjax = {
                field_id: THIS_ID,
                start_use_time: start_time_code,
                end_use_time: end_time_code
            }
            CustomAjax(url_getCheckField, url_getCheckFieldAjax, function(ret) {
                console.log(JSON.stringify(ret));
                showtoastspan("预约成功");
                var data = new Object();
                data.start_time = start_time;
                data.end_time = end_time;
                data.field_id = THIS_ID;
                data.field_name = THIS_NAME;
                data.type = 1;
                api.sendEvent({
                    name: 'ActivityPlace',
                    extra: {
                        data: data
                    }
                });
            }, true, 'post');
        }
    });
    CompatibilityIos();
}
