var THIS_ID; //用于存放当前场地ID
var THIS_NAME; //用于存放当前场地名称
var IMG_NUM; //用来存储场地图片数量  数量为1  不轮播
var strPlaceTimes;//用于存放当前场地可用时间段
apiready = function() {
    HeardeLoad("场地详情", "../../image/use/back.png", "30px", "30px", "");
    HeardeOnclick(close, "", "");
    /*获取详情AJAX*/
    THIS_ID = api.pageParam.id;
    var url_getFieldDetailByIdAjax = {
        field_id: THIS_ID
    }
    CustomAjax(url_getFieldDetailById, url_getFieldDetailByIdAjax, function(ret) {
        /*场地类型图片*/
        var data = ret.data[0];
        if (data.field_type == 1) {
            //室内
            var image = "../../image/tag/indoor.png";
        } else {
            //室外
            var image = "../../image/tag/outdoor.png";
        }
        /*场地介绍*/
        THIS_NAME = data.field_name;
        var html = "";
        var html = `
      <span>${data.field_name}<img src="${image}"></span>
      <span><img src="../../image/activity/address.png">${data.field_place}</span>
      `;
        $(".place_title").html(html);
        if (data.microphone == 1) {
            var microphone = "有";
        } else {
            var microphone = "没有";
        }
        if (data.led == 1) {
            var led = "有";
        } else {
            var led = "没有";
        }
        if (data.sound == 1) {
            var sound = "有";
        } else {
            var sound = "没有";
        }
        if (data.projector == 1) {
            var projector = "有";
        } else {
            var projector = "没有";
        }
        if (data.curtain == 1) {
            var curtain = "有";
        } else {
            var curtain = "没有";
        }
        strPlaceTimes=data.start_use_time+"~"+data.end_use_time;
        var Fa = JSON.parse(data.facilities);
        html = `
        <span>场地可容纳人数:${data.field_quantity}</span>
        <span>可使用时段:${data.start_use_time}--${data.end_use_time}</span>
        <span>麦克风:${microphone}</span>
        <span>LED屏幕:${sound}</span>
        <span>投影机:${projector}</span>
        <span>幕布:${curtain}</span>
        `;
        for (var i = 0; i < Fa.length; i++) {
            if (Fa[i].facility_type == "table") {
                html += `
               <span>桌位:${Fa[i].count}</span>
               <span>尺寸:${Fa[i].length}cm*${Fa[i].width}cm*${Fa[i].height}</span>
               `;
            } else if (Fa[i].facility_type == "chair") {
                html += `
               <span>椅位:${Fa[i].count}</span>
               <span>尺寸: ${Fa[i].length}cm*${Fa[i].width}cm*${Fa[i].height}</span>
               `;
            } else if (Fa[i].facility_type == "banner") {
                html += `
               <span>横幅位:${Fa[i].count}</span>
               <span>尺寸: ${Fa[i].length}cm*${Fa[i].width}cm*${Fa[i].height}</span>
               `;
            } else if (Fa[i].facility_type == "vertical") {
                html += `
               <span>竖幅位:${Fa[i].count}</span>
               <span>尺寸: ${Fa[i].length}cm*${Fa[i].width}cm*${Fa[i].height}</span>
               `;
            } else if (Fa[i].facility_type == "tent") {
                html += `
               <span>帐篷位:${Fa[i].count}</span>
               <span>尺寸: ${Fa[i].length}cm*${Fa[i].width}cm*${Fa[i].height}</span>
               `;
            } else if (Fa[i].facility_type == "rack") {
                html += `
               <span>展架位:${Fa[i]}</span>
               <span>尺寸: ${Fa[i].length}cm*${Fa[i].width}cm*${Fa[i].height}</span>
               `;
            }
        }
        $(".place_referral").append(html);
        /*轮播图片*/
        console.log(JSON.stringify(data));
        var imgHTML = "";
        IMG_NUM = data.ad_img_url.length;
        for (var i = 0; i < data.ad_img_url.length; i++) {
            imgHTML += `
          <div class="swiper-slide">
              <img src="${localStorage.img_url+data.ad_img_url[i]}">
          </div>
          `;
        }
        $(".swiper-wrapper").html(imgHTML);
    }, true, 'post', false);
    swiperRatio();
    /*轮播组件（开始）*/
    if (IMG_NUM > 1) {
        var mySwiper = new Swiper('.swiper-container', {
            autoplay: true, //可选选项，自动滑动
            delay: 3000, //1秒切换一次
            loop: true,
            pagination: {
                el: '.swiper-pagination',
                bulletElement: 'li',
            },
        });
        /*轮播组件（结束）*/
    }

    /*切换选项卡*/
    $(".place_content>div:nth-child(1)>span>span").on("click", function() {
        if (!$(this).hasClass("checked")) {
            $(this).parent().siblings().find("span").removeClass("checked");
            $(this).addClass("checked");
            if ($(this).html() == "场地介绍") {
                $(".place_referral").addClass("checked");
                $(".place_time").removeClass("checked");
            } else {
                $(".place_time").addClass("checked");
                $(".place_referral").removeClass("checked");
                getReserveList(); //获取预约列表
            }
        }
    });
    /*预约按钮点击事件*/
    $(".apply_btn>div").on("click", function() {
        var startTime = api.pageParam.startTime;
        var endTime = api.pageParam.endTime;
        api.openWin({
            name: 'place_select_time',
            url: './place_select_time.html',
            pageParam: {
                id: THIS_ID,
                name: THIS_NAME,
                startTime: startTime,
                endTime: endTime,
                strPlaceTimes:strPlaceTimes
            },
            slidBackEnabled: false
        });
    });
    CompatibilityIos();
};

/*获取预约时间列表*/
function getReserveList() {
    var url_getReserveListAjax = {
        school_id: localStorage.getItem("SchoolId"),
        field_id: THIS_ID
    }
    CustomAjax(url_getReserveList, url_getReserveListAjax, function(ret) {
        console.log(JSON.stringify(ret));
        var html = "";
        var data = ret.data.list;
        for (var i = 0; i < data.length; i++) {
            var strat_time = timeStampToTime(data[i].start_make_time);
            strat_time = strat_time.toString().slice(0, strat_time.toString().length - 3);
            console.log(strat_time);
            var end_time = timeStampToTime(data[i].end_make_time);
            end_time = end_time.toString().slice(0, end_time.toString().length - 3);
            html += `
        <span>${strat_time}---${end_time}<span>已预约<img src="../../image/activity/more.png"></span></span>
        `;
        }
        if (data.length == 0) {
            html = `<div class='null' style='background-color:#fff'>暂无预约</div>`
        }
        $(".place_time").html(html);
    }, true, 'post', false);
}



/*轮播截取大小比例 2:1*/
function swiperRatio() {
    var w = api.winWidth;
    var h = w / 2;
    $(".swiper-slide").css({
        "height": h,
        "width": w
    });
}
