var QR_CODE; //生产qrcode对象
var QR_TYPE; //用于标记生成的二维码类型
// 1.当前用户  2.活动签到二维码(成员)  3.活动二维码  4.社团二维码  5.成绩单二维码  6.活动二维码(管理员,动态) 7.活动二维码(管理员,静态)
var ACTIVITY_TYPE; //活动类型 1.普通活动 2.支部活动
var USER = JSON.parse(localStorage.getItem("User"));
var TIMES_TAMP = (Date.parse(new Date()) + parseInt(localStorage.getItem("SysTime"))) / 1000; //与服务器核对的时间戳
var QR_ID; //用于存储用户ID
var QR_URL; //当前页面的URL
apiready = function() {
    HeardeOnclick(function() {
        api.setScreenSecure({ //允许截图
            secure: false
        });
        close();
    }, "", "");

    api.addEventListener({
        name: 'keyback'
    }, function(ret, err) {
        api.setScreenSecure({ //允许截图
            secure: false
        });
        close();
    });
    /*生成URL*/
    QR_URL = localStorage.base_dev_url + "/wap/qrcode.html";
    $(".qrcode>div").css("height", $(".qrcode>div").width()); //设置高度
    QR_TYPE = api.pageParam.type; //获取类型
    QR_ID = api.pageParam.id; //用于接收传入的ID值
    ACTIVITY_TYPE = api.pageParam.activityType; //活动类型
    if (QR_TYPE == 1) {
        /*当前用户*/
        HeardeLoad("我的二维码", "../../image/use/back.png", "30px", "30px", "");
        $(".people_right").show();
        if (USER.sex == "男") {
            var img = "../../image/use/man.png";
        } else {
            var img = "../../image/use/woman.png";
        }
        if (USER.photo) {
            $(".title_left>div>img:nth-child(1)").attr("src", localStorage.img_url + USER.photo);
            $("#avart").attr("src", localStorage.img_url + USER.photo);
        } else {
            $(".title_left>div>img:nth-child(1)").attr("src", "../../image/use/default.png");
            $("#avart").attr("src", "../../image/use/default.png");
        }

        $(".title_left>div>img:nth-child(2)").attr("src", img);
        $(".people_right>div:nth-child(1)").html(USER.login_name);
        if (USER.nickname) {
            $(".people_right>div:nth-child(2)").html("昵称:" + USER.nickname);
        }
        UserAjax();
    } else if (QR_TYPE == 2) {
        /*活动签到*/
        api.setScreenSecure({ //禁止截图
            secure: true
        });
        HeardeLoad("活动签到二维码", "../../image/use/back.png", "30px", "30px", "");

        $(".people_right").show();
        /*当前用户*/
        if (USER.sex == "男") {
            var img = "../../image/use/man.png";
        } else {
            var img = "../../image/use/woman.png";
        }
        if (USER.photo) {
            $(".title_left>div>img:nth-child(1)").attr("src", localStorage.img_url + USER.photo);
            $("#avart").attr("src", localStorage.img_url + USER.photo);
        } else {
            $(".title_left>div>img:nth-child(1)").attr("src", "../../image/use/default.png");
            $("#avart").attr("src", "../../image/use/default.png");
        }
        $(".title_left>div>img:nth-child(2)").attr("src", img);
        $(".people_right>div:nth-child(1)").html(USER.login_name);
        if (USER.nickname) {
            $(".people_right>div:nth-child(2)").html("昵称:" + USER.nickname);
        }
        SendAjax();
    } else if (QR_TYPE == 3) {
        /*活动二维码*/
        HeardeLoad("活动二维码", "../../image/use/back.png", "30px", "30px", "");
        $(".title_right").show();
        $(".title_left>div>img:nth-child(1)").attr("src", localStorage.img_url + api.pageParam.photo);
        $(".title_left>div>img:nth-child(2)").hide();
        $(".title_right").html(api.pageParam.name);
        $("#avart").attr("src", localStorage.img_url + api.pageParam.photo);
        ActivityAjax();
    } else if (QR_TYPE == 4) {
        /*社团二维码*/
        HeardeLoad("社团二维码", "../../image/use/back.png", "30px", "30px", "");
        $(".title_right").show();
        $(".title_left>div>img:nth-child(1)").attr("src", localStorage.img_url + api.pageParam.photo);
        $(".title_left>div>img:nth-child(2)").hide();
        $(".title_right").html(api.pageParam.name);
        $("#avart").attr("src", localStorage.img_url + api.pageParam.photo);
        AssosAjax();
    } else if (QR_TYPE == 5) {
        /*成绩单二维码*/
        HeardeLoad("成绩单二维码", "../../image/use/back.png", "30px", "30px", "");
        $(".people_right").show();
        /*当前用户*/
        if (USER.sex == "男") {
            var img = "../../image/use/man.png";
        } else {
            var img = "../../image/use/woman.png";
        }
        if (USER.photo) {
            $(".title_left>div>img:nth-child(1)").attr("src", localStorage.img_url + USER.photo);
            $("#avart").attr("src", localStorage.img_url + USER.photo);
        } else {
            $(".title_left>div>img:nth-child(1)").attr("src", "../../image/use/default.png");
            $("#avart").attr("src", "../../image/use/default.png");
        }

        $(".title_left>div>img:nth-child(2)").attr("src", img);
        $(".people_right>div:nth-child(1)").html(USER.login_name);
        if (USER.nickname) {
            $(".people_right>div:nth-child(2)").html("昵称:" + USER.nickname);
        }
        SourseAjax();
    } else if (QR_TYPE == 6) {
        /*活动二维码(管理员,动态)*/
        api.setScreenSecure({ //禁止截图
            secure: true
        });
        HeardeLoad("活动二维码", "../../image/use/back.png", "30px", "30px", "");
        $(".title_right").show();
        $(".title_left>div>img:nth-child(1)").attr("src", localStorage.img_url + api.pageParam.photo);
        $(".title_left>div>img:nth-child(2)").hide();
        $(".title_right").html(api.pageParam.name);
        $("#avart").attr("src", localStorage.img_url + api.pageParam.photo);
        HeardeLoad("活动签到二维码", "../../image/use/back.png", "30px", "30px", "");
        adminStateAjax();
    } else if (QR_TYPE == 7) {
        /*活动二维码(管理员,静态)*/
        HeardeLoad("活动二维码", "../../image/use/back.png", "30px", "30px", "");
        $(".title_right").show();
        $(".title_left>div>img:nth-child(1)").attr("src", localStorage.img_url + api.pageParam.photo);
        $(".title_left>div>img:nth-child(2)").hide();
        $(".title_right").html(api.pageParam.name);
        $("#avart").attr("src", localStorage.img_url + api.pageParam.photo);
        HeardeLoad("活动签到二维码", "../../image/use/back.png", "30px", "30px", "");
        adminStaticAjax();
    }
    CompatibilityIos();
};
/*用户二维码*/
function UserAjax() {
    $(".marke").hide();
    var json = {
        id: USER.id
    }
    var code = "0101";
    var data = getRqContent(code, false, json);
    QR_CODE = new QRCode(document.getElementById("qrcode"), data); // 生成二维码
}
/*活动二维码*/
function ActivityAjax() {
    $(".marke").hide();
    var json = {
        id: QR_ID,
        type: ACTIVITY_TYPE
    }
    var code = "0301";
    var data = getRqContent(code, false, json);
    QR_CODE = new QRCode(document.getElementById("qrcode"), data); // 生成二维码
}
/*社团二维码*/
function AssosAjax() {
    $(".marke").hide();
    var json = {
        id: QR_ID
    }
    var code = "0201";
    var data = getRqContent(code, false, json);
    QR_CODE = new QRCode(document.getElementById("qrcode"), data); // 生成二维码
}
/*活动签到二维码(成员)*/
function SendAjax() {
    $(".marke").show();
    var json = {
        activity_id: QR_ID,
        user_id: USER.id,
        type: ACTIVITY_TYPE
    }
    var code = "0102";
    var data = getRqContent(code, true, json);
    console.log(data);
    QR_CODE = new QRCode(document.getElementById("qrcode"), data); // 生成二维码
    setInterval(function() {
        data = getRqContent(code, true, json);
        QR_CODE.makeCode(data);
    }, 15000);
}

/*成绩单二维码*/
function SourseAjax() {
    $(".marke").hide();
    var json = {
        type: api.pageParam.secondType,
        id: QR_ID
    }
    var code = "0401";
    var data = getRqContent(code, false, json);
    QR_CODE = new QRCode(document.getElementById("qrcode"), data); // 生成二维码
}

/*活动二维码(管理员,动态)*/
function adminStateAjax() {
    $(".marke").show();
    var json = {
        activity_id: QR_ID,
        type: ACTIVITY_TYPE
    }
    var code = "0302";
    var data = getRqContent(code, true, json);
    QR_CODE = new QRCode(document.getElementById("qrcode"), data); // 生成二维码
    setInterval(function() {
        data = getRqContent(code, true, json);
        QR_CODE.makeCode(data);
    }, 15000);
}

/*活动二维码(管理员,静态)*/
function adminStaticAjax() {
    $(".marke").hide();
    var json = {
        activity_id: QR_ID,
        type: ACTIVITY_TYPE
    }
    var code = "0103";
    var data = getRqContent(code, false, json);
    QR_CODE = new QRCode(document.getElementById("qrcode"), data); // 生成二维码
}

/*
@code => 类型code
@isTime => 是否需要时间戳(true,false)
@json => JSON数据(对象)
生成二维码内容
*/
function getRqContent(code, isTime, json) {
    json = JSON.stringify(json);
    if (isTime) {
        TIMES_TAMP = (Date.parse(new Date()) + parseInt(localStorage.getItem("SysTime"))) / 1000; //与服务器核对的时间戳
        var sign = "t" + code + "ti" + TIMES_TAMP + "d" + json;
        sign = $.md5(sign);
        var data = QR_URL + "?t=" + code + "&ti=" + TIMES_TAMP + "&d=" + json + "&sign=" + sign;
    } else {
        var sign = "t" + code + "d" + json;
        sign = $.md5(sign);
        var data = QR_URL + "?t=" + code + "&d=" + json + "&sign=" + sign;
    }
    return data;
}
