var THIS_ACTIVITY_ID; //当前活动ID
var IS_CONTORL; //是否可修改
var SIGN_SETTHING; //用于存放配置信息
var SIGN_MODE = 0; //默认为扫码签到

var mapObj = {}; //存储地图传值
apiready = function() {
    honeySwitch.init();
    HeardeLoad("签到方式", "../../image/login/back.png", "30px", "30px", "", "", "");
    HeardeOnclick(close, "", "");
    /*获取签到配置Ajax*/
    THIS_ACTIVITY_ID = api.pageParam.id;
    SIGN_SETTHING = api.pageParam.set;
    IS_CONTORL = api.pageParam.is;
    SIGN_MODE = SIGN_SETTHING.sign_mode;
    $(".sgin>textarea").val(SIGN_SETTHING.sign_explain);
    if (!IS_CONTORL) {
        $(".sgin>textarea").attr("disabled", "disabled");
        $(".sgin>button").html("活动签到已开始");
        $(".sgin>button").css("background-color", "rgb(160,160,160)");
    }

    api.addEventListener({
        name: 'mapData'
    }, function(ret, err) {
        if (ret) {
            var mapData = ret.value.objInfo;
            $(".select_place").css("display", "flex");
            $(".place_detail>span:nth-child(1)").text(mapData.name);
            $(".place_detail>span:nth-child(2)").text(mapData.address);
            mapObj = {
                target_name: mapData.name,
                address: mapData.address,
                longitude: mapData.center[0],
                latitude: mapData.center[1]
            }
            console.log(JSON.stringify(mapObj));
        } else {
            console.log(JSON.stringify(err));
        }
    });



    /*切换选项卡*/
    $(".sginType>span").on("click", function() {
        if (!IS_CONTORL) {
            return showtoastspan("活动签到已开始,无法修改签到方式");
        }
        var index = $(this).index();
        switch (index) {
            case 0:
                $(".sign_map").hide();
                $(".sgin_select").show();
                $(this).addClass("selectshow").siblings().removeClass("selectshow");
                $("p").html("生成签到码,由同学扫活动二维码签到");
                break;
            case 1:
                /*扫码签到*/
                $(".sign_map").hide();
                $(".sgin_select").hide();
                $(this).addClass("selectshow").siblings().removeClass("selectshow");
                $("p").html("由活动管理员扫参加活动同学二维码");
                SIGN_MODE = 0;
                break;
            case 2:
                /*定位签到*/
                $(".sgin_select").hide();
                $(".sign_map").show();
                $(this).addClass("selectshow").siblings().removeClass("selectshow");
                $("p").html("可将手机签到定位约束在指定的地理位置内");
                SIGN_MODE = 4;
                break;
        }
    });

    /*二级菜单选择*/
    $("i").on("click", function() {
        if (!IS_CONTORL) {
            return showtoastspan("活动签到已开始,无法修改签到方式");
        }
        $("i").removeClass("checked");
        $(this).addClass("checked");
        if ($(this).parent().index() == 0) {
            /*动态二维码*/
            SIGN_MODE = 1;
            $(".mapSwitch").css("display", "none");
            honeySwitch.showOff("#mapSwitch");
            $(".showMap").hide();
        } else {
            /*固定二维码*/
            SIGN_MODE = 2;
            $(".mapSwitch").css("display", "flex");
            if ($("#mapSwitch").hasClass("switch-off")) {
                $(".showMap").hide();
            } else {
                $(".showMap").show();
            }
        }
    });

    /*点击提交*/
    $(".sgin>button").on("click", function() {
        if (!IS_CONTORL) {
            close();
        } else {
            var sign_explain_content = $(".sgin>textarea").val();
            var type = api.pageParam.cycle_id ? true : false; //type true: 支部活动  false: 普通活动
            var openPoi = $("#mapSwitch").hasClass("switch-off") ? false : true; //是否开启定位签到  true 开启定位签到   false  关闭签到
            var code_sign_range = $(".sgin_select .range input").val();       //固定码定位签到  签到范围
            var sign_range = $(".sign_map .range input").val();       //定位签到   签到范围
            if ((openPoi || SIGN_MODE == 4) && code_sign_range == "" && code_sign_range <= 0) {
                return showtoastspan("请填写签到范围哦!");
            }else if(SIGN_MODE == 4 && sign_range == "" && sign_range <= 0){
                return showtoastspan("请填写签到范围哦!");
            }
            var url = type ? url_branchSettingSign : url_activitySetting;
            var branchObj = type ? {
                    cycle_id: api.pageParam.cycle_id,
                    school_id: localStorage.SchoolId
                } : {} //支部活动需要传的数据
            if ((openPoi || SIGN_MODE == 4) && JSON.stringify(mapObj) == "{}") {
                return showtoastspan("请先选择签到地点呢!")
            }
            switch (sign_explain_content.length) {
                case 0:
                    return showtoastspan("签到内容不能为空");
                    break;
                case 100:
                    return showtoastspan("签到说明不能超过100个字");
                    break;
            }
            switch (SIGN_MODE) {
                //0 扫码签到
                case 0:
                    settingSweep(url, sign_explain_content, branchObj);
                    break;
                    //动态码签到
                case 1:
                    settingDynamic(url, sign_explain_content, branchObj);
                    break;
                    //固定码签到  openPoi   true  固定码定位签到  false  固定码无定位签到
                case 2:
                    openPoi ? settingCodePoi(url, sign_explain_content, branchObj, code_sign_range) : settingCode(url, sign_explain_content, branchObj);
                    break;
                    //定位签到
                case 4:
                    settingPoi(url, sign_explain_content, branchObj, sign_range)
                    break;
            }
        }
    });

    /*初始化加载*/
    switch (SIGN_MODE) {
        case 0:
            /*扫码签到*/
            $("p").html("由活动管理员扫参加活动同学二维码");
            break;
        case 1:
            /*动态二维码*/
            $(".sgin_select").show();
            $(".sginType>span:nth-child(1)").addClass("selectshow").siblings().removeClass("selectshow");
            $("p").html("生成签到码,由同学扫活动二维码签到");
            $(".sgin_select>span:nth-child(1)>i").click();
            break;
        case 2:
            /*静态二维码*/
            if (SIGN_SETTHING.status == 0) {
                $(".sgin_select").show();
                $(".sginType>span:nth-child(1)").addClass("selectshow").siblings().removeClass("selectshow");
                $("p").html("由活动管理员扫参加活动同学二维码");
                $(".sgin_select>span:nth-child(2)>i").click();
            } else {
                honeySwitch.showOn("#mapSwitch");
                $(".sgin_select").show();
                $(".sginType>span:nth-child(1)").addClass("selectshow").siblings().removeClass("selectshow");
                $("p").html("可将手机签到定位约束在指定的地理位置内");
                $(".sgin_select>span:nth-child(2)>i").click();
                $(".showMap").show();
                $(".select_place").css("display", "flex");
                $(".range input").val(SIGN_SETTHING.sign_range);
                $(".place_detail>span:nth-child(1)").text(SIGN_SETTHING.target_name);
                $(".place_detail>span:nth-child(2)").text(SIGN_SETTHING.address);
                mapObj={
                  target_name: SIGN_SETTHING.target_name,
                  address: SIGN_SETTHING.address,
                  longitude: SIGN_SETTHING.center[0],
                  latitude: SIGN_SETTHING.center[1]
                }
            }
            break;
        case 4:
            $(".sgin_select").hide();
            $(".sign_map").show();
            $(".sginType>span:nth-child(3)").addClass("selectshow").siblings().removeClass("selectshow");
            $("p").html("可将手机签到定位约束在指定的地理位置内");
            $(".range input").val(SIGN_SETTHING.sign_range);
            $(".select_poi").css("display", "flex");
            $(".place_detail.poi>span:nth-child(1)").text(SIGN_SETTHING.target_name);
            $(".place_detail.poi>span:nth-child(2)").text(SIGN_SETTHING.address);
            mapObj={
              target_name: SIGN_SETTHING.target_name,
              address: SIGN_SETTHING.address,
              longitude: SIGN_SETTHING.center[0],
              latitude: SIGN_SETTHING.center[1]
            }
            break;
    }

    //是否开启地图选择
    switchEvent("#mapSwitch", function() {
        $(".showMap").show();
    }, function() {
        $(".showMap").hide();
    });

    $(".select_map>span").on('click', function() {
        api.openWin({
            name: 'sign_map',
            url: './sign_map.html',
            pageParam: {
                name: 'test'
            }
        });
    })

    CompatibilityIos();
};


/**
 * 设置扫码签到
 */
function settingSweep(url, explain, branchObj) {
    //  课程、社团活动签到
    var url_activitySettingAjax = {
        activity_id: THIS_ACTIVITY_ID,
        sign_mode: SIGN_MODE,
        sign_explain: explain
    }
    var urlData = Object.assign(url_activitySettingAjax, branchObj)
    CustomAjax(url, urlData, function(ret) {
        api.execScript({
            name: 'activedetail',
            script: 'SignSet();'
        });
        api.execScript({
            name: 'branch_activedetail',
            script: 'SignSet();'
        });
        close();
    }, true, 'post');
}


/**
 * 设置签到码   动态码签到
 */
function settingDynamic(url, explain, branchObj) {
    //  课程、社团活动签到
    var url_activitySettingAjax = {
        activity_id: THIS_ACTIVITY_ID,
        sign_mode: SIGN_MODE,
        sign_explain: explain
    }
    var urlData = Object.assign(url_activitySettingAjax, branchObj)
    CustomAjax(url, urlData, function(ret) {
        console.log(ret);
        api.execScript({
            name: 'activedetail',
            script: 'SignSet();'
        });
        api.execScript({
            name: 'branch_activedetail',
            script: 'SignSet();'
        });
        close();
    }, true, 'post');
}


/**
 * 设置签到码  定位签到
 */
function settingCodePoi(url, explain, branchObj, sign_range) {
    var url_activitySettingAjax = {
        activity_id: THIS_ACTIVITY_ID,
        sign_mode: SIGN_MODE,
        sign_explain: explain,
        status: 1,
        sign_range: sign_range
    }
    var urlData = Object.assign(mapObj, url_activitySettingAjax, branchObj)
    CustomAjax(url, urlData, function(ret) {
      //  console.log(JSON.stringify(ret));
        api.execScript({
            name: 'activedetail',
            script: 'SignSet();'
        });
        api.execScript({
            name: 'branch_activedetail',
            script: 'SignSet();'
        });
        close();
    }, true, 'post');
}


/**
 * 设置签到码  无定位签到
 */
function settingCode(url, explain, branchObj) {
    //  课程、社团活动签到
    var url_activitySettingAjax = {
        activity_id: THIS_ACTIVITY_ID,
        sign_mode: SIGN_MODE,
        sign_explain: explain,
        status: 0,
    }
    var urlData = Object.assign(url_activitySettingAjax, branchObj)
    CustomAjax(url, urlData, function(ret) {
        api.execScript({
            name: 'activedetail',
            script: 'SignSet();'
        });
        api.execScript({
            name: 'branch_activedetail',
            script: 'SignSet();'
        });
        close();
    }, true, 'post');
}


/**
 * 设置定位签到
 */
function settingPoi(url, explain, branchObj, sign_range) {
    //  课程、社团活动签到
    var url_activitySettingAjax = {
        activity_id: THIS_ACTIVITY_ID,
        sign_mode: SIGN_MODE,
        sign_explain: explain,
        sign_range: sign_range
    }
    var urlData = Object.assign(mapObj, url_activitySettingAjax, branchObj)
    CustomAjax(url, urlData, function(ret) {
        api.execScript({
            name: 'activedetail',
            script: 'SignSet();'
        });
        api.execScript({
            name: 'branch_activedetail',
            script: 'SignSet();'
        });
        close();
    }, true, 'post');
}
