var image_index = 0; //当前的活动图片数量
var images = new Array(); //用于存放已添加的活动图片
var upload_index = 0; //用于计算目前已上传几张
var uploads = []; //用于存放图片上传后返回的ID
apiready = function() {
    HeardeLoad("请假申请", "../../image/login/back.png", "30px", "30px", "历史");
    HeardeOnclick(close, "", function() {
        api.openWin({
            name: 'leave_history',
            url: './leave_history.html'
        });
    });
    MUICompatibilityIos();
    $(".active_name>input").val(api.pageParam.name);

    var nStartDate, nEndDate, leave_date, nType = null;
    var nLeaveType = api.pageParam.type; //用于记录请假类型 1.普通请假 2.活动请假
    leave_date = nEndDate = nStartDate = Date.parse(new Date()) / 1000;
    var nNextUserId = null; //下一审核人ID
    if (nLeaveType == 2) {
        $(".leave_one").hide();
        $(".leave_date>font").text(timeStampToTime(nStartDate, 8));
    } else {
        $(".active_name").parent().hide();
        $(".leave_two").hide();
        $(".leave_start_data>font,.leave_end_data>font").text(timeStampToTime(nStartDate, 3));
    }
    //点击选择图片
    $(".leave_img").on("click", function() {
        OpenCamera(image_index, 9, function(url) {
            addimagefunction(url, url);
        }, function(realyUrl, thumbUrl) {
            addimagefunction(realyUrl, thumbUrl);
        });
    })

    //时间选择器初始化
    $(".leave_start_data").on("click", function() {
        var thisFont = $(this).find("font");
        var dtPicker = new mui.DtPicker();
        dtPicker.show(function(selectItems) {
            nStartDate = timeToTimeStamp(selectItems.value + ":00") / 1000;
            thisFont.html(selectItems.value);
        });
    })
    $(".leave_end_data").on("click", function() {
        var thisFont = $(this).find("font");
        var dtPicker = new mui.DtPicker();
        dtPicker.show(function(selectItems) {
            nEndDate = timeToTimeStamp(selectItems.value + ":00") / 1000;
            thisFont.html(selectItems.value);
        });
    })
    $(".leave_date").on("click", function() {
        var thisFont = $(this).find("font");
        var dtPicker = new mui.DtPicker();
        dtPicker.show(function(selectItems) {
            leave_date = timeToTimeStamp(selectItems.value + ":00") / 1000;
            thisFont.html(selectItems.value);
        });
    })
    $(".leave_type").click(function() {
        var typeBotton = ['事假', '病假'];
        Sheet(".leave_type font", typeBotton, function(index) {
            nType = index;
        });
    });

    $(".leave_people").click(function() {
        var url_assoGetNextCheckUserAjax = {
            approval_id: 0,
            process_id: 6,
            branch_id: api.pageParam.strBranchId
        }
        CustomAjax(url_assoGetNextCheckUser, url_assoGetNextCheckUserAjax, function(ret) {
            console.log(JSON.stringify(ret));
            var buttonsName = new Array(); //下一个导师名称
            var buttonsId = new Array(); //下一个导师ID
            var list = ret.data.list;
            for (var i = 0; i < list.length; i++) {
                buttonsName.push(list[i].arover_name);
                buttonsId.push(list[i].arover_id);
            }
            Sheet(".leave_people font", buttonsName, function(index) {
                nNextUserId = buttonsId[index];
            });

        }, true, 'get', false);
    });
    /*提交审核*/
    $(".leaveBtn").on("click", function() {
        UtilShowLoadImg();
        if (nType == null) {
            return CloseAndOpen("请选择请假类型");
        }
        var strContent = $("#textarea").val();
        if (strContent.length == 0) {
            return CloseAndOpen("请填写请假事由");
        } else if (strContent.length >= 500) {
            return CloseAndOpen("请假事由最多填写500个字");
        }
        var nUserId = JSON.parse(localStorage.getItem("User")).id;
        if (nNextUserId == null) {
            return CloseAndOpen("请选择审批人");
        }
        var addLeaveAjax = {
            school_id: localStorage.getItem("SchoolId"),
            user_id: nUserId,
            leave_type: nType,
            leave_content: strContent,
            leave_start_time: nStartDate,
            leave_end_time: nEndDate,
            type: nLeaveType,
            leave_type: nType,
            check_user_id: nNextUserId
        }
        if (nLeaveType == 1) {
            /*普通请假*/
            if (nStartDate > nEndDate) {
                return CloseAndOpen("请假开始时间不能早于请假结束时间");
            }
            var Ajax = {
                leave_start_time: nStartDate,
                leave_end_time: nEndDate
            }
        } else {
            /*活动请假*/
            var Ajax = {
                activity_id: api.pageParam.id,
                leave_start_time: api.pageParam.nStart,
                leave_end_time: api.pageParam.nEnd,
                leave_time: leave_date,
                cycle_id: api.pageParam.nCycleId,
                activity_name: api.pageParam.name
            }
        }
        /*上传图片*/
        if (image_index != 0) {
            LoadImages(addLeaveAjax, Ajax);
        } else {
            SendAjax(addLeaveAjax, Ajax);
        }
    });

}

//底部弹出层
function Sheet(item, bottons, func) {
    !bottons ? bottons = ["是", "否"] : bottons;
    api.actionSheet({
        cancelTitle: '取消',
        buttons: bottons
    }, function(ret, err) {
        if (ret) {
            var index = ret.buttonIndex;
            index--;
            var indexname = "";
            for (var action_i in bottons) {
                if (index == action_i) {
                    indexname = bottons[action_i];
                }
            }
            $(item).html(indexname);
            func(index);
        } else {
            showtoastspan(err.msg);
        };

    });
}

//关闭死加载，并提示
function CloseAndOpen(message) {
    UtilHideLoadImg();
    showtoastspan(message);
}

/*添加图片*/
function addimagefunction(url, thumbUrl) {
    var html = "";
    html =
        `
<div class="imageClass">
  <img src="${thumbUrl}">
  <img src="../../image/tag/delete.png" onclick="deleteimagefunction(this)">
</div>
`;
    $(".leave_img").before(html);
    image_index++;
    if (image_index == 9) {
        $(".leave_img").hide();
    }
    images.push(url);
    console.log(url);
}
/*删除图片*/
function deleteimagefunction(id) {
    var imgIndex = $.inArray($(id).prev().attr("src"), images);
    if (imgIndex >= 0) {
        images.splice(imgIndex, 1);
    }
    $(id).parent().remove();
    image_index--;
    if (image_index < 9) {
        $(".leave_img").show();
    }
}

/*循环上传图片*/
function LoadImages(addLeaveAjax, Ajax) {
    if (upload_index < image_index) {
        fileajax(images[upload_index], function(ret) {
            uploads.push(ret.data.file_id);
            upload_index++;
            LoadImages(addLeaveAjax, Ajax);
        });
    } else {
        Ajax.pic_id = uploads.join(",");
        SendAjax(addLeaveAjax, Ajax);
    }
}

/*发送申请请求*/
function SendAjax(addLeaveAjax, Ajax) {
    $.extend(addLeaveAjax, Ajax);
    CustomAjax(Url.branch.addLeave, addLeaveAjax, function(ret) {
        showtoastspan("申报成功");
        setTimeout(function() {
            close();
        }, 500);
    }, true, 'post', false);
    UtilHideLoadImg();
}
