var SHOUYE_P = 1; //页码
var SHOUYE_IS_OR_NOW = 0; //是否有下一页
apiready = function() {
    HeardeLoad("支部活动", "../../image/use/back.png", "30px", "30px", "");
    HeardeOnclick(close, "", "");
    /*刷新和加载*/
    RefreshAndLoad(".content", function() {
        UtilShowLoadImg();
        $(".content").empty();
        SHOUYE_P = 1;
        SHOUYE_IS_OR_NOW = 0;
        RecommendActivityList();
    }, function() {
        if (SHOUYE_IS_OR_NOW == 0) {
            UtilShowLoadImg();
            SHOUYE_P++;
            RecommendActivityList();
        }
    });
    setTimeout(function() {
        UtilShowLoadImg();
    }, 80);
    setTimeout(function() {
        RecommendActivityList();
    }, 100);
    /*适配IOS*/
    CompatibilityIos();
};

/*获取进行中的支部活动列表*/
function RecommendActivityList() {
    var url_getActivityListAjax = {
        check_status: 1,
        page: SHOUYE_P,
        size: 10,
        branch_id: api.pageParam.strBranchId
    }
    CustomAjax(Url.branchActive.activeList, url_getActivityListAjax, function(ret) {
        console.log(JSON.stringify(ret));
        if (ret.data.total_size <= SHOUYE_P * 10) {
            SHOUYE_IS_OR_NOW = 1;
        } else {
            SHOUYE_IS_OR_NOW = 0;
        }
        var list = ret.data.list;
        var strHtml = "";
        for (var i = 0; i < list.length; i++) {
            var strActiveDate = "";
            if (list[i].activity_type == 2) {
                /*判断当亲周期性*/
                strActiveDate = `
                <span>日期: <font>${timeStampToTime(list[i].activity_start_time,0,10)}~${timeStampToTime(list[i].activity_end_time,0,10)}</font></span></br>
                <span>时间: <font>${judgeCycle(list[i].cycle_data,list[i].cycle_type)}</font></span>
                `;
            } else {
                strActiveDate = `
              <span>日期: <font>${timeStampToTime(list[i].activity_start_time,8)}~${timeStampToTime(list[i].activity_end_time,8)}</font></span></br>
              <span>时间: <font>${timeStampToTime(list[i].activity_start_time,0,10)}~${timeStampToTime(list[i].activity_end_time,0,10)}</font></span>
              `;
            }
            /*填充数据*/
            if (list[i].branch_type == 1) {
                var branch_type = "年";
            } else {
                var branch_type = "班";
            }
            switch (list[i].status) {
                case 1:
                    var statusImg = "../../image/branch/start.png";
                    break;
                case 3:
                    var statusImg = "../../image/branch/ing.png";
                    break;
                case 2:
                    var statusImg = "../../image/branch/sign.png";
                    break;
                case 4:
                    var statusImg = "../../image/branch/end.png";
                    break;
            }
            if (list[i].promotion_url) {
                var img = localStorage.img_url + list[i].promotion_url[0].url;
            } else {
                var img = "../../image/branch/badge.png";
            }
            strHtml += `
            <div class="branch_module" activityId="${list[i].activity_id}" CycleId="${list[i].cycle_id}" onclick="OpenBranchActivityDetail(this)">
              <img src="${statusImg}">
                <div class="branch_module_left checked">
                  <img src="${img}">
                </div>
                <div class="branch_module_right checked">
                <div>
                  <span>${branch_type}</span>
                  <span>${list[i].activity_name}</span>
                </div>
                  <span>地点: <font>${list[i].activity_place}</font></span></br>
                  ${strActiveDate}
                </div>
              </div>
              `;
        }
        if (list.length == 0) {
            strHtml = `
            <div class="no_data">
              <div class="nodata_img">
                <img src="../../image/branch/qj.png" alt="">
                <div>当前支部没有活动哟!~~</div>
              </div>
            </div>
            `;
        }
        $(".content").append(strHtml);
        UtilHideLoadImg();
    }, true, 'post');
}

/*跳转详情*/
function OpenActivityDetail(idd) {
    var id = $(idd).attr("activityId");
    api.openWin({
        name: 'branch_activedetail',
        url: './branch_activedetail.html',
        pageParam: {
            activityId: id
        },
        slidBackEnabled: false
    });

}


/*判断周期性*/
function judgeCycle(cycle_data, type) {
    var strCycle_name;
    switch (type) {
        case 1:
            //每天
            if (cycle_data.day_type == 1) {
                var day_type = "天 ";
            } else {
                var day_type = "工作日 ";
            }
            strCycle_name = "每" + cycle_data.number + day_type;
            break;
        case 2:
            //每周
            var week = "";
            if (cycle_data.monday_status == 1) {
                week += "周一";
            }
            if (cycle_data.tuesday_status == 1) {
                week += "周二";
            }
            if (cycle_data.wednesday_status == 1) {
                week += "周三";
            }
            if (cycle_data.thursday_status == 1) {
                week += "周四";
            }
            if (cycle_data.friday_status == 1) {
                week += "周五";
            }
            if (cycle_data.saturday_status == 1) {
                week += "周六";
            }
            if (cycle_data.sunday_status == 1) {
                week += "周日"
            }
            strCycle_name = "每周 " + week;
            break;
        case 3:
            //每月
            if (cycle_data.button_one_status == 1) {
                strCycle_name = "每" + cycle_data.button_one_content_one + "个月的第" + cycle_data.button_one_content_two + "天";
            } else {
                var button_two_content_two = "";
                switch (cycle_data.button_two_content_two) {
                    case 1:
                        button_two_content_two = "第一个";
                        break;
                    case 2:
                        button_two_content_two = "第二个";
                        break;
                    case 3:
                        button_two_content_two = "第三个";
                        break;
                    case 4:
                        button_two_content_two = "第四个";
                        break;
                    case 5:
                        button_two_content_two = "最后一个";
                        break;
                }
                switch (cycle_data.button_two_content_three) {
                    case 1:
                        button_two_content_two += "星期一";
                        break;
                    case 2:
                        button_two_content_two += "星期二";
                        break;
                    case 3:
                        button_two_content_two += "星期三";
                        break;
                    case 4:
                        button_two_content_two += "星期四";
                        break;
                    case 5:
                        button_two_content_two += "星期五";
                        break;
                    case 6:
                        button_two_content_two += "星期六";
                        break;
                    case 7:
                        button_two_content_two += "星期七";
                        break;
                }
                strCycle_name = "每" + cycle_data.button_two_content_one + "个月的" + button_two_content_two;
            }
            break;
        case 4:
            //每年
            if (cycle_data.button_one_status == 1) {
                strCycle_name = "每年的" + cycle_data.button_one_content;
            } else {
                switch (cycle_data.button_two_content_two) {
                    case 1:
                        button_two_content_two = "第一个";
                        break;
                    case 2:
                        button_two_content_two = "第二个";
                        break;
                    case 3:
                        button_two_content_two = "第三个";
                        break;
                    case 4:
                        button_two_content_two = "第四个";
                        break;
                    case 5:
                        button_two_content_two = "最后一个";
                        break;
                }
                switch (cycle_data.button_two_content_three) {
                    case 1:
                        button_two_content_two += "星期一";
                        break;
                    case 2:
                        button_two_content_two += "星期二";
                        break;
                    case 3:
                        button_two_content_two += "星期三";
                        break;
                    case 4:
                        button_two_content_two += "星期四";
                        break;
                    case 5:
                        button_two_content_two += "星期五";
                        break;
                    case 6:
                        button_two_content_two += "星期六";
                        break;
                    case 7:
                        button_two_content_two += "星期七";
                        break;
                }
                strCycle_name = "每年的" + cycle_data.button_two_content_one + "月的" + button_two_content_two;
            }
            break;
    }
    if (strCycle_name.length >= 11) {
        strCycle_name += "<br><font class='cycle_time'>时间: </font>" + cycle_data.start_time + "~" + cycle_data.end_time;
    } else {
        strCycle_name += cycle_data.start_time + "~" + cycle_data.end_time;
    }
    return strCycle_name;
}


/*跳转支部活动详情*/
function OpenBranchActivityDetail(idd) {
    var id = $(idd).attr("activityId");
    var CycleId = $(idd).attr("CycleId");
    api.openWin({
        name: 'branch_activedetail',
        url: '../activity/branch_activedetail.html',
        pageParam: {
            activityId: id,
            CycleId: CycleId
        },
        slidBackEnabled: false,
        reload: true
    });
}
