apiready = function() {
    HeardeLoad("支部通知", "../../image/login/back.png", "30px", "30px", "");
    HeardeOnclick(function() {
        api.execScript({
            name: 'root',
            script: 'getBranchUnreadMessages();'
        });
        close();
    }, "", "");

    api.addEventListener({
        name: 'keyback'
    }, function(ret, err) {
        api.execScript({
            name: 'root',
            script: 'getBranchUnreadMessages();'
        });
        close();
    });

    BranchhNoticeRefres();
    CompatibilityIos();
}

/*侧滑显示删除按钮*/
function lateral() {
    var ox, ex; //用于记录上下左右的距离
    var endx; //用于记录上下左右位移的距离
    var ThisModuleId; //用于存放被点击的id
    $(".message_module").on("touchstart", function(event) {
        ox = event.touches[0].clientX;
        ThisModuleId = $(this).attr("id");
    }).on("touchend", function(event) {
        ex = event.changedTouches[0].clientX;
        endx = ox - ex;
        if (Math.abs(endx) > 100) {
            if (ox > ex) { //向左滑
                $(".message_module").css("left", "0");
                $("#" + ThisModuleId).animate({
                    left: "-60px"
                }, 200);
            } else { //向右滑
                $("#" + ThisModuleId).animate({
                    left: "0"
                }, 200);
            }
        }
    });
}

/*跳转详情*/
function openDetail(idd) {
    var id = $(idd).parents(".message_module").attr("id");
    if ($(idd).find(".message_image").hasClass("islook")) {
        $(idd).find(".message_image").removeClass("islook");
    }
    api.openWin({
        name: 'messageminute',
        url: '../my/messageminute.html',
        pageParam: {
            id: id,
            type: 2
        },
        slidBackEnabled: false
    });
}
/*删除该条消息*/
function delectItem(idd) {
    api.confirm({
        title: '是否删除该消息',
        buttons: ['确定', '取消']
    }, function(ret, err) {
        if (ret) {
            var index = ret.buttonIndex;
            if (index == 1) {
                UtilShowLoadImg();
                var id = $(idd).parents(".message_module").attr("id");
                var ajax = {
                    message_id: id
                }
                CustomAjax(Url.branch.delMyNoticeInfo, ajax, function(ret) {
                    $("#" + id).remove();
                }, true, 'post', false);
                UtilHideLoadImg();
            }
        }
    });
}
/*获取支部动态列表*/
function getBranchNoticeList(branch_notice_p, branch_notice_is_or_not) {
    var getMyNoticeListAjax = {
        page: branch_notice_p,
        size: 20
    }
    CustomAjax(Url.branch.getMyNoticeList, getMyNoticeListAjax, function(ret) {
        if (ret.data.total_size <= branch_notice_p * 10) {
            branch_notice_is_or_not = 1;
        } else {
            branch_notice_is_or_not = 0;
        }
        var list = ret.data.list;
        var strHtml = "";
        for (var i = 0; i < list.length; i++) {
            if (list[i].type == 1) {
                var noticeType = "年级通知";
            } else {
                var noticeType = "班级通知";
            }
            console.log(list[i].is_reading);
            if (list[i].is_reading == 0) {
                var islook = "islook";
            } else {
                var islook = "";
            }
            strHtml += `
      <div class="message_module" id="${list[i].message_id}">
          <div class="message_module_left" onclick="openDetail(this)">
              <div class="message_image ${islook}">
                  <img src="../../image/tag/title.png">
                  <img src="../../image/tag/red.png">
              </div>
              <div class="message_content">
                  <div>
                      <span><font>【${noticeType}】</font>${list[i].title}</span>
                  </div>
                  <div>${timeStampToTime(list[i].ctime)}</div>
              </div>
          </div>
          <div class="message_module_right" onclick="delectItem(this)">
              删除
          </div>
      </div>
      `;
        }
        if (list.length == 0) {
            strHtml = `<div class="null">暂无数据</div>`;
        }
        $(".content").append(strHtml);
        lateral();
        return branch_notice_is_or_not;
    }, true, 'get', false);
}
/*下拉刷新和上啦加载*/
function BranchhNoticeRefres() {
    /*下拉刷新和上啦加载*/
    var branch_notice_p = 1;
    var branch_notice_is_or_not = 0;
    RefreshAndLoad(".content", function() {
        UtilShowLoadImg();
        $(".content").empty();
        branch_notice_p = 1;
        branch_notice_is_or_not = 0;
        branch_notice_is_or_not = getBranchNoticeList(branch_notice_p, branch_notice_is_or_not);
        UtilHideLoadImg();
    }, function() {
        if (branch_notice_is_or_not == 0) {
            UtilShowLoadImg();
            branch_notice_p++;
            branch_notice_is_or_not = getBranchNoticeList(branch_notice_p, branch_notice_is_or_not);
            UtilHideLoadImg();
        }
    });
    branch_notice_p = 1;
    branch_notice_is_or_not = 0;
    branch_notice_is_or_not = getBranchNoticeList(branch_notice_p, branch_notice_is_or_not);
}
