apiready = function() {
    HeardeLoad("打卡签到", "../../image/login/back.png", "30px", "30px", "");
    HeardeOnclick(close, "", "");
    /*获取当前时间*/
    var date = (Date.parse(new Date()) + parseInt(localStorage.getItem("SysTime"))) / 1000;
    $("#date").val(timeStampToTime(date, 8));

    //初始化配置参数
    $('#date').mobiscroll().calendar({
        theme: 'mobiscroll', //日期选择器使用的主题
        lang: 'zh', //使用语言
        display: 'bottom', //显示方式
        // dateFormat: 'yyyy-mm-dd',  //显示格式
        startYear: (new Date()).getFullYear(), //开始年份
        endYear: (new Date()).getFullYear() + 9, //结束年份
        minDate: new Date(), //从当前年，当前月，当前日开始
        onSet: function(textVale, inst) { //选中时触发事件
            console.log(JSON.stringify(textVale));
            var nDate = textVale.valueText.replace(/\//g, "-");
            date = timeToTimeStamp(nDate) / 1000;
            getAppEveryDayActivityList(date, 1);
        },
    });

    /*点击事件*/
    $(".title>div").on("click", function() {
        var index = $(this).index();
        switch (index) {
            case 0:
                /*前一天*/
                date = date - 86400;
                $("#date").val(timeStampToTime(date, 8));
                getAppEveryDayActivityList(date, 1);
                break;
            case 1:
                /*弹出时间选择器*/
                // var dtPicker = new mui.DtPicker();
                // dtPicker.show(function(selectItems) {
                //     var value = selectItems.value + ":00";
                //     date = timeToTimeStamp(value) / 1000;
                //     $(".now").text(timeStampToTime(date, 8));
                //     getAppEveryDayActivityList(date);
                // });
                break;
            case 2:
                /*后一天*/
                date = date + 86400;
                $("#date").val(timeStampToTime(date, 8));
                getAppEveryDayActivityList(date, 1);
                break;
        }
    });
    setTimeout(function() {
        getAppEveryDayActivityList(date);
    }, 80);
    MUICompatibilityIos();
}

// /*获取打卡签到列表*/  type: 1 切换天数
function getAppEveryDayActivityList(date, type) {
    UtilShowLoadImg();
    var nUserId = JSON.parse(localStorage.getItem("User")).id;
    var getAppEveryDayActivityListAjax = {
        user_id: nUserId,
        time: date
    }
    CustomAjax(url_getAppEveryDayActivityList, getAppEveryDayActivityListAjax, function(ret) {
        console.log(JSON.stringify(ret))
        var data = ret.data;
        var str = "";
        for (var i = 0; i < data.length; i++) {
            if (data[i].rank_id == 1 || data[i].rank_id == "校级") {
                var rand_idspan = "校";
                var rank = "checked";
            } else {
                var rand_idspan = "院";
                var rank = "";
            }
            if (data[i].status <= 1) {
                var imgstatus = "../../image/activity/notstart.png";
            } else if (data[i].status <= 3) {
                var imgstatus = "../../image/activity/start.png";
            } else {
                var imgstatus = "../../image/activity/activityend.png";
            }
            if (data[i].limit_number == (-1)) {
                var limit_number = "不限";
            } else {
                var limit_number = data[i].limit_number;
            }
            if (data[i].is_manager == 1) {
                var is_manager = 'checked';
            } else {
                var is_manager = '';
            }
            var time = timeStampToTime(data[i].activity_start_time, 3) + "~" + timeStampToTime(data[i].activity_end_time, 3);
            str += `
              <div class="activity_view" activityId="${data[i].activity_id}" onclick='OpenActivityDetail(this, ${data[i].cycle_id})'>
                  <div class="activity_view_img">
                      <img src="${localStorage.img_url + data[i].promotion_url[0].url}">
                      <img src="${imgstatus}">
                  </div>
                  <div class="activity_view_title ${rank}">
                         <span>${rand_idspan}</span>
                      <p>${data[i].activity_name}</p>
                  </div>
                  <div class="activity_view_address">
                      <img src="../../image/activity/address.png">
                      <span>${data[i].activity_place}</span>
                      <span class='${is_manager}'>管理员</span>
                  </div>
                  <div class="activity_view_time">
                      <img src="../../image/activity/time.png">
                      <span>${time}</span>
                  </div>
                  <div class="activity_vie_people">
                      <img src="../../image/activity/people.png">
                      <span>${data[i].sing_up_number}/${limit_number}</span>
                  </div>
            </div>
            `;
        };
        if (!data.length) {
            str = `<div class="null">暂无数据</div>`;
        }
        $(".list").html(str);
        UtilHideLoadImg();
    }, true, 'get');
}

var ACTIVEITY_BTN_ONE = true; //点击活动详情的时候防止点击两次   true 可点击   false 不可点击
function OpenActivityDetail(idd, data) {
    if (ACTIVEITY_BTN_ONE) {
        var id = $(idd).attr("activityId");
        if (id == "") {
            return;
        }
        if (!data) {
            api.openWin({
                name: 'activedetail',
                url: '../../html/activity/activedetail.html',
                pageParam: {
                    activityId: id
                },
                slidBackEnabled: false,
                reload: true
            });
        } else {
            api.openWin({
                name: 'branch_activedetail',
                url: '../../html/activity/branch_activedetail.html',
                pageParam: {
                    activityId: id,
                    // cycle_id: data.cycle_id
                    CycleId: data
                },
                slidBackEnabled: false,
                reload: true
            });
        }
    }
    ACTIVEITY_BTN_ONE = false;
    setTimeout(function() {
        ACTIVEITY_BTN_ONE = true
    }, 1000)
}
