apiready = function() {
    HeardeLoad("活动签到", "../../image/login/back.png", "30px", "30px", "");
    HeardeOnclick(close, "", "");
    var date_time = (Date.parse(new Date()) + parseInt(localStorage.getItem("SysTime"))) / 1000;
    setInterval(function() {
        date_time += 1;
        $(".sign_font>span:nth-child(3)").text(timeStampToTime(date_time, 0, 10));
    }, 1000);

    $(".place_right").text(api.pageParam.gps.target_name + "," + api.pageParam.gps.address);

    /*检测是否打开地位权限*/
    var demo = api.require('gps');
    demo.getGpsState(function(ret) {
        alert(ret.status);
        if (ret.status == 0) {
            api.confirm({
                title: '塔联社需要开启定位或授权',
                meg: '现在就去开启',
                buttons: ['取消', '确定']
            }, function(ret, err) {
                if (ret) {
                    var index = ret.buttonIndex;
                    if (index == 2) {
                        demo.openGpsSettingView(function(ret) {
                            if (ret.status == 0) {
                                alert("打开权限列表失败.请手动打开定位服务,可在'设置'>'更多设置'>'权限管理'中将权限设为允许");
                            }
                        });
                    }
                }
            });
        }
    });


    console.log(JSON.stringify(api.pageParam.gps));
    /*地图定位*/ //
    var map, geolocation;
    var EffectiveRange = api.pageParam.gps.sign_range; //有效范围
    var zoom = api.pageParam.gps.center; //中心点
    var Jl_marker = null; //原有的定位点
    var Jl;

    //加载地图，调用浏览器定位服务
    map = new AMap.Map('map', {
        resizeEnable: true
    });
    map.plugin('AMap.Geolocation', function() {
        geolocation = new AMap.Geolocation({
            enableHighAccuracy: true, //是否使用高精度定位，默认:true
            // timeout: 10000, //超过10秒后停止定位，默认：无穷大
            buttonOffset: new AMap.Pixel(10, 20), //定位按钮与设置的停靠位置的偏移量，默认：Pixel(10, 20)
            zoomToAccuracy: true, //定位成功后调整地图视野范围使定位位置及精度范围视野内可见，默认：false
            showMarker: false, // 定位成功后在定位到的位置显示点标记，默认：true
            showCircle: false, // 定位成功后用圆圈表示定位精度范围，默认：true
            panToLocation: false, // 定位成功后将定位到的位置作为地图中心点，默认：true
            buttonPosition: 'RB',
            // useNative:true
        });
        map.addControl(geolocation);
        /*添加范围圈*/
        var circle = new AMap.Circle({
            center: new AMap.LngLat(zoom[0], zoom[1]), // 圆心位置
            radius: EffectiveRange, //半径
            strokeColor: "#5BAEE9", //线颜色
            strokeOpacity: 1, //线透明度
            strokeWeight: 2, //线粗细度
            fillColor: "#CADFEA", //填充颜色
            fillOpacity: 0.35 //填充透明度
        });
        map.add(circle);
        /*添加坐标点*/
        var marker = new AMap.Marker({
            map: map,
            position: zoom
        });
        /*设置标签*/
        marker.setLabel({ //label默认蓝框白底左上角显示，样式className为：amap-marker-label
            offset: new AMap.Pixel(20, -20), //修改label相对于maker的位置
            content: '活动地点'
        });
        /*定位成功*/
        AMap.event.addListener(geolocation, 'complete', function(data) {
            demo.getGpsState(function(ret) {
                if (ret.status == 0) {
                    //没有物理定位的权限
                    api.confirm({
                        title: '塔联社需要开启定位或授权',
                        meg: '现在就去开启',
                        buttons: ['取消', '确定']
                    }, function(ret, err) {
                        if (ret) {
                            var index = ret.buttonIndex;
                            if (index == 2) {
                                demo.openGpsSettingView(function(ret) {
                                    if (ret.status == 0) {
                                        alert("打开权限列表失败.请手动打开定位服务,可在'设置'>'更多设置'>'权限管理'中将权限设为允许");
                                    }
                                });
                            }
                        }
                    });
                }
            });
            var Lng = data.position.getLng();
            var Lat = data.position.getLat();
            if (Jl_marker != null) {
                map.remove(Jl_marker);
            }
            Jl = [Lng, Lat];
            Jl_marker = new AMap.Marker({
                map: map,
                position: Jl,
                icon: new AMap.Icon({
                    size: new AMap.Size(20, 20), //图标大小
                    image: "../../image/branch/dw.png",
                })
            });
            /*设置标签*/
            Jl_marker.setLabel({ //label默认蓝框白底左上角显示，样式className为：amap-marker-label
                offset: new AMap.Pixel(20, -20), //修改label相对于maker的位置
                content: '我的位置'
            });
            map.setZoomAndCenter(17, Jl);
            var dis = AMap.GeometryUtil.distance(zoom, Jl);
            console.log(dis);
            if (dis > EffectiveRange) {
                /*范围外*/
                $(".sign_btn>div").addClass("checked");
                $(".sign_font>span:nth-child(1)").text("签到范围外");
            } else {
                $(".sign_btn>div").removeClass("checked");
                $(".sign_font>span:nth-child(1)").text("签到");
            }
        });
        /*定位失败*/
        AMap.event.addListener(geolocation, 'error', function(data) {
            if (data.info == "FAILED") {
                /*定位失败*/
                demo.getGpsState(function(ret) {
                    if (ret.status == 0) {
                        //没有物理定位的权限
                        api.confirm({
                            title: '塔联社需要开启定位或授权',
                            meg: '现在就去开启',
                            buttons: ['取消', '确定']
                        }, function(ret, err) {
                            if (ret) {
                                var index = ret.buttonIndex;
                                if (index == 2) {
                                    demo.openGpsSettingView(function(ret) {
                                        if (ret.status == 0) {
                                            alert("打开权限列表失败.请手动打开定位服务,可在'设置'>'更多设置'>'权限管理'中将权限设为允许");
                                        }
                                    });
                                }
                            }
                        });
                    } else {
                        //没有浏览器的权限
                        location.reload();
                    }
                });
            }
        });
        geolocation.getCurrentPosition();
    });

    /*定位签到*/
    $(".sign_btn>div").on("click", function() {
        var nUserId = JSON.parse(localStorage.getItem("User")).id;
        if (!$(this).hasClass("checked")) {
            if (api.pageParam.gps.sign_mode == 2) {
                if (api.pageParam.identity == 1) {
                    var user_id = JSON.parse(localStorage.getItem("User")).id;
                    var url_activitySignInAjax = {
                        activity_id: api.pageParam.activityId,
                        user_id: nUserId,
                        cycle_id: api.pageParam.nCycleId,
                        sign_mode: 2,
                        longitude: Jl[0],
                        latitude: Jl[1]
                    }
                    if (api.pageParam.activityType == 1) {
                        var url = url_activitySignIn;
                    } else {
                        var url = Url.branchActive.activitySignIn;
                    }
                    CustomAjax(url, url_activitySignInAjax, function(ret) {
                        UtilHideLoadImg();
                        showtoastspan("签到成功");
                        setTimeout(function() {
                            close();
                        }, 300);
                    }, true, 'post', false);
                    UtilHideLoadImg();
                } else {
                    /*打开扫一扫*/
                    api.openWin({
                        name: 'scan_qr',
                        url: '../activity/scan_qr.html',
                        pageParam: {
                            type: 2,
                            setting: api.pageParam.gps,
                            zoom: Jl,
                            nCycleId: api.pageParam.nCycleId,
                        },
                        slidBackEnabled: false
                    });
                }
            } else {
                UtilShowLoadImg();
                var activitySignInAjax = {
                    activity_id: api.pageParam.activityId,
                    user_id: nUserId,
                    cycle_id: api.pageParam.nCycleId,
                    sign_mode: 4,
                    longitude: Jl[0],
                    latitude: Jl[1]
                }
                if (api.pageParam.activityType == 1) {
                    var url = url_activitySignIn;
                } else {
                    var url = Url.branchActive.activitySignIn;
                }
                CustomAjax(url, activitySignInAjax, function(ret) {
                    UtilHideLoadImg();
                    showtoastspan("签到成功");
                    setTimeout(function() {
                        close();
                    }, 300);
                }, true, 'post', false);
                UtilHideLoadImg();
            }
        }
    });
}
