apiready = function() {
    setTimeout(function() {
        UtilShowLoadImg();
    }, 10);
    HeardeLoad("成绩单", "../../image/use/back.png", "30px", "30px", "../../image/use/two.png", "30px", "30px");
    HeardeOnclick(function() {
        api.setScreenSecure({ //允许截图
            secure: false
        });
        close();
    }, "", qrcode);
    api.setScreenSecure({ //禁止截图
        secure: true
    });

    api.addEventListener({
        name: 'keyback'
    }, function(ret, err) {
        api.setScreenSecure({ //允许截图
            secure: false
        });
        close();
    });
    MUICompatibilityIos();
    /*打开成绩单详情*/

    var url_getTranscriptDetailAjax = {
        transcript_id: api.pageParam.sendId,
        type: api.pageParam.type
    }
    CustomAjax(url_getTranscriptDetail, url_getTranscriptDetailAjax, function(res) {
        /*基础信息*/
        var info_content = res.data.studentInfo;
        $(".name").text(info_content.student_name);
        $(".sex").text(info_content.student_sex);
        $(".birthDate").text(info_content.student_birth);
        $(".record").text(info_content.education_level);
        $(".school").text(info_content.school_name);
        $(".college").text(info_content.college_name);
        $(".major").text(info_content.major_name);
        $(".code>span:nth-child(1)>font").text(timeStampToTime(info_content.create_time, 8));
        $(".code>span:nth-child(2)>font").text(info_content.transcript_num);
        $(".second_title>img").attr("src", localStorage.img_url + info_content.school_logo);
        // $(".second_title>img").attr("src", "../../image/branch/aaa.png");
        var jsIndicator = [];
        var arrStudentData = [];
        var arrSchoolData = [];
        var nMax = 0;
        var nNum = 0;
        var arrSchoolAjaxData;
        var arrSchoolMax;
        /*获取学校平均分数据*/
        var url_getProjectAverageAjax = {
            school_id: localStorage.getItem("SchoolId")
        }
        CustomAjax(url_getProjectAverage, url_getProjectAverageAjax, function(ret) {
            arrSchoolAjaxData = ret.data;
            /*获取必修分上限*/
            var getCreditCappedAndRequireAjax = {
                school_id: localStorage.getItem("SchoolId")
            }
            CustomAjax(Url.branchActive.getCreditCappedAndRequire, getCreditCappedAndRequireAjax, function(ret) {
                arrSchoolMax = ret.data;
                /*处理数据*/
                for (var i = 0; i < arrSchoolAjaxData.length; i++) {
                    var declare_credit = 0;
                    if (res.data.declareData.length > i) {
                        for (var j = 0; j < res.data.declareData[i].detail.length; j++) {
                            declare_credit += parseInt(res.data.declareData[i].detail[j].declare_credit);
                        }
                    }
                    if (arrSchoolMax[i].credit_capped != (-1)) {
                        nMax = arrSchoolMax[i].credit_capped;
                    } else {
                        nMax = arrSchoolMax[i].credit_require;
                    }
                    //限制信息数据超出最大值
                    if (declare_credit > nMax) {
                        nNum = nMax;
                    } else {
                        nNum = declare_credit;
                    }
                    if (arrSchoolAjaxData[i].average > nMax) {
                        arrSchoolAjaxData[i].average = nMax;
                    }
                    var pObject = {
                        name: arrSchoolAjaxData[i].project_name + ":" + declare_credit,
                        max: nMax
                    }
                    arrSchoolData.push(arrSchoolAjaxData[i].average);
                    jsIndicator.push(pObject);
                    arrStudentData.push(nNum);
                }
                console.log(JSON.stringify(jsIndicator));
                console.log(JSON.stringify(arrStudentData));
                console.log(JSON.stringify(arrSchoolData));
                /*雷达图*/
                var dom = document.getElementById("container");
                var myChart = echarts.init(dom);
                var option = {
                    legend: {
                        data: [{
                            name: '学生个人能力',
                            textStyle: {
                                color: '#ff6a26'
                            }
                        }, {
                            name: '学校平均能力',
                            textStyle: {
                                color: '#2c8aff'
                            }
                        }]
                    },
                    color: ['#ff6a26', '#2c8aff'],
                    radar: {
                        name: {
                            textStyle: {
                                color: '#000'
                            }
                        },
                        radius: '50%',
                        indicator: jsIndicator
                    },
                    series: [{
                        type: 'radar',
                        data: [{
                            value: arrStudentData,
                            name: '学生个人能力',
                            lineStyle: {
                                color: '#ff6a26'
                            },
                            areaStyle: {
                                normal: {
                                    opacity: 0.3,
                                    color: '#ff6a26'
                                }
                            }
                        }, {
                            value: arrSchoolData,
                            name: '学校平均能力',
                            lineStyle: {
                                color: '#2c8aff'
                            },
                            areaStyle: {
                                normal: {
                                    opacity: 0.3,
                                    color: '#2c8aff'
                                },
                            }
                        }]
                    }],
                };
                myChart.setOption(option);
            }, true, 'get');
        }, true, 'get');
    }, true, 'get');

    $(".second_analysis>span:nth-child(2)").on("click", function() {
        api.openWin({
            name: 'growup',
            url: './growup.html',
            slidBackEnabled: false
        });
    });

    setTimeout(function() {
        UtilHideLoadImg();
    }, 80);

    // /*雷达图*/
    // var dom = document.getElementById("container");
    // var myChart = echarts.init(dom);
    //
    // var app = {};
    // option = null;
    // option = {
    //     tooltip: {},
    //     radar: {
    //         name: {
    //             textStyle: {
    //                 color: '#000'
    //             }
    //         },
    //         radius: '50%',
    //         indicator: [{
    //             name: '销售',
    //             max: 6500
    //         }, {
    //             name: '管理',
    //             max: 16000
    //         }, {
    //             name: '信息技术',
    //             max: 30000
    //         }, {
    //             name: '客服',
    //             max: 38000
    //         }, {
    //             name: '研发',
    //             max: 52000
    //         }, {
    //             name: '市场',
    //             max: 25000
    //         }]
    //     },
    //     series: [{
    //         name: '预算 vs 开销（Budget vs spending）',
    //         type: 'radar',
    //         itemStyle: {
    //             normal: {
    //                 areaStyle: {
    //                     type: 'default'
    //                 }
    //             }
    //         },
    //         data: [{
    //             value: [4300, 10000, 28000, 35000, 50000, 19000],
    //             name: '预算分配（Allocated Budget）',
    //             nodeClick: false,
    //             lineStyle: {
    //                 color: '#ff6a26'
    //             },
    //             areaStyle: {
    //                 normal: {
    //                     opacity: 0.3,
    //                     color: '#ff6a26'
    //                 }
    //             }
    //         }, {
    //             value: [5000, 14000, 28000, 31000, 42000, 21000],
    //             name: '实际开销（Actual Spending）',
    //             nodeClick: false,
    //             lineStyle: {
    //                 color: '#2c8aff'
    //             },
    //             areaStyle: {
    //                 normal: {
    //                     opacity: 0.3,
    //                     color: '#2c8aff'
    //                 },
    //             }
    //         }]
    //     }]
    // };
    // if (option && typeof option === "object") {
    //     myChart.setOption(option, true);
    // }
};

/*跳转第二课堂成绩单二维码*/
function qrcode() {
    api.setScreenSecure({ //允许截图
        secure: false
    });
    api.openWin({
        name: 'qrcode',
        url: '../activity/qrcode.html',
        pageParam: {
            id: ID,
            secondType: TYPE,
            type: 5
        }
    });
}
