var DYNAMIC_P = 1; //动态页码
var DYNAMIC_IS_OR_NOT = 0; //是否
var DYNAMIC_ID; //用于存储被点击的动态ID
var DYNAMIC_CLICK_VIEW = true; //避免动态的点击穿透事件
apiready = function() {
    var center = `
    <div class="search_content">
      <div class="search_content_real">
        <img src="../../image/tag/search.png">
        <input type="text" value="" placeholder="请输入要搜索内容的关键字...">
        <img src="../../image/tag/delete.png">
      </div>
    </div>
  `;
    HeardeLoad(center, "../../image/use/back.png", "30px", "30px", "搜索");
    HeardeOnclick(close, "", search);
    /*输入框删除按钮点击*/
    $(".search_content_real img:nth-child(3)").on("click", function(ret) {
        $(".search_content_real input").val("");
        $(".search_content_real img:nth-child(3)").css("display", "none");
    });
    /*监听输入框内容*/
    $(".search_content_real input").on("input propertychange", function() {
        if ($(this).val() != "") {
            $(".search_content_real img:nth-child(3)").css("display", "block");
        } else {
            $(".search_content_real img:nth-child(3)").css("display", "none");
        }
    });
    $(".menucontent_module").on("click", function() {
        if ($(this).hasClass("checked")) {
            $(this).removeClass("checked");
        } else {
            $(this).addClass("checked");
        }
    });
    /*QQ转发按钮点击事件*/
    $("#retrans>div:nth-child(1)").on("click", function() {
        showtoastspan("QQ转发功能暂未开放");
    });
    /*微信转发按钮点击事件*/
    $("#retrans>div:nth-child(2)").on("click", function() {
        var content = $(".content").find("#" + DYNAMIC_ID).find(".dynamic-view-font>font").html();
        /*图片消息*/
        $(".transmit").hide();
        api.actionSheet({
            title: '请选择分享类型',
            cancelTitle: '取消',
            buttons: ['会话', '朋友圈', '收藏']
        }, function(ret, err) {
            var index = ret.buttonIndex;
            if (index == 1) {
                /*会话*/
                var scene = "session";
            } else if (index == 2) {
                /*朋友圈*/
                var scene = "timeline";
            } else if (index == 3) {
                /*收藏*/
                var scene = "favorite";
            } else {
                /*取消*/
                $(".transmit").show();
                return;
            }
            /*调用分享链接*/
            var wx = api.require('wx');
            wx.shareWebpage({
                apiKey: '',
                scene: scene,
                title: '塔联社动态分享',
                description: content,
                thumb: 'widget://image/use/tlslogo.png',
                contentUrl: 'https://www.talianshe.com/wap/dynamicconten.html?id=' + DYNAMIC_ID
            }, function(ret, err) {
                if (ret.status) {
                    showtoastspan("分享成功");
                } else {
                    if (ret.code == 2) {
                        showtoastspan("分享已取消")
                    } else if (ret.code == 3) {
                        showtoastspan("分享失败");
                    } else if (ret.code == 4) {
                        showtoastspan("授权失败");
                    }
                }
            });
            $(".transmit").show();
        });
    });
    /*塔联社转发按钮点击事件*/
    $("#retrans>div:nth-child(3)").on("click", function() {
        var DynamicContent = $(".content").find("#" + DYNAMIC_ID).find(".dynamic-view-font>font").html();
        api.openWin({
            name: 'retransdynamic',
            url: './retransdynamic.html',
            pageParam: {
                content: DynamicContent,
                dynamicId: DYNAMIC_ID
            },
            slidBackEnabled: false
        });
    });
    /*遮罩层点击方法*/
    $(".roof").on("click", function() {
        $(".transmit").hide();
        CloseCommentRequire();
        hiddenroof();
        $(".bottom_menu_btn").show();
        CompatibilityIos();
    });
    /*下拉刷新和上拉加载*/
    RefreshAndLoad(".content_view", function() {
        $(".content_view").empty();
        DYNAMIC_P = 1;
        DYNAMIC_IS_OR_NOT = 0;
        dynamicAjaxModule();
    }, function() {
        if (DYNAMIC_IS_OR_NOT == 0) {
            DYNAMIC_P++;
            dynamicAjaxModule();
        }
    });
    InitCommentRequire(); //初始化评论控件
    CompatibilityIos();
};

function search() {
    /*搜索逻辑*/
    UtilShowLoadImg();
    $(".content_view").empty();

    DYNAMIC_P = 1;
    DYNAMIC_IS_OR_NOT = 0;
    dynamicAjaxModule();
    UtilHideLoadImg();
}
/*处理动态列表数据*/
function dynamicAjaxModule() {
    UtilShowLoadImg();
    var type = [];
    $(".menucontent .checked").each(function() {
        type.push(parseInt($(this).index()) + 1);
    });
    type = type.join(",");
    var content = $(".search_content_real>input").val();
    var nUserId = JSON.parse(localStorage.getItem("User")).id;
    var url_getDynamicListAjax = {
        school_id: localStorage.getItem("SchoolId"),
        user_id: nUserId,
        page: DYNAMIC_P,
        size: 5,
        content: content,
        type: type
    }
    CustomAjax(url_getDynamicList, url_getDynamicListAjax, function(ret) {
        var list = ret.data.list;
        if (ret.data.total_size <= DYNAMIC_P * 5) {
            DYNAMIC_IS_OR_NOT = 1;
        } else {
            DYNAMIC_IS_OR_NOT = 0;
        }
        var str = "";
        for (var i = 0; i < list.length; i++) {
            var strClickId = "";
            var strDynamicName = "";
            var strDynamicLevel = "";
            var dynamic_log_name = "";
            switch (list[i].type) {
                case 1:
                case 4:
                    /*社团和机构*/
                    strDynamicName = `
                    <font>
                        <p>${list[i].association_name}</p>
                    </font>
                    `;
                    if (list[i].association_level == 1) {
                        /*院级*/
                        if (list[i].type == 1) {
                            strDynamicLevel = list[i].college_name + "社团";
                        } else {
                            strDynamicLevel = list[i].college_name + "机构";
                        }
                    } else {
                        /*校级*/
                        if (list[i].type == 1) {
                            strDynamicLevel = "校级社团";
                        } else {
                            strDynamicLevel = "校级机构";
                        }
                    }
                    dynamic_log_name = "association_logo";
                    strClickId = list[i].association_id;
                    break;
                case 2:
                case 5:
                    /*活动和课程*/
                    strDynamicName = `
                    <font>
                        <p>${list[i].activity_name}</p>
                    </font>
                    `;
                    if (list[i].activity_level == 2) {
                        /*院级*/
                        if (list[i].type == 2) {
                            strDynamicLevel = "院" + list[i].association_name + "活动";
                        } else {
                            strDynamicLevel = "院" + list[i].association_name + "课程";
                        }
                    } else {
                        /*校级*/
                        if (list[i].type == 2) {
                            strDynamicLevel = "校" + list[i].association_name + "活动";
                        } else {
                            strDynamicLevel = "校" + list[i].association_name + "课程";
                        }
                    }
                    dynamic_log_name = "activity_logo";
                    strClickId = list[i].activity_id;
                    break;
                case 3:
                    /*个人*/
                    var strUserName = "";
                    if (list[i].is_public_name == 0 && list[i].is_public_nickname == 0) {
                        if (list[i].nickname) {
                            strUserName = list[i].user_name + "(" + list[i].nickname + ")";
                        } else {
                            strUserName = list[i].user_name;
                        }
                    } else {
                        if (list[i].is_public_name == 0) {
                            strUserName = list[i].user_name;
                        }
                        if (list[i].is_public_nickname == 0) {
                            strUserName = list[i].nickname;
                        }
                    }
                    strDynamicName = `
                    <font>
                        <p>${strUserName}</p>
                    </font>
                    `;
                    dynamic_log_name = "head_img";
                    strClickId = list[i].user_id;
                    break;
                case 6:
                    /*支部动态*/
                    strDynamicName = `
                    <font>
                        <p>${list[i].branch_name}</p>
                    </font>
                    `;
                    if (list[i].branch_type == 1) {
                        /*年级*/
                        strDynamicLevel = "年级支部";
                    } else {
                        /*班级*/
                        strDynamicLevel = "班级支部";
                    }
                    dynamic_log_name = "branch_logo";
                    break;
                case 7:
                    /*支部活动动态*/
                    strDynamicName = `
                    <font>
                        <p>${list[i].branch_activity_name}</p>
                    </font>
                    `;
                    if (list[i].branch_type == 1) {
                        /*年级*/
                        strDynamicLevel = "年级支部" + list[i].branch_activity_name + "活动";
                    } else {
                        /*班级*/
                        strDynamicLevel = "班级支部" + list[i].branch_activity_name + "活动";
                    }
                    dynamic_log_name = "branch_activity_logo";
                    break;
            }
            var arr = new Array();
            var imgs = "";
            if (list[i].hasOwnProperty("pic_list")) {
                arr = list[i].pic_list;
                for (var j = 0; j < arr.length; j++) {
                    imgs += `<img src='${localStorage.img_url + arr[j] + '?x-oss-process=image/resize,w_280'}' class='dynamic-view-imagelist-image func_img'>`;
                }
            }
            var ctime = timeStampToTime(list[i].moment_time);
            /*区分是否是转发的*/
            if (list[i].forward_moment > 0) {
                /*转发*/
                var is_retrans = "";
                var is_img = "checked";
                var retrans = "true";
            } else {
                /*自己写的*/
                var is_retrans = "checked";
                var is_img = "";
                var retrans = "false";
            }
            if (list[i].is_zan == 1) {
                var islikeimage = "../../image/dynamic/like.png";
            } else {
                var islikeimage = "../../image/dynamic/backlike.png";
            }
            if (list[i][dynamic_log_name]) {
                var logo_name = localStorage.img_url + list[i][dynamic_log_name] + '?x-oss-process=image/resize,w_140';
            } else {
              if (list[i].type == 3) {
                  var logo_name = api.wgtRootDir + "/image/use/default.png";
              } else {
                  var logo_name = api.wgtRootDir + "/image/branch/tls_logo.png";
              }
            }
            if (list[i].type == 3) {
                var imgcheck = "checked";
            } else {
                var imgcheck = "";
            }
            str += `
      <div class='dynamic-view' ClickId=${strClickId} isRetrans='${retrans}' type='${list[i].type}' id='${list[i].moment_id}' UserId='${list[i].user_id}' UserType='${list[i].user_type}' onclick='opendynamicconten(this)'>
         <div class='dynamic-view-headerimage' onclick='openUserDetail(this)'>
             <div class='dynamic-view-headerimage-real'>
                 <img src='${logo_name}' class='dynamic-view-headerimage-real-image ${imgcheck}'>
             </div>
         </div>
         <div class='dynamic-view-mian'>
             <div class='dynamic-view-title'>
             ${strDynamicName}
               </div>
               <div class='dynamic-view-level'>
                    ${strDynamicLevel}
               </div>
               <div class='dynamic-view-font'>
                   <font>${list[i].content}</font>
               </div>
               <div class='dynamic-retrans-content ${is_retrans}'>
                   <font>${list[i].retrans_content}</font>
                   <div class='dynamic-view-imagelist ${is_retrans}'>
                   ${imgs}
                    </div>
               </div>
               <div class='dynamic-view-imagelist ${is_img}'>
               ${imgs}
                </div>
               <div class='dynamic-view-time'>
                   <font style='font-size:12px;color:#999;'>${ctime}</font>
               </div>
             <div class='dynamic-view-foot'>
                   <div class='dynamic-view-foot-div' onclick='dynamictransmit(this)'>
                     <img src='../../image/dynamic/transmit.png' class='dynamic-view-foot-div-image'>
                       <font class='dynamic-view-foot-div-font'>${list[i].forward_num}</font>
                 </div>
                 <div class='dynamic-view-foot-div' onclick='dynamiccomment(this)'>
                     <img src='../../image/dynamic/comment.png' class='dynamic-view-foot-div-image'>
                     <font class='dynamic-view-foot-div-font' id='commentidd' >${list[i].comment_num}</font>
                 </div>
                 <div class='dynamic-view-foot-div' onclick='dynamicliek(this)'>
                        <img src='${islikeimage}' class='dynamic-view-foot-div-image'>
                     <font class='dynamic-view-foot-div-font'>${list[i].zan_num}</font>
                   </div>
             </div>
             </div>
       </div>
       `;
        }
        $(".content_view").append(str);
    }, true, 'post', false);
    UtilHideLoadImg();
}

function releasedynamic() { //发布动态按钮
    api.openWin({
        name: 'releasedynamic',
        url: './releasedynamic.html',
        pageParam: {
            ReleaseType: 1
        },
        vScrollBarEnabled: false,
        hScrollBarEnabled: false,
        slidBackEnabled: false
    });
}

function dynamictransmit(id) { //点击转发按钮
    DYNAMIC_ID = $(id).parents(".dynamic-view").attr("id");
    DYNAMIC_CLICK_VIEW = false;
    $(".bottom_menu_btn").hide();
    $(".transmit").show();
    showroof();
}

function dynamiccomment(id) { //点击评论按钮
    DYNAMIC_ID = $(id).parents(".dynamic-view").attr("id");
    DYNAMIC_CLICK_VIEW = false;
    $(".bottom_menu_btn").hide();
    /*显示评论*/
    ShowCommentRequire(function(msg) {
        if (msg == "") {
            return showtoastspan("还没有写评论哦!", 60);
        }
        if (limitNumber(msg, 50)) {
            UIChatBox.value({
                msg: msg
            });
            showtoastspan('超出50个字数咯', 60);
        } else {
            var url_dynamicCommentAjax = {
                moment_id: DYNAMIC_ID,
                content: msg
            }
            CustomAjax(url_dynamicComment, url_dynamicCommentAjax, function(ret) {
                showtoastspan("评论成功");
                var sum = parseInt($(".content").find("#" + DYNAMIC_ID).find("#commentidd").html());
                $(".content").find("#" + DYNAMIC_ID).find("#commentidd").html(++sum);
                CloseKeyBoard();
                CloseCommentRequire();
                hiddenroof();
                CompatibilityIos();
                $(".bottom_menu_btn").show();
            }, true, 'post', false);
        }
    }); //显示评论控件
    showroof();
}

function dynamicliek(id) { //动态点赞的点击事件
    DYNAMIC_CLICK_VIEW = false;
    var next = $(id).find(".dynamic-view-foot-div-image");
    var nextfont = $(id).find(".dynamic-view-foot-div-font");
    var nextfontmut = nextfont.html();
    var nextsrc = next.attr("src");
    var pasid = next.parents(".dynamic-view").attr("id");
    if (nextsrc == "../../image/dynamic/like.png") {
        //取消点赞
        var url_dynamicCencleZanAjax = {
            moment_id: pasid
        };
        CustomAjax(url_dynamicCencleZan, url_dynamicCencleZanAjax, function() {
            next.attr("src", "../../image/dynamic/backlike.png");
            nextfont.html(parseInt(nextfontmut) - 1);
        }, true, 'post');
    } else {
        //点赞
        var url_dynamicZanAjax = {
            moment_id: pasid
        };
        CustomAjax(url_dynamicZan, url_dynamicZanAjax, function() {
            next.attr("src", "../../image/dynamic/like.png");
            nextfont.html(parseInt(nextfontmut) + 1);
        }, true, 'post');
    }
}
/* 点击打开动态详情*/
function opendynamicconten(idd) {
    if (DYNAMIC_CLICK_VIEW) {
        var id = $(idd).attr('id');
        var user_photo = $(idd).find(".dynamic-view-headerimage-real").html();
        var name = $(idd).find("p").html();
        var content = $(idd).find(".dynamic-view-font>font").html();
        var strLevel = $(idd).find(".dynamic-view-level").html();
        var is_retrans = $(idd).attr("isRetrans");
        if (is_retrans) {
            /*转发*/
            var retransContent = $(idd).find(".dynamic-retrans-content>font").html();
        } else {
            /*自己写的*/
            var retransContent = "";
        }
        var image = new Array();
        $(idd).find(".dynamic-view-imagelist:not(.checked) img").each(function() {
            var object = new Object();
            object.src = $(this).attr("src");
            // object.width = $(this).attr("ImgWid");
            // object.height = $(this).attr("ImgHei");
            image.push(object);
        });
        var time = $(idd).find(".dynamic-view-time>font").html();
        var forward_num = $(idd).find(".dynamic-view-foot>div:nth-child(1)>font").html();
        var comment_num = $(idd).find(".dynamic-view-foot>div:nth-child(2)>font").html();
        var zan_num = $(idd).find(".dynamic-view-foot>div:nth-child(3)>font").html();
        //是否点赞
        if ($(idd).find(".dynamic-view-foot>div:nth-child(3)>img").attr("src") == "./image/dynamic/like.png") {
            var is_like = true;
        } else {
            var is_like = false;
        }
        var user_id = $(idd).attr("UserId");
        api.openWin({
            name: 'dynamicconten',
            url: './dynamicconten.html',
            pageParam: {
                id: id,
                user_photo: user_photo,
                name: name,
                content: content,
                image: image,
                time: time,
                forward_num: forward_num,
                comment_num: comment_num,
                zan_num: zan_num,
                is_like: is_like,
                user_id: user_id,
                is_retrans: is_retrans,
                retransContent: retransContent,
                strLevel: strLevel
            },
            vScrollBarEnabled: false,
            hScrollBarEnabled: false,
            slidBackEnabled: false
        });
    } else {
        DYNAMIC_CLICK_VIEW = true;
    }
}

/*删除动态模块*/
function deleteDynamic(id) {
    $(".content").find("#" + id).remove();
    api.closeWin({
        name: 'dynamicconten'
    });
}

/*动态点击头像跳转用户详情*/
function openUserDetail(idd) {
    DYNAMIC_CLICK_VIEW = false;
    var strClickId = $(idd).parent().attr("ClickId");
    var strUserType = $(idd).parent().attr("UserType");
    var strDynamicType = $(idd).parent().attr("type");
    if (strDynamicType == 1 || strDynamicType == 4) {
        /*社团*/
        api.openWin({
            name: 'orangdetail',
            url: api.wgtRootDir + '/html/organization/orangdetail.html',
            pageParam: {
                assoId: strClickId
            },
            vScrollBarEnabled: false,
            hScrollBarEnabled: false,
            slidBackEnabled: false
        });
    } else if (strDynamicType == 2 || strDynamicType == 5) {
        /*活动*/
        api.openWin({
            name: 'activedetail',
            url: '../activity/activedetail.html',
            pageParam: {
                activityId: strClickId
            },
            vScrollBarEnabled: false,
            hScrollBarEnabled: false,
            slidBackEnabled: false,
            reload: true
        });
    } else if (strDynamicType == 3) {
        /*个人*/
        api.openWin({
            name: 'studentmessage',
            url: '../my/studentmessage.html',
            pageParam: {
                peopleId: strClickId,
                type: strUserType
            },
            vScrollBarEnabled: false,
            hScrollBarEnabled: false,
            slidBackEnabled: false
        });
    }
}
