apiready = function() {
    HeardeLoad("谁可以看", "../../image/use/back.png", "30px", "30px", "完成");
    HeardeOnclick(close, "", complete);
    /*初始化AJax*/
    CustomAjax(url_getMyAssociationList, "", orangizationlist, true, 'get', false);
    if (localStorage.checkedlookid != "null") {
        checkedid = localStorage.checkedlookid.split(",");
    }
    CompatibilityIos();
};

function complete() {
    localStorage.checkedlookid = checkedid;
    api.closeWin();
}


function orangizationlist(ret) {
    $(".address-content-organization").find("ul").empty();
    var datalist = ret.data.list;
    var html = "";
    for (var i = 0; i < datalist.length; i++) {
        html += `
       <li>
             <p class="productId">${datalist[i].asso_id}</p>
             <span>${datalist[i].title}</span>
       </li>
     `;
    }
    $(".address-content-organization").html(html);
    $(".address-content-organization li").click(function() {
        $(this).addClass("checked").siblings("li").removeClass("checked");
        var id = $(this).children("p").html();
        var url_getAssociationMemberListAjax = {
            asso_id: id,
            page: 0,
            size: 10
        };
        CustomAjax(url_getAssociationMemberList, url_getAssociationMemberListAjax, peoplelist, true, 'get', false);
    });
    $(".address-content-organization").find("li:first").click();

    $(".address-find input").on("input propertychange", function() {
        if ($(this).val() != "") {
            $(".address-content-organization").hide();
            $(".address-content-people").hide();
            $(".address-content-find").show();
            $(".address-content-find").empty();
            var name = [];
            $(".address-content-people li P").each(function() {
                name.push($(this).html());
            });
            for (var i = 0; i < name.length; i++) {
                if (name[i].indexOf($(this).val()) >= 0) {
                    var index = i + 2;
                    var html = $(".address-content-people li:nth-child(" + index + ")").html();
                    $(".address-content-find").append("<li>" + html + "</li>");
                }
            }
            if ($(".address-content-find").html() == "") {
                var html = `
          <div class="notdata">暂无数据</div>
          `;
                $(".address-content-find").append(html);
            }
            /*搜索中的按钮*/
            $(".address-content-find li>span").each(function() {
                if (checkedid.indexOf($(this).html()) >= 0) {
                    $(this).siblings("i").addClass("checked");
                }
            });

            $(".address-content-find li").click(function() {
                if (perventclick) {
                    addpeopleclick(this);
                } else {
                    perventclick = true;
                }
            });

            $(".address-content-find i").click(function() {
                var thisid = $(this).siblings("span").html();
                if ($(this).hasClass("checked")) {
                    $(this).removeClass("checked");
                    checkedid.splice($.inArray(thisid, checkedid), 1);
                } else {
                    $(this).addClass("checked");
                    checkedid.push(thisid);
                }
                perventclick = false;
            });

        } else {
            $(".address-content-organization").show();
            $(".address-content-people").show();
            $(".address-content-find").hide();
            $(".address-content-find").empty();
        }
    });
}
/*新增内容*/
var perventclick = true; //防止点击穿透
var checkedid = []; //用于存放被选中的社员id

/*添加成员list*/
function peoplelist(ret) {
    console.log(JSON.stringify(ret));
    $(".address-content-people").empty();
    var datalist = ret.data.list;
    var html = "";
    html += `
    <li class='all'>
    <font>全部</font>
    <i></i>
    </li>
    `
    for (var i = 0; i < datalist.length; i++) {
        var name = "";
        if (datalist[i].is_public_name == 0 && datalist[i].is_public_nickname == 0) {
            if (datalist[i].nickname) {
                name = datalist[i].login_name + "(" + datalist[i].nickname + ")";
            } else {
                name = datalist[i].login_name;
            }
        } else {
            if (datalist[i].is_public_name == 0) {
                name = datalist[i].login_name;
            }
            if (datalist[i].is_public_nickname == 0) {
                name = datalist[i].nickname;
            }
        }
        if (!datalist[i].photo) {
            var photo_img = "../../image/use/default.png";
        } else {
            var photo_img = localStorage.img_url + datalist[i].photo;
        }
        html += `
          <li>
              <span class="peopleId">${datalist[i].user_id}</span>
              <div class="address-content-people-module-left">
                  <img src="${photo_img}">
              </div>
              <div class="address-content-people-module-right">
                  <p>${name}</p>
                  <span>${datalist[i].position_name}</span>
              </div>
              <i></i>
          </li>
      `;
    }
    $(".address-content-people").append(html);
    $(".address-content-people li>span").each(function() {
        if (checkedid.indexOf($(this).html()) >= 0) {
            $(this).siblings("i").addClass("checked");
        }
    });

    $(".address-content-people li").click(function() {
        if (perventclick) {
            addpeopleclick(this);
        } else {
            perventclick = true;
        }
    });

    $(".address-content-people i").click(function() {
        var thisid = $(this).siblings("span").html();
        if ($(this).hasClass("checked")) {
            $(this).removeClass("checked");
            checkedid.splice($.inArray(thisid, checkedid), 1);
        } else {
            $(this).addClass("checked");
            checkedid.push(thisid);
        }
        perventclick = false;
    });

    /* 全部的按钮*/

    $(".all").unbind();
    $(".all i").unbind().click(function() {
        if ($(".all i").hasClass("checked")) {
            $(".address-content-people i").removeClass("checked");
            $(".address-content-people li>span").each(function() {
                checkedid.splice($.inArray($(this).html(), checkedid), 1);
            });
        } else {
            $(".address-content-people i").addClass("checked");
            $(".address-content-people li>span").each(function() {
                checkedid.push($(this).html());
            });
        }
    });
}


function addpeopleclick(a) {
    var peopleId = $(a).find(".peopleId").html();
    if (localStorage.getItem("UserType") == 1) {
        var type = 1;
    } else {
        var type = 2;
    }
    api.openWin({
        name: 'studentmessage',
        url: '../../html/my/studentmessage.html',
        pageParam: {
            peopleId: peopleId,
            type: type
        },
        slidBackEnabled: false
    });
}
