apiready = function() {
    HeardeLoad("我的积分", "../../image/message/back.png", "30px", "30px", "");
    HeardeOnclick(close, "", "");
    CompatibilityIos();
    $(".convert_module").on("click", function() {
        var itemIndex = $(this).index();
        //打开积分兑换界面
        api.openWin({
            name: 'integralconvert',
            url: './integralconvert.html',
            pageParam: {
                data: integralListData[itemIndex]
            },
            slidBackEnabled: false
        });
    });
    getMySubclassIntegrals();
};

var integralListData;
var totalIntegral = 0;

/**
 * 获取我的课程项目累计的积分列表
 */
function getMySubclassIntegrals() {
    UtilShowLoadImg();
    $(".convert_list").empty();
    SimpleAjax(UTIL_TYPE.GET, Url.SubClass.getEachIntegralCount, null, function(data) {
        console.log(JSON.stringify(data));
        totalIntegral = 0;
        integralListData = data.data;
        var integralItmeHtml = "";
        if (integralListData != null && integralListData.length > 0) {
            var totalProjectIntegral = 0;
            for (var i in integralListData) {
                var totalExchange = integralListData[i].total_exchange_integral;
                var totalIntegrl_one = integralListData[i].total_integral;
                console.log(parseFloat(totalIntegrl_one - totalExchange).toFixed(2));
                integralItmeHtml += `<div class="convert_module">
                    <font>${integralListData[i].project_name}</font>
                    <span>${parseFloat(totalIntegrl_one-totalExchange).toFixed(2)}分<img src="../../image/tag/more.png"></span>
                </div>`;
                totalIntegral += Number(parseFloat(totalIntegrl_one - totalExchange).toFixed(2));
            }
        }
        totalIntegral = parseFloat(totalIntegral).toFixed(2);
        $(".title font").html(totalIntegral + "分");
        $(".convert_list").empty();
        $(".convert_list").append(integralItmeHtml);
        $(".convert_module").on("click", function() {
            var itemIndex = $(this).index();
            //打开积分兑换界面
            console.log(integralListData[itemIndex].max_exchange_credit);
            if (integralListData[itemIndex].max_exchange_credit == null || integralListData[itemIndex].max_exchange_credit == 0) {
                return showtoastspan("当前无学分可兑换");
            } else if (integralListData[itemIndex].max_exchange_credit == -1) {
                return showtoastspan("当前学分已达兑换上限");
            }
            api.openWin({
                name: 'integralconvert',
                url: './integralconvert.html',
                pageParam: {
                    data: integralListData[itemIndex]
                },
                slidBackEnabled: false
            });
        });
    });
    UtilHideLoadImg();
}

function getTestData() {
    var testDatas = [];
    for (var i = 0; i < 4; i++) {
        var integral = Math.ceil(Math.random() * 10);
        var maxCredit = integral / 5;
        console.log("maxCredit:" + maxCredit);
        var testData = {
            project_name: "项目名称" + i,
            integral: integral,
            maxCredit: maxCredit
        };
        testDatas.push(testData);
    }
    return testDatas;
}
