mui.init();

function RefreshAndLoad(id, downfunction, upfunction) {
    (function($) {
        $(id).pullToRefresh({
            down: {
                style: 'circle',
                color: '#000000',
                offset: '10px',
                auto: true,
                callback: function() {
                    var self = this;
                    setTimeout(function() {
                        downfunction();
                        self.endPullDownToRefresh();
                    }, 0);
                }
            },
            up: {
                height: 0,
                contentrefresh: "正在加载...",
                contentnomore: '没有更多数据了',
                callback: function() {
                    var self = this;
                    setTimeout(function() {
                        self.endPullUpToRefresh();
                        upfunction();
                    }, 0);
                }
            }
        });
    })(mui);
}
