apiready = function() {
    var url_schoolListAjax = {
        page: 0,
        size: 20
    };
    HeardeLoad("选择学校", "../../image/login/back.png", "30px", "30px", "");
    CustomAjax(url_schoolList, url_schoolListAjax, SuccessFunction, false, "post");
    HeardeOnclick(close, "", "");
    MUICompatibilityIos();
}

/*获取学校列表成功回调*/
function SuccessFunction(schooljson) {
    var playID = api.pageParam.playID;
    var schoolObj = {
        A: [],
        B: [],
        C: [],
        D: [],
        E: [],
        F: [],
        G: [],
        H: [],
        I: [],
        J: [],
        K: [],
        L: [],
        M: [],
        N: [],
        O: [],
        P: [],
        Q: [],
        R: [],
        S: [],
        T: [],
        U: [],
        V: [],
        W: [],
        X: [],
        Y: [],
        Z: [],
    }

    // 65-90
    var schoolList = schooljson.data.list;
    for (var i = 0; i < schoolList.length; i++) {
        var object = new Object();
        object.id = schoolList[i].school_id;
        object.school_en = schoolList[i].school_en.slice(0, 1);
        object.school_name = schoolList[i].school_name;
        object.school_badge = schoolList[i].school_badge;
        var letter = object.school_en;
        var newCode = letter.charCodeAt();
        switch (newCode) {
            case 65:
            case 97:
                schoolObj.A.push(object)
                break;
            case 66:
            case 98:
                schoolObj.B.push(object)
                break;
            case 67:
            case 99:
                schoolObj.C.push(object)
                break;
            case 68:
            case 100:
                schoolObj.D.push(object)
                break;
            case 69:
            case 101:
                schoolObj.E.push(object)
                break;
            case 70:
            case 102:
                schoolObj.F.push(object)
                break;
            case 71:
            case 103:
                schoolObj.G.push(object)
                break;
            case 72:
            case 104:
                schoolObj.H.push(object)
                break;
            case 73:
            case 105:
                schoolObj.I.push(object)
                break;
            case 74:
            case 106:
                schoolObj.J.push(object)
                break;
            case 75:
            case 107:
                schoolObj.K.push(object)
                break;
            case 76:
            case 108:
                schoolObj.L.push(object)
                break;
            case 77:
            case 109:
                schoolObj.M.push(object)
                break;
            case 78:
            case 110:
                schoolObj.N.push(object)
                break;
            case 79:
            case 111:
                schoolObj.O.push(object)
                break;
            case 80:
            case 112:
                schoolObj.P.push(object)
                break;
            case 81:
            case 113:
                schoolObj.Q.push(object)
                break;
            case 82:
            case 114:
                schoolObj.R.push(object)
                break;
            case 83:
            case 115:
                schoolObj.S.push(object)
                break;
            case 84:
            case 116:
                schoolObj.T.push(object)
                break;
            case 85:
            case 117:
                schoolObj.U.push(object)
                break;
            case 86:
            case 118:
                schoolObj.V.push(object)
                break;
            case 87:
            case 119:
                schoolObj.W.push(object)
                break;
            case 88:
            case 120:
                schoolObj.X.push(object)
                break;
            case 89:
            case 121:
                schoolObj.Y.push(object)
                break;
            case 90:
            case 122:
                schoolObj.Z.push(object)
                break;
        }
    }
    var ArrKey = [];
    var schooleHtml = '';
    var letterHtml = '';
    for (var key in schoolObj) {
        if (schoolObj[key].length == 0) {
            schooleHtml += '';
            letterHtml += '<a style="visibility:hidden">' + key + '</a>';
        } else {
            letterHtml += '<a>' + key + '</a>';
            schooleHtml += '<li data-group="' + key + '" class="mui-table-view-divider mui-indexed-list-group">' + key + '</li>'
            for (var i = 0; i < schoolObj[key].length; i++) {
                schooleHtml += '<li data-value="' + schoolObj[key][i].id + '" data-tags="ZhuHaiSanZao" data-badge="' + schoolObj[key][i].school_badge + '" class="mui-table-view-cell mui-indexed-list-item">' + schoolObj[key][i].school_name + '</li>'
            }
        }
    }
    $(".mui-indexed-list-bar").append(letterHtml);
    document.getElementById("school_name").innerHTML = schooleHtml;

    mui.init();
    mui.ready(function() {
        var header = document.querySelector('header.mui-bar');
        var list = document.getElementById('list');
        //calc hieght
        var systemType = api.systemType; // 获取手机类型，比如： ios
        if (systemType == 'ios') { //兼容ios
            list.style.marginTop = 20 + 'px';
        }
        list.style.height = (document.body.offsetHeight - header.offsetHeight) + 'px';
        //create
        window.indexedList = new mui.IndexedList(list);
    });
    /*学校点击事件*/
    $(".mui-indexed-list-item").on("click", function() {
        var id = $(this).attr("data-value");
        var badge = $(this).attr("data-badge");
        var name = $(this).text();
        if (badge.indexOf(".") > 0) {
            localStorage.setItem("SchoolBadge", badge);
        } else {
            localStorage.removeItem("SchoolBadge");
        }
        localStorage.setItem("SchoolName", name);
        localStorage.setItem("SchoolId", id);
        if (playID == 1) {
            api.execScript({
                name: 'root',
                script: 'comeselectschool()'
            });
        } else if (playID == 2) {
            api.execScript({
                name: 'login',
                reload: true,
                script: 'comeselectschool()'
            });
        }
        api.closeWin();
    });
}
