﻿
var SERVER_PHOTO_URL = null; //返回值头像图片url
var PHOTO_URL = null; //剪切后本地头像图片url
var USER = JSON.parse(localStorage.getItem("User"));
var TYPE = JSON.parse(localStorage.getItem("UserType"));
var FNImageClip; //裁剪头像
var FLAG = false; //判断裁剪模式是否开启
var FACULTY_ID = 0,
    FACULTY_NAME; //院系
var GRADE_ID = 0,
    GRADE_NAME; //年级
var CLASS_ID = 0,
    CLASS_NAME; //班级
var SPECIALTY_ID = 0,
    SPECIALTY_NAME; //专业
var CLICK_THIS; //用于存储被点击的列
apiready = function() {
    MUICompatibilityIos();
    console.log(JSON.stringify(USER));
    if (localStorage.hasOwnProperty("Token")) {
        if (USER.photo) {
            var user_photo = localStorage.img_url + USER.photo;
        } else {
            var user_photo = "../../image/use/default.png";
        }
        console.log(user_photo);
        $("#userdata_HeadPortrait").attr("src", user_photo);
        $(".usedata li:nth-child(2) input").val(USER.login_name);
        $(".usedata li:nth-child(3) input").val(USER.nickname);
        $(".usedata li:nth-child(4) input").val(USER.code);
        $(".usedata li:nth-child(5) input").val(USER.phone);
        $(".usedata li:nth-child(6) input").val(USER.identity);
        $(".usedata li:nth-child(7) input").val(USER.qq);
        $(".usedata li:nth-child(8) input").val(USER.email);
        $(".usedata li:nth-child(9) input").val(USER.sex);
        $(".usedata li:nth-child(10) input").val(USER.native_addr);
        $(".usedata li:nth-child(11) input").val(USER.political);
        $(".usedata li:nth-child(12) input").val(USER.school_name);
        /*填充数据*/
        /*用户为学生*/
        if (localStorage.getItem("UserType") == 1) {
            if (USER.college_id) {
                FACULTY_ID = USER.college_id;
                FACULTY_NAME = USER.college_name;
                $(".usedata li:nth-child(13) input").val(USER.college_name);
                $(".usedata li:nth-child(13) img").addClass("notImg");
            } else {
                /*点击选择院系等(如果没有数据,则允许选择)*/
                $(".select_user_info").on("click", function() {
                    var name = $(this).find("p").html();
                    console.log(name);
                    console.log(SPECIALTY_ID);
                    if (name == "专业" && FACULTY_ID == 0) {
                        showtoastspan("请先选择院系");
                    } else if (name == "班级" && SPECIALTY_ID == 0) {
                        showtoastspan("请先选择专业");
                    } else {
                        PopupDiv(name);
                    }
                    CLICK_THIS = $(this);
                });
            }
            if (USER.major_id) {
                SPECIALTY_ID = USER.major_id;
                SPECIALTY_NAME = USER.major_name;
                $(".usedata li:nth-child(14) input").val(USER.major_name);
                $(".usedata li:nth-child(14) img").addClass("notImg");
            }
            if (USER.class_id) {
                CLASS_ID = USER.class_id;
                CLASS_NAME = USER.class_name;
                $(".usedata li:nth-child(15) input").val(USER.class_name);
                $(".usedata li:nth-child(15) img").addClass("notImg");
            }
            if (USER.student_grade) {
                GRADE_ID = USER.student_grade;
                GRADE_NAME = USER.student_grade;
                $(".usedata li:nth-child(16) input").val(USER.student_grade);
                $(".usedata li:nth-child(16) img").addClass("notImg");
            }
        } else {
            /*用户为老师*/
            $(".select_user_info").hide();
        }

        if (USER.identity) {
            $(".usedata li:nth-child(6) input").attr("disabled", true);
            $(".usedata li:nth-child(6) img").addClass("notImg");
        } else {
            $(".usedata li:nth-child(6) input").attr("disabled", false);
            $(".usedata li:nth-child(6) img").removeClass("notImg");
        }
    }
    HeardeLoad("个人资料", "../../image/login/back.png", "30px", "30px", "保存");
    HeardeOnclick(close, "", Save);
    CompatibilityIos();
    /*点击选择政治面貌*/
    $("#userdata_PoliticsStatus").parents("li").on("click", function() {
        var bottons = ['群众', '团员', '党外人士', '中共党员', '中共预备党员'];
        api.actionSheet({
            cancelTitle: '取消',
            buttons: bottons
        }, function(ret, err) {
            if (ret) {
                console.log(JSON.stringify(ret));
                var index = ret.buttonIndex - 1;
                if (index < bottons.length) {
                    $("#userdata_PoliticsStatus").val(bottons[index]);
                }
            } else {
                showtoastspan(err.msg);
            }
        });
    });
    /*籍贯*/
    $("#userdata_NativePlace").parents("li").on("click", function() {
        var picker = new mui.PopPicker({
            layer: 2
        });
        picker.setData(picker_json);
        picker.show(function(SelectedItem) {
            $("#userdata_NativePlace").val(SelectedItem[0].text + "," + SelectedItem[1].text)
        });
    });
    $("#userdata_HeadPortrait").parents("li").on("click", function() {
        api.actionSheet({
            cancelTitle: '取消',
            buttons: ['拍照', '本地图片']
        }, function(ret, err) {
            if (ret) {
                var index = ret.buttonIndex;
                if (index == 1) {
                    api.getPicture({
                        sourceType: 'camera',
                        encodingType: 'jpg',
                        mediaValue: 'pic',
                        destinationType: 'url',
                        targetWidth: 1024,
                        allowEdit: false,
                        quality: 50,
                        saveToPhotoAlbum: true
                    }, function(ret, err) {
                        if (ret) {
                            if (ret.data != "") {
                                var img_url = ret.data;
                                openImageClipFrame(img_url);;
                            }
                        } else {
                            showtoastspan(err.msg);
                        }
                    });
                } else if (index == 2) {
                    api.getPicture({
                        sourceType: 'album',
                        encodingType: 'jpg',
                        mediaValue: 'pic',
                        destinationType: 'url',
                        targetWidth: 1024,
                        allowEdit: false,
                        quality: 50,
                        saveToPhotoAlbum: true
                    }, function(ret, err) {
                        if (ret) {
                            if (ret.data != "") {
                                var img_url = ret.data;
                                openImageClipFrame(img_url);
                            }
                        } else {
                            showtoastspan(err.msg);
                        }
                    });
                }
            } else {
                showtoastspan(err);
            }
        });
    });
    img_src = api.pageParam.img_src;
    FNImageClip = api.require('FNImageClip');
    openImageClip(img_src);
    //安卓关闭
    if (api.systemType == 'android') {
        backForAndroid();
    }

    /*点击关闭蒙版*/
    $(".roof").on("click", function() {
        hiddenroof();
        $(".slipe_academy").hide();
        $(window).off('scroll');
        CompatibilityIos();
    });
    /*弹窗的取消按钮*/
    $(".slipe_academy_title>span:first-child").on("click", function() {
        $(".slipe_academy").hide();
        hiddenroof();
        $(window).off('scroll');
    });
    /*弹窗的确定按钮*/
    $(".slipe_academy_title>span:nth-child(3)").on("click", function() {
        var title = $(".slipe_academy_title>span:nth-child(2)>b").html();
        if (!$(".slipe_academy_content .righti").hasClass("checked")) {
            return showtoastspan("请先选择" + title);
        }
        var id = $(".slipe_academy_content .righti.checked").parent().attr("id");
        var name = $(".slipe_academy_content .righti.checked").siblings("font").html();
        if (title == "院系") {
            FACULTY_ID = id;
            FACULTY_NAME = name;
        } else if (title == "专业") {
            SPECIALTY_ID = id;
            SPECIALTY_NAME = name;
        } else if (title == "班级") {
            CLASS_ID = id;
            CLASS_NAME = name;
        } else if (title == "年级") {
            GRADE_ID = id;
            GRADE_NAME = name;
        }
        CLICK_THIS.find("input").val(name);
        $(".slipe_academy").hide();
        hiddenroof();
        $(window).off('scroll');
    });

};

// 裁剪图片
function openImageClipFrame(img_src) {
    // showtoastspan(img_src);
    api.openFrame({
        name: 'photoclip',
        scrollToTop: true,
        allowEdit: true,
        reload: true,
        url: '../../html/my/photoclip.html',
        rect: {
            x: 0,
            y: 0,
            w: api.winWidth,
            h: api.winHeight
        },
        animation: {
            type: "reveal", //动画类型（详见动画类型常量）
            subType: "from_right", //动画子类型（详见动画子类型常量）
            duration: 300
        },
        pageParam: {
            img_src: img_src
        },
        vScrollBarEnabled: false,
        hScrollBarEnabled: false,
        //页面是否弹动 为了下拉刷新使用
        bounces: false
    });
    FLAG = true;
}

/**
 * 对头像进行裁剪
 */
function openImageClip(img_src) {
    var rect_w = api.winWidth;
    var rect_h = api.winHeight;
    var clip_w = parseInt(rect_w - 40);
    var clip_y = parseInt((rect_h - clip_w - 30) / 2);
    FNImageClip.open({
        rect: {
            x: 0,
            y: 0,
            w: rect_w,
            h: rect_h - 30
        },
        srcPath: img_src,
        style: {
            //（可选项）字符串类型；图片裁剪控件遮罩层背景，支持 rgb，rgba，#；默认：#888
            mask: '#000',
            clip: {
                //（可选项）数字类型；裁剪区域的宽度，当 appearance 为 circular 时，w 为半径；默认：rect.w / 2
                w: clip_w,
                //（可选项）数字类型；裁剪区域的高度，当 appearance 为 circular 时，h 无效；默认：w
                h: clip_w,
                x: 20,
                y: clip_y,
                borderColor: '#0f0',
                borderWidth: 0,
                //（可选项）字符串类型；裁剪区域的形状，支持 circular | rectangle；默认：rectangle
                appearance: 'rectangle'
            }
        },
        mode: 'image',
        fixedOn: api.frameName
    }, function(ret, err) {});
}

/**
 * 安卓点击返回的时候
 */
function backForAndroid() {
    api.addEventListener({
        name: "keyback"
    }, function(ret, err) {
        if (FLAG) {
            back();
        } else {
            close();
        }
    });
}

/**
 * 返回应用页面
 */
function back() {
    closeImageClip();
    api.closeFrame({
        name: 'photoclip'
    });
}

/**
 * 关闭裁剪组件
 */
function closeImageClip() {
    FNImageClip.close();
    FLAG = false;
}

/**
 * 重置裁剪组件
 */
function resetImageClip() {
    FNImageClip.reset();
}
/**
 * 保存裁剪组件
 */
function saveImageClip() {
    FNImageClip.save({
        destPath: 'fs://',
        copyToAlbum: false,
        quality: 1
    }, function(ret, err) {
        if (err) {
            popToast('服务器繁忙，请稍后再试');
        } else {
            var img_temp = ret.destPath;
            localStorage.setItem("img_temp_url", img_temp);
            api.execScript({
                name: 'usedata',
                script: 'SetHeardImg()'
            });
            back();
        }
    });
}

/*保存信息*/
function Save() {
    UtilShowLoadImg();
    var nickVal = $("#userdata_Name").val();
    console.log(nickVal + "12312312");
    if (nickVal.length == 0) {
        var jsonUser = JSON.parse(localStorage.getItem("User"));
        console.log(jsonUser.is_public_name);
        if (jsonUser.is_public_name == 1) {
            console.log(1);
            UtilHideLoadImg();
            return showtoastspan("您隐藏了真实姓名,请填写昵称呢!");
        }
    }
    if (PHOTO_URL != null) {
        //有新上传图片
        fileajax(PHOTO_URL, function(ret) {
            SERVER_PHOTO_URL = ret.data.save_path;
            saveconten();
        });
    } else {
        //没有新上传图片
        saveconten();
    }
}

/*提交文本内容*/
function saveconten() {
    /*检测邮箱*/
    var Email = $("#userdata_Email").val();
    if (Email != "") {
        var pattern = /^[a-zA-Z0-9_.-]+@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*\.[a-zA-Z0-9]{2,6}$/g;
        if (!pattern.test(Email)) {
            UtilHideLoadImg();
            return showtoastspan("请填写正确的邮箱");
        }
    }
    // /*验证手机号码*/
    // var strPhone = $("#userdata_Telephone").val();
    // var myreg = /^[1][3,4,5,7,8][0-9]{9}$/;
    // if (!myreg.test(strPhone)) {
    //     UtilHideLoadImg();
    //     return showtoastspan("请输入正确的手机号码");
    // }

    /*检测身份证*/
    var IdentityCard = $("#userdata_IdentityCard").val();
    if (IdentityCard != 0) {
        var Identity = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
        if (!Identity.test(IdentityCard)) {
            UtilHideLoadImg();
            return showtoastspan("请输入正确的身份证");
        }
    }
    if (TYPE == 2) {
        /*老师*/
        var url = url_changeTeacher;
        var url_changeTeacherAjax = {
            id: USER.id,
            teacher_nickname: $("#userdata_Name").val(),
            teacher_phone: $("#userdata_Telephone").val(),
            teacher_qq: $("#userdata_QQ").val(),
            teacher_email: Email,
            teacher_origin: $("#userdata_NativePlace").val(),
            teacher_political: $("#userdata_PoliticsStatus").val(),
            teacher_identity: IdentityCard,
        };
        if (SERVER_PHOTO_URL != null) {
            url_changeTeacherAjax.teacher_photo = SERVER_PHOTO_URL;
        }
        var Ajax = url_changeTeacherAjax;
    } else {
        /*学生*/
        if (FACULTY_ID == 0) {
            UtilHideLoadImg();
            return showtoastspan("请选择所在院系");
        }
        if (SPECIALTY_ID == 0) {
            UtilHideLoadImg();
            return showtoastspan("请选择所在专业");
        }
        if (CLASS_ID == 0) {
            UtilHideLoadImg();
            return showtoastspan("请选择所在班级");
        }
        if (GRADE_ID == 0) {
            UtilHideLoadImg();
            return showtoastspan("请选择所在年级");
        }
        var url = url_modifyStudentinfo;
        var url_modifyStudentinfoAjax = {
            id: USER.id,
            student_nickname: $("#userdata_Name").val(),
            student_phone: $("#userdata_Telephone").val(),
            student_qq: $("#userdata_QQ").val(),
            student_email: Email,
            native_addr: $("#userdata_NativePlace").val(),
            student_political: $("#userdata_PoliticsStatus").val(),
            student_identity: IdentityCard,
        };
        if (!(USER.college_id)) {
            url_modifyStudentinfoAjax.college_id = FACULTY_ID;
            url_modifyStudentinfoAjax.major_id = SPECIALTY_ID;
            url_modifyStudentinfoAjax.class_id = CLASS_ID;
            url_modifyStudentinfoAjax.student_grade = GRADE_ID;
        }
        if (SERVER_PHOTO_URL != null) {
            url_modifyStudentinfoAjax.student_photo = SERVER_PHOTO_URL;
        }
        var Ajax = url_modifyStudentinfoAjax;
    }
    CustomAjax(url, Ajax, function(ret) {
        /*通过token获取用户信息*/
        var jsonajax = {};
        CustomAjax(url_studentByToken, jsonajax, function(ret) {
            console.log(JSON.stringify(ret));
            localStorage.setItem("User", JSON.stringify(ret.data[0])); //存储用户信息
            /*修改首页信息*/
            api.sendEvent({
                name: 'ChangeUserInfo',
                extra: {}
            });
            showtoastspan("保存成功");
            setTimeout(function() {
                close();
            }, 500)
        }, true, 'get', false);
    }, true, 'post', false);
    UtilHideLoadImg();
}


/*弹出模板JS*/
function PopupDiv(name) {
    $(".slipe_academy").show();
    showroof();
    $(".slipe_academy_title span>b").html(name);
    /*导入全局数据*/
    $(".slipe_academy_content").empty();
    var html = "";
    if (name == "院系") {
        var url_getCollegesAjax = {};
        CustomAjax(url_getColleges, url_getCollegesAjax, function(ret) {
            var dataone = ret.data.list;
            var Fdata = new Array();
            var FdataCount = 0;
            for (var i = 0; i < dataone.length; i++) {
                if (dataone[i].level_num == 1) {
                    Fdata[FdataCount] = dataone[i];
                    Fdata[FdataCount].childe = new Array();
                    FdataCount++;
                }
            };
            for (var i = 0; i < Fdata.length; i++) {
                for (var j = 0; j < dataone.length; j++) {
                    if (dataone[j].level_num == 2) {
                        if (dataone[j].parent_id == Fdata[i].id) {
                            Fdata[i].childe.push(dataone[j]);
                        }
                    }
                }
            };
            var FdataHTML = "";
            for (var i = 0; i < Fdata.length; i++) {
                var TdataHTML = "";
                for (var j = 0; j < Fdata[i].childe.length; j++) {
                    console.log(Fdata[i].childe[j].id);
                    TdataHTML += `
                  <div id='${Fdata[i].childe[j].id}' class="slipe_academy_content_module twomodule">
                      <font>${Fdata[i].childe[j].college_name}</font>
                      <i class="righti" onclick="ClickRight(this)"></i>
                  </div>
                  `;
                }
                if (Fdata[i].childe.length == 0) {
                    var onemodule_id = Fdata[i].id;
                } else {
                    var onemodule_id = "";
                }
                FdataHTML += `
                <div>
                    <div id="${onemodule_id}" class="slipe_academy_content_module onemodule">
                        <i class="lefti" onclick="ClickLeft(this)"></i>
                        <font>${Fdata[i].college_name}</font>
                        <i class="righti" onclick="ClickRight(this)"></i>
                    </div>
                    ${TdataHTML}
                </div>
                `;
            };
            $(".slipe_academy_content").append(FdataHTML);
            $(".slipe_academy_content_module.onemodule").each(function() {
                if ($(this).siblings(".twomodule").length > 0) {
                    $(this).find(".righti").hide();
                }
            });
            if (FACULTY_ID != 0) {
                $(".slipe_academy_content").find("#" + FACULTY_ID).find(".righti").addClass("checked");
            }
        }, true, 'post', false);
    } else if (name == "专业") {
        var url_getCollegeMajorListAjax = {
            college_ids: FACULTY_ID,
            school_id: localStorage.getItem("SchoolId"),
        }
        CustomAjax(url_getCollegeMajorList, url_getCollegeMajorListAjax, function(ret) {
            var CollegeHTML = "";
            var data = ret.data.list;
            for (var i = 0; i < data.length; i++) {
                CollegeHTML += `
                  <div>
                     <div id='${data[i].major_id}' class="slipe_academy_content_module twomodule" style="display:block">
                         <font>${data[i].major_name}</font>
                         <i class="righti" onclick="ClickRight(this)"></i>
                     </div>
                 </div>
                  `
            }
            html = `
                <div>
                    ${CollegeHTML}
                </div>
                <div>
                </div>
                `;
            $(".slipe_academy_content").append(html);
            if (SPECIALTY_ID != 0) {
                $(".slipe_academy_content").find("#" + SPECIALTY_ID).find(".righti").addClass("checked");
            }
        }, true, 'post');
    } else if (name == "班级") {
        var url_getClassListAjax = {
            major_ids: SPECIALTY_ID
        };
        CustomAjax(url_getClassList, url_getClassListAjax, function(ret) {
            var ClassHTML = "";
            var data = ret.data;
            for (var i = 0; i < data.length; i++) {
                ClassHTML += `
            <div>
               <div id='${data[i].id}' class="slipe_academy_content_module twomodule" style="display:block">
                   <font>${data[i].class_name}</font>
                   <i class="righti" onclick="ClickRight(this)"></i>
               </div>
           </div>
            `
            }
            html = `
          <div>
              ${ClassHTML}
          </div>
          <div>
          </div>
          `;
            $(".slipe_academy_content").append(html);
            if (CLASS_ID != 0) {
                $(".slipe_academy_content").find("#" + CLASS_ID).find(".righti").addClass("checked");
            }
        }, true, 'get');
    } else if (name == "年级") {
        var DataTime = new Date();
        var Year = DataTime.getFullYear();
        var DataTimeHTML = "";
        for (var i = -5; i <= 10; i++) {
            var YearTime = Year - i;
            DataTimeHTML += `
      <div>
         <div id='${YearTime}' class="slipe_academy_content_module twomodule" style="display:block">
             <font>${YearTime}</font>
             <i class="righti" onclick="ClickRight(this)"></i>
         </div>
     </div>
         `;
        }
        html = `
        <div>
            ${DataTimeHTML}
        </div>
        <div>
        </div>
        `;
        $(".slipe_academy_content").append(html);
        if (GRADE_ID != 0) {
            $(".slipe_academy_content").find("#" + GRADE_ID).find(".righti").addClass("checked");
        }
    }
    /*以下为解决滑动BUG*/
    document.addEventListener('touchmove', function(e) {
        e.returnValue = true;
    }, false);
    /*蒙版滑动事件*/
    $(".roof").on("touchmove", function(e) {
        e.preventDefault();
        e.stopPropagation();
    }, false);
    /*解决冲突*/
    var top = $("body").scrollTop();
    $(window).scroll(function() {
        $('body').scrollTop(top);
    });
}

/*下拉选项卡按钮*/
function ClickLeft(thisid) {
    if ($(thisid).hasClass("checked")) {
        $(thisid).removeClass("checked");
    } else {
        $(thisid).addClass("checked");
    }
    $(thisid).parents(".slipe_academy_content>div").find(".twomodule").slideToggle();
}

/*选项点击按钮*/
function ClickRight(thisid) {
    var parent = $(thisid).parent();
    if (!$(thisid).hasClass("checked")) {
        $(".slipe_academy_content .righti").removeClass("checked");
        $(thisid).addClass("checked");
    }
    if (!$(".slipe_academy_content_module:not(.notcontrol)>.righti").hasClass("checked")) {
        $(".notcontrol .righti").addClass("checked");
    }
}
/*设置头像*/
function SetHeardImg() {
    PHOTO_URL = localStorage.getItem("img_temp_url");
    $("#userdata_HeadPortrait").attr("src", PHOTO_URL);
    localStorage.removeItem("img_temp_url");
}
