var USER = JSON.parse(localStorage.getItem("User"));
apiready = function() {
    honeySwitch.init();
    console.log(USER.bind_phone);
    $("#Telephone").html(USER.bind_phone);
    honeySwitch.themeColor = "rgb(255,106,38)"; //按钮颜色设置

    /*检测是否安装微信(没有则隐藏)*/
    var wx = api.require('wx');
    wx.isInstalled(function(ret, err) {
        if (!ret.installed) {
            $("#weixin").parents("li").hide();
        }
    });
    $("#qq").parents("li").hide();
    if (USER.is_bind_weixin == 1) {
        /*已绑定微信*/
        honeySwitch.showOn("#weixin");
    } else {
        /*未绑定微信*/
        honeySwitch.showOff("#weixin");
    }

    /*绑定QQ选择按钮*/
    switchEvent("#qq", function() {
        BindQQ();
    }, function() {
        NotBindQQ();
    });

    /*绑定微信选择按钮*/
    switchEvent("#weixin", function() {
        BindWeiXin();
    }, function() {
        NotBindWeiXin();
    });

    HeardeLoad("安全设置", "../../image/login/back.png", "30px", "30px", "");
    HeardeOnclick(close, "", "");
    /*绑定手机号*/
    $(".useset>li:nth-child(1)").on("click", function() {
        api.openWin({
            name: 'loginbinding',
            url: './loginbinding.html',
            slidBackEnabled: false,
            reload: true
        });
    });
    /*隐私设置*/
    $(".useset>li:nth-child(5)").on("click", function() {
        api.openWin({
            name: 'safetyset',
            url: './safetyset.html',
            slidBackEnabled: false
        });
    });
    /*修改密码*/
    $(".useset>li:nth-child(6)").on("click", function() {
        api.openWin({
            name: 'amendpassword',
            url: './amendpassword.html',
            slidBackEnabled: false
        });
    });
    /*关于塔联社*/
    $(".useset>li:nth-child(7)").on("click", function() {
        api.openWin({
            name: 'about',
            url: './about.html',
            slidBackEnabled: false
        });
    });
    CompatibilityIos();
};

/*绑定QQ*/
function BindQQ() {
    // api.confirm({
    //     title: '塔联社',
    //     msg: '正在打开QQ',
    //     buttons: ['确定', '取消']
    // }, function(ret, err) {
    //     if (ret) {
    //         var index = ret.buttonIndex;
    //         if (index == 1) {
    //             /*同意打开QQ*/
    //             var qq = api.require('qq');
    //             qq.installed(function(ret, err) {
    //                 if (ret) {
    //                     qq.login(function(ret, err) {
    //                         console.log(JSON.stringify(ret));
    //                     });
    //                 } else {
    //                     showtoastspan("哎呀,发生错误了!程序员哥哥正在加紧处理中~");;
    //                 }
    //             });
    //         } else {
    //             honeySwitch.showOff("#qq");
    //         }
    //     }
    // });
    showtoastspan("暂未开通绑定QQ");
    honeySwitch.showOff("#qq");
}
/*解绑QQ*/
function NotBindQQ() {
    showtoastspan("暂未开通绑定QQ");
    honeySwitch.showOff("#qq");
}
/*绑定微信*/
function BindWeiXin() {
    var wx = api.require('wx');
    wx.isInstalled(function(ret, err) {
        if (!ret.installed) {
            /*用户未安装微信*/
            showtoastspan("暂时无法进行绑定");
            honeySwitch.showOff("#weixin");
        } else {
            /*用户已安装微信*/
            wx.auth(function(ret, err) {
                if (ret.status) {
                    wx.getToken({
                        code: ret.code
                    }, function(ret, err) {
                        if (ret.status) {
                            api.showProgress({
                                style: 'default',
                                animationType: 'fade',
                                title: '授权成功',
                                text: '绑定处理中...',
                                modal: true
                            });
                            var open_id = ret.openId;
                            //获取用户信息
                            wx.getUserInfo({
                                accessToken: ret.accessToken,
                                openId: ret.openId
                            }, function(ret, err) {
                                if (ret.status) {
                                    //上传unionid给服务端
                                    var url_upUnionidAjax = {
                                        unionid: ret.unionid,
                                        user_id: USER.id,
                                        openid: open_id
                                    }
                                    CustomAjax(url_upUnionid, url_upUnionidAjax, function(ret) {
                                        /*绑定成功*/
                                        USER.is_bind_weixin = 1;
                                        localStorage.setItem("User", JSON.stringify(USER));
                                        showtoastspan("绑定成功");
                                        api.hideProgress();
                                    }, true, 'post', false, function() {
                                        honeySwitch.showOff("#weixin");
                                        api.hideProgress();
                                    });
                                    api.hideProgress();
                                }
                            });
                        } else {
                            honeySwitch.showOff("#weixin");
                            showtoastspan("获取微信信息失败");
                        }
                    });
                } else {
                    honeySwitch.showOff("#weixin");
                    showtoastspan("微信授权绑定失败");
                }
            });
        }
    });
}
/*解绑微信*/
function NotBindWeiXin() {
    var url_UnbundlingWeChatAjax = {
        user_id: USER.id
    }
    CustomAjax(url_UnbundlingWeChat, url_UnbundlingWeChatAjax, function(ret) {
        USER.is_bind_weixin = 0;
        localStorage.setItem("User", JSON.stringify(USER));
        showtoastspan("解绑成功");
    }, true, 'post', false);
}


/*修改显示的绑定手机号码,供其他页面调用*/
function ChangePhone() {
    USER = JSON.parse(localStorage.getItem("User"));
    $("#Telephone").html(USER.bind_phone);
    api.closeWin({
        name: 'loginbinding'
    });
}
