apiready = function() {
    HeardeLoad("选择社团标签", "../../image/use/back.png", "30px", "30px", "确定");
    HeardeOnclick(close, "", determine)
    CompatibilityIos();
    //获取社团标签
    selectedTags = selectedTags.concat(api.pageParam.selectedTags);
    selectedTagStrs = selectedTagStrs.concat(api.pageParam.selectedTagStrs);
    var getParams = {
        page: 0,
        school_id: localStorage.getItem("SchoolId")
    };
    SimpleAjax("GET", Url.Association.getAssociationTags, getParams, function(data) {
        //
        console.log(JSON.stringify(data));
        tagsData = data.data.list;
        if (tagsData != null) {
            fillTagsData(tagsData);
        }
    });

};
//标签列表数据
var tagsData;
//标签列表对象数据
var selectedTags = [];
//标签列表字符串数据
var selectedTagStrs = [];
/**
 * 填充列表数据
 * @param tagsData
 */
function fillTagsData(tagsData) {
    var tagsContentHtml = "";
    if (tagsData != null && tagsData.length > 0) {
        for (var i in tagsData) {
            var index = selectedTagStrs.indexOf(tagsData[i].tag_name);
            var checked = index > -1 ? "checked" : "";
            //if (index > -1) {
            //    tagsContentHtml += `<div class="taggle_content_taggle ${checked}">
            //        ${tagsData[i].tag_name}
            //    </div>`;
            //} else {
            //    tagsContentHtml += `<div class="taggle_content_taggle">
            //        ${tagsData[i].tag_name}
            //    </div>`;
            //}
            tagsContentHtml += `<div class="taggle_content_taggle ${checked}">
                    ${tagsData[i].tag_name}
                </div>`;
        }
    }
    $(".taggle_content").empty();
    $(".taggle_content").append(tagsContentHtml);
    $(".taggle_content_taggle").on("click", function() {
        if ($(this).hasClass("checked")) {
            $(this).removeClass("checked");
            var index = selectedTagStrs.indexOf(tagsData[$(this).index()].tag_name);
            if (index > -1) {
                selectedTags.splice(index, 1);
                selectedTagStrs.splice(index, 1);
            }
        } else {
            if (selectedTags.length < 3) {
                $(this).addClass("checked");
                selectedTags.push(tagsData[$(this).index()]);
                selectedTagStrs.push(tagsData[$(this).index()].tag_name);
            }
        }
    });
}

function determine() {
    //点击了确认按钮，发送事件给监听者
    if (selectedTags != null && selectedTags.length > 0) {
        api.sendEvent({
            name: 'tagSelectedEvent',
            extra: {
                selectedTags: selectedTags,
                selectedTagStrs: selectedTagStrs
            }
        });
    }
    close();
}
