var STOP_CLICK = true; //防止点击穿透事件
var TEACHER_S = new Array(); //用于存储选中的老师
var TEACHER_LIST = new Array(); //用于存储老师列表
var TEACHER_P = 1;
var TEACHER_IS_OR_NOT = 0;
var TYPE; // 1.创建社团时的选择老师   2.审核时同意并转交时使用
var EXAMINE; //1.社团   2.活动   3.学分申报  4.课程 5.请假
apiready = function() {
    HeardeOnclick(close, "", confirm);
    /*老师列表下拉刷新和上拉加载*/
    RefreshAndLoad(".teacher_list", function() {
        /*下拉刷新：报名人员列表*/
        $(".teacher_list").empty();
        TEACHER_P = 1;
        TEACHER_IS_OR_NOT = 0;
        TeacherListAjax();
    }, function() {
        /*上拉加载：报名人员列表*/
        if (TEACHER_IS_OR_NOT == 0) {
            TEACHER_P++;
            TeacherListAjax();
        }
    });
    /*初始化获取老师列表*/
    TeacherListAjax();
    /*获取已选的老师信息*/
    TYPE = api.pageParam.type;
    EXAMINE = api.pageParam.examine;
    if (TYPE == 1) {
        HeardeLoad("选择老师", "../../image/login/back.png", "30px", "30px", "确认");
        /*勾选已选中的老师*/
        TEACHER_S = api.pageParam.data;
        if (TEACHER_S.length > 0) {
            for (var i = 0; i < TEACHER_S.length; i++) {
                $("#" + TEACHER_S[i].id).find("i").addClass("checked");
            }
        }
    } else {
        HeardeLoad("请选择转交审核的老师", "../../image/login/back.png", "30px", "30px", "确认");
    }
    /*监听确认搜索*/
    $(".search_teacher input").on('keypress', function(e) {
        var content = $(this).val().trim();
        if (content == "") {
            $(".teacher_list").show();
            $(".search_list").hide();
        } else {
            $(".teacher_list").hide();
            $(".search_list").show();
        }
        $(".search_list").empty();
        for (var i = 0; i < TEACHER_LIST.length; i++) {
            if (TEACHER_LIST[i].teacher_name.indexOf(content) > (-1)) {
                if (TEACHER_LIST[i].teacher_photo) {
                    var teacher_photo = localStorage.img_url + TEACHER_LIST[i].teacher_photo;
                } else {
                    var teacher_photo = "../../image/use/default.png";
                }
                if (TEACHER_LIST[i].hasOwnProperty("teacher_title")) {
                    var teacher_title = TEACHER_LIST[i].teacher_title;
                } else {
                    var teacher_title = "";
                }
                var html = `
                <div class="select_teacher_module" id="${TEACHER_LIST[i].id}">
                    <div class="address-content-people-module-left select_teacherClick">
                        <img src="${teacher_photo}">
                    </div>
                    <div class="address-content-people-module-right select_teacherClick">
                        <p>${TEACHER_LIST[i].teacher_name}</p>
                        <span>${teacher_title}</span>
                    </div>
                    <div class="i_parent">
                        <i></i>
                    </div>
                </div>
                `;
                $(".search_list").append(html);
            }
        }
    });
    /*监听输入框变化*/
    $(".search_teacher input").on("input propertychange", function() {
        if ($(this).val() != "") {
            $(".search_teacher>img").show();
        } else {
            $(".search_teacher>img").hide();
        }
    });
    /*输入框叉叉点击事件*/
    $(".search_teacher>img").on("click", function() {
        $(".search_teacher>input").val("");
        $(".teacher_list").show();
        $(".search_list").hide();
    });
    CompatibilityIos();
};

/*点击头部确定按钮*/
function confirm() {
    if (TYPE == 1) {
        TEACHER_S = new Array();
        $(".checked").each(function() {
            var id = $(this).parents(".select_teacher_module").attr("id");
            var name = $(this).parents(".i_parent").siblings(".address-content-people-module-right").find("p").html();
            var post = $(this).parents(".i_parent").siblings(".address-content-people-module-right").find("span").html();
            var photo = $(this).parents(".i_parent").siblings(".address-content-people-module-left").find("img").attr("src");
            var object = new Object();
            object.id = id;
            object.name = name;
            object.post = post;
            object.photo = photo;
            TEACHER_S.push(object);
        });
        api.sendEvent({
            name: 'SelectTeacher',
            extra: {
                data: TEACHER_S
            }
        });
        close();
    } else {
        var NexId = $(".checked").parents(".select_teacher_module").attr("id");
        switch (EXAMINE) {
            case 1:
                /*社团*/
                /*调用同意并转交接口*/
                var url_assoCheckPassAjax = {
                    asso_id: api.pageParam.assoId,
                    next_user_id: NexId,
                    check_opinion: api.pageParam.content,
                    type: 1
                }
                CustomAjax(url_assoCheckPass, url_assoCheckPassAjax, function(ret) {
                    showtoastspan("操作成功!");
                    api.closeWin({
                        name: 'create_org'
                    });
                    api.execScript({
                        name: 'myexamine',
                        script: 'ChangeStatusFun(' + 3 + ');'
                    });
                    close();
                }, true, 'post');
                break;
            case 2:
                /*活动*/
                var url_checkPassAjax = {
                    activity_id: api.pageParam.activiId,
                    next_user_id: NexId,
                    check_opinion: api.pageParam.content,
                    type: 1
                }
                CustomAjax(url_checkPass, url_checkPassAjax, function(ret) {
                    showtoastspan("操作成功!");
                    api.closeWin({
                        name: 'releaseactivity'
                    });
                    api.execScript({
                        name: 'myexamine',
                        script: 'ChangeStatusFun(' + 2 + ');'
                    });
                    close();
                }, true, 'post');
                break;
            case 3:
                var url_checkPassTwoAjax = {
                    declare_id: api.pageParam.Credit,
                    next_user_id: NexId,
                    check_opinion: api.pageParam.content,
                    type: 1
                }
                CustomAjax(url_checkPassTwo, url_checkPassTwoAjax, function(ret) {
                    showtoastspan("操作成功!");
                    api.execScript({
                        name: 'myexamine',
                        script: 'ChangeStatusFun(' + 4 + ');'
                    });
                    api.closeWin({
                        name: 'declarecredit'
                    });
                    close();
                }, true, 'post');
                break;
            case 4:
                /*课程*/
                var url_checkPassAjax = {
                    activity_id: api.pageParam.activiId,
                    next_user_id: NexId,
                    check_opinion: api.pageParam.content,
                    type: 1
                }
                CustomAjax(url_checkPass, url_checkPassAjax, function(ret) {
                    showtoastspan("操作成功!");
                    api.closeWin({
                        name: 'releaseactivity'
                    });
                    api.execScript({
                        name: 'myexamine',
                        script: 'ChangeStatusFun(' + 5 + ');'
                    });
                    close();
                }, true, 'post');
                break;
            case 5:
                /*请假*/
                console.log(JSON.stringify(api.pageParam));
                var checkPassAjax = {
                    leave_id: api.pageParam.leave_id,
                    user_id: api.pageParam.user_id,
                    next_user_id: NexId,
                    check_opinion: api.pageParam.content,
                    type: 1
                }
                CustomAjax(Url.branch.checkPass, checkPassAjax, function(ret) {
                    showtoastspan("操作成功!");
                    api.closeWin({
                        name: 'leave_detail'
                    });
                    api.execScript({
                        name: 'myexamine',
                        script: 'ChangeStatusFun(' + 6 + ');'
                    });
                    close();
                }, true, 'post');
                break;
        }
    }
}

/*获取老师列表请求*/
function TeacherListAjax() {
    var url_getTeachersListAjax = {
        page: TEACHER_P,
        size: 10
    }
    UtilShowLoadImg();
    CustomAjax(url_getTeachersList, url_getTeachersListAjax, function(ret) {
        console.log(JSON.stringify(ret));
        if (ret.data.total <= TEACHER_P * 10) {
            TEACHER_IS_OR_NOT = 1;
        } else {
            TEACHER_IS_OR_NOT = 0;
        }
        var html = "";
        TEACHER_LIST = ret.data.list;
        for (var i = 0; i < TEACHER_LIST.length; i++) {
            if (TEACHER_LIST[i].teacher_photo) {
                var teacher_photo = localStorage.img_url + TEACHER_LIST[i].teacher_photo;

            } else {
                var teacher_photo = "../../image/use/default.png";
            }
            if (TEACHER_LIST[i].hasOwnProperty("teacher_title")) {
                var teacher_title = TEACHER_LIST[i].teacher_title;
            } else {
                var teacher_title = "";
            }
            html += `
        <div class="select_teacher_module" id="${TEACHER_LIST[i].id}">
            <div class="address-content-people-module-left select_teacherClick" onclick="ModuleClick(this)">
                <img src="${teacher_photo}">
            </div>
            <div class="address-content-people-module-right select_teacherClick" onclick="ModuleClick(this)">
                <p>${TEACHER_LIST[i].teacher_name}</p>
                <span>${teacher_title}</span>
            </div>
            <div class="i_parent" onclick="IClick(this)">
                <i></i>
            </div>
        </div>
        `;
        }
        $(".teacher_list").append(html);
    }, true, 'get', false);
    UtilHideLoadImg();
}

/*i点击事件 */
function IClick(idd) {
    var pTag = $(idd).find("i");
    if (pTag.hasClass("checked")) {
        pTag.removeClass("checked");
    } else {
        if (TYPE == 1) {
            pTag.addClass("checked");
        } else {
            $("i").removeClass("checked");
            pTag.addClass("checked");
        }
    }
    STOP_CLICK = false;
}

/*老师模块的点击事件*/
function ModuleClick(idd) {
    if (STOP_CLICK) {
        var id = $(idd).parents(".select_teacher_module").attr("id");
        api.openWin({
            name: 'studentmessage',
            url: '../my/studentmessage.html',
            pageParam: {
                type: 2,
                peopleId: id
            },
            slidBackEnabled: false
        });
    }
    STOP_CLICK = true;
}
