var ox, ex, endx;
var AREA = new Array; //用于存储选中的区域
apiready = function() {
    CompatibilityIos();
    var center = `
    <div class="search_content">
      <div class="search_content_real">
        <img src="../../image/tag/search.png">
        <input type="search" value="" placeholder="请输入关键词搜场地...">
        <img src="../../image/tag/delete.png">
      </div>
    </div>
  `;
    HeardeLoad(center, "../../image/use/back.png", "30px", "30px", "区域");
    /*设置头部导航栏颜色*/
    api.setStatusBarStyle({
        style: 'dark',
        color: 'rgba(254,254,254,1);'
    });
    HeardeOnclick(close, "", RightClick);
    $(".roof").css("top", "0");
    /*搜索输入栏中的叉号点击事件*/
    $(".search_content_real img:nth-child(3)").on("click", function(ret) {
        $(".search_content_real input").val("");
        FindContent();
    });
    /*监听input变化*/
    $(".search_content_real input").on("input propertychange", function() {
        if ($(this).val() != "") {
            $(".search_content_real img:nth-child(3)").css("display", "block");
        } else {
            $(".search_content_real img:nth-child(3)").css("display", "none");
        }
    });
    /*监听确认搜索*/
    $(".search_content_real input").on('keypress', function(e) {
        var KeyCode = e.keyCode;
        if (KeyCode == '13') {
            e.preventDefault();
            /*确认搜索*/
            FindContent();
        }
    });
    /*遮罩层点击事件*/
    $(".roof").on("click", function() {
        $(".slide_right").animate({
            right: "-80%"
        });
        $(".roof").hide();
    });
    /*手势侧滑*/
    touch(function() {
        $(".roof").show();
        $(".slide_right").animate({
            right: "0"
        });
    }, function() {
        $(".roof").hide();
        $(".slide_right").animate({
            right: "-80%"
        });
    });
    /*重置按钮*/
    $(".menucontent_btn>div:nth-child(1)").on("click", function() {
        $(".menucontent_module").removeClass("checked");
        $(".notcontorl").addClass("checked");
    });
    /*确定按钮*/
    $(".menucontent_btn>div:nth-child(2)").on("click", function() {
        AREA = new Array();
        if (!$(".notcontorl").hasClass("checked")) {
            $(".menucontent_module.checked").each(function() {
                AREA.push($(this).attr("id"));
            });
        }
        $(".roof").hide();
        $(".slide_right").animate({
            right: "-80%"
        });
        /*触发刷新列表*/
        FindContent();
    });
    GetAreaPlace();
};
/*头部区域点击事件*/
function RightClick() {
    $(".roof").show();
    $(".slide_right").animate({
        right: "0"
    });
}
/*区域模块点击事件*/
function ModuleClick(idd) {
    if ($(idd).hasClass("notcontorl")) { //点击“不限”
        if (!$(idd).hasClass("checked")) {
            $(".menucontent_module").removeClass("checked");
            $(idd).addClass("checked");
        }
    } else { //点击其他按钮
        if ($(idd).hasClass("checked")) {
            $(idd).removeClass("checked");
            if (!$(".menucontent_module").hasClass("checked")) {
                $(".notcontorl").addClass("checked");
            }
        } else {
            $(".notcontorl").removeClass("checked");
            $(idd).addClass("checked");
        }
    }
}
/*AJAX获取场地和区域内容*/
function GetAreaPlace() {
    var url_findPlaceAjax = {
        school_id: localStorage.getItem("SchoolId")
    }
    CustomAjax(url_findPlace, url_findPlaceAjax, function(ret) {
        console.log(JSON.stringify(ret));
        /*获取场地列表*/
        var html = "";
        var data = ret.data.list;
        for (var i = 0; i < data.length; i++) {
            if (data[i].status == 1) {
                if (data[i].field_type == 1) {
                    var field_type = `<img src="../../image/tag/indoor.png">`;
                } else {
                    var field_type = `<img src="../../image/tag/outdoor.png">`;
                }
                html += `
            <div class="place_module" id='${data[i].field_id}' onclick='ClickPlace(this)'>
                <div class="place_module_img">
                    <img src="${localStorage.img_url+data[i].field_img_url[0]}">
                </div>
                <div class="place_module_content">
                    <span><b>${data[i].field_name}</b>${field_type}</span>
                    <img src="../../image/activity/address.png">
                    <font>${data[i].field_place}</font>
                </div>
            </div>
            `;
            }
        }
        $(".content_list").append(html);
        /*获取区域列表*/
        var url_getAreaListAjax = {
            school_id: localStorage.getItem("SchoolId")
        }
        CustomAjax(url_getAreaList, url_getAreaListAjax, function(ret) {
            var html = "";
            for (var i = 0; i < ret.data.length; i++) {
                if (ret.data[i].status == 1) {
                    console.log(ret.data[i].area_id);
                    html += `
              <div id='${ret.data[i].area_id}' class="menucontent_module" onclick="ModuleClick(this)">
                  ${ret.data[i].area_name}
              </div>
              `;
                }
            }
            $(".menucontent>div:nth-child(2)").append(html);
        }, true, 'post');
    }, true, 'post');
}


/*场地模块点击事件*/
function ClickPlace(idd) {
    var id = $(idd).attr("id");
    var startTime = api.pageParam.startTime;
    var endTime = api.pageParam.endTime;
    api.openWin({
        name: 'placedetails',
        url: './placedetails.html',
        pageParam: {
            id: id,
            startTime: startTime,
            endTime: endTime
        },
        slidBackEnabled: false
    });
}

/*触发搜索AJAX*/
function FindContent() {
    /*搜索AJAX*/
    UtilShowLoadImg();
    var SearchContent = $(".search_content_real>input").val();
    var area_id = AREA.join(",");
    var url_findPlaceAjax = {
        field_name: SearchContent,
        school_id: localStorage.getItem("SchoolId"),
        area_id: area_id
    }
    CustomAjax(url_findPlace, url_findPlaceAjax, function(ret) {
        $(".content_list").empty();
        var data = ret.data.list;
        var html = "";
        for (var i = 0; i < data.length; i++) {
            if (data[i].status == 1) {
                if (data[i].field_type == 1) {
                    var field_type = `<img src="../../image/tag/indoor.png">`;
                } else {
                    var field_type = `<img src="../../image/tag/outdoor.png">`;
                }
                html += `
        <div class="place_module" id='${data[i].field_id}' onclick='ClickPlace(this)'>
            <div class="place_module_img">
                <img src="${localStorage.img_url+data[i].field_img_url[0]}">
            </div>
            <div class="place_module_content">
                <span><b>${data[i].field_name}</b>${field_type}</span>
                <img src="../../image/activity/address.png">
                <font>${data[i].field_place}</font>
            </div>
        </div>
        `;
            }
        }
        if (data.length == 0) {
            html = `
          <div class="null">暂无数据</div>
          `;
        }
        $(".content_list").append(html);
    }, true, 'post', false);
    UtilHideLoadImg();
}
