var SEARCH_TYPE; //用于区别搜索的东西 1.活动 2.部落 3.课程
var ACTIVITY_P = 1; //活动页码
var ACTIVITY_IS_OR_NOT = 0; //是否
var COURSE_P = 1; //课程页码
var COURSE_IS_OR_NOT = 0; //是否
var CONTENT = ""; //用于存放搜索内容
apiready = function() {
    SEARCH_TYPE = api.pageParam.type;
    var center = `
    <div class="search_content">
      <div class="search_content_real">
        <img src="../../image/tag/search.png">
        <input type="text" value="" placeholder="请输入要搜索内容的关键字...">
        <img src="../../image/tag/delete.png">
      </div>
    </div>
  `;
    HeardeLoad(center, "../../image/use/back.png", "30px", "30px", "搜索");
    HeardeOnclick(close, "", search);
    /*输入框删除按钮点击*/
    $(".search_content_real img:nth-child(3)").on("click", function(ret) {
        $(".search_content_real input").val("");
        $(".search_content_real img:nth-child(3)").css("display", "none");
    });
    /*监听输入框内容*/
    $(".search_content_real input").on("input propertychange", function() {
        if ($(this).val() != "") {
            $(".search_content_real img:nth-child(3)").css("display", "block");
        } else {
            $(".search_content_real img:nth-child(3)").css("display", "none");
        }
    });
    /*如果是搜索部落，则显示部落标签*/
    switch (SEARCH_TYPE) {
        case 1:
            /*活动*/
            // ACTIVITY_P = 1;
            // ACTIVITY_IS_OR_NOT = 0;
            // ActivityAjax();
            break;
        case 2:
            $(".menucontent").show();
            var url_getTaggleListAjax = {
                page: 0,
                school_id: localStorage.getItem("SchoolId")
            }
            CustomAjax(url_getTaggleList, url_getTaggleListAjax, function(ret) {
                var html = "";
                var data = ret.data.list;
                for (var i = 0; i < data.length; i++) {
                    html += `
            <div class="menucontent_module" menucontentid='${data[i].alltags_id}'>
                  ${data[i].tag_name}
            </div>
            `;
                }
                $(".menucontent>div:nth-child(2)").append(html);
                /*标签模块点击事件*/
                $(".menucontent_module").on("click", function() {
                    if ($(this).hasClass("checked")) {
                        $(this).removeClass("checked");
                    } else {
                        $(this).addClass("checked");
                    }
                });
            }, true, 'get', false);
            break;
        case 3:
            /*课程*/
            // COURSE_P = 1;
            // COURSE_IS_OR_NOT = 0;
            // CourseAjax();
            break;
    }
    /*下拉刷新和上拉加载*/
    if (SEARCH_TYPE != 2) {
        RefreshAndLoadasd(function() {
            $(".content_view").empty();
            switch (SEARCH_TYPE) {
                case 1:
                    /*活动*/
                    ACTIVITY_P = 1;
                    ACTIVITY_IS_OR_NOT = 0;
                    ActivityAjax();
                    break;
                case 3:
                    /*课程*/
                    COURSE_P = 1;
                    COURSE_IS_OR_NOT = 0;
                    CourseAjax();
                    break;
            }
        }, function() {
            switch (SEARCH_TYPE) {
                case 1:
                    if (ACTIVITY_IS_OR_NOT == 0) {
                        ACTIVITY_P++;
                        ActivityAjax();
                    }
                    break;
                case 3:
                    /*课程*/
                    if (COURSE_IS_OR_NOT == 0) {
                        COURSE_P++;
                        CourseAjax();
                    }
                    break;
            }
        });
    }
    CompatibilityIos();
    /*默认触发*/
    setTimeout(function() {
        if (SEARCH_TYPE != 2) {
            search();
        }
    }, 100);
};

function search() {
    /*搜索逻辑*/
    UtilShowLoadImg();
    CONTENT = $(".search_content_real>input").val();
    $(".content_view").empty();

    switch (SEARCH_TYPE) {
        case 1:
            /*活动*/
            ACTIVITY_P = 1;
            ACTIVITY_IS_OR_NOT = 0;
            var Key_Type = CONTENT + '_活动';
            TenCentMtaOnEvent('SearchKey', 'Key_Type', Key_Type);
            ActivityAjax();
            break;
        case 2:
            /*部落*/
            var ids = [];
            $(".menucontent>div:nth-child(2)>.checked").each(function() {
                ids.push($(this).attr("menucontentid"));
            });
            ids = ids.join(",");
            var url_searchOragAjax = {
                school_id: localStorage.getItem("SchoolId"),
                title: CONTENT,
                asso_tags: ids,
            }
            var Key_Type = CONTENT + '_部落';
            TenCentMtaOnEvent('SearchKey', 'Key_Type', Key_Type);
            CustomAjax(url_searchOrag, url_searchOragAjax, function(ret) {
                console.log(JSON.stringify(ret));
                Organization(ret);
            }, true, 'post', false);
            break;
        case 3:
            /*课程*/
            COURSE_P = 1;
            COURSE_IS_OR_NOT = 0;
            var Key_Type = CONTENT + '_课程';
            TenCentMtaOnEvent('SearchKey', 'Key_Type', Key_Type);
            CourseAjax();
            break;
    }
    UtilHideLoadImg();
}
/*添加部落模板*/
function Organization(ret) {
    var data = ret.data;
    var str = "";
    for (var i = 0; i < data.length; i++) {
        if (data[i].level == 0) {
            var type = `<span class="checked">校</span>`;
        } else {
            var type = `<span>院</span>`;
        }
        var tagglesHTML = "";
        for (var j = 0; j < data[i].tags.length; j++) {
            tagglesHTML += `
          <span class="taggle_item">${data[i].tags[j]}</span>
          `;
        }
        str = `
        <div class="course_module notScore" assoScore=${data[i].score} assosId="${data[i].asso_id}" onclick="OpenAssosDetail(this)" assosType="${data[i].is_association}">
            <div class="course_module_left">
                <img src="${localStorage.img_url+data[i].logo_url}">
            </div>
            <div class="course_module_right">
                <span>${type}${data[i].title}</span>
                <span class="xinxin">
            <div><img src="../../image/use/xinxin.png"></div>
            <div><img src="../../image/use/xinxin.png"></div>
            <div><img src="../../image/use/xinxin.png"></div>
            <div><img src="../../image/use/xinxin.png"></div>
            <div><img src="../../image/use/xinxin.png"></div>
                </span>
                <span>${data[i].school_name}${data[i].college_name}</span>
                <span>${tagglesHTML}</span>
            </div>
        </div>
      `;
        $(".content_view").append(str);
    }
    if (data.length == 0) {
        var html = `<div class="null">暂无数据</div>`;
        $(".content_view").append(html);
    }
    setAssoScore();
}

/*点击跳转部落详情*/
function OpenAssosDetail(idd) {
    var id = $(idd).attr("assosId");
    var type = $(idd).attr("assosType");
    api.openWin({
        name: 'orangdetail',
        url: '../organization/orangdetail.html',
        pageParam: {
            assoId: id,
            type: type
        },
        slidBackEnabled: false
    });
}

/*课程AJAX*/
function CourseAjax() {
    var url_allActivityAjax = {
        school_id: localStorage.getItem("SchoolId"),
        activity_name: CONTENT,
        activity_class: 2,
        page: COURSE_P,
        size: 10,
        client_type: 2
    }
    CustomAjax(url_allActivity, url_allActivityAjax, function(ret) {
        if (ret.data.total_size <= COURSE_P * 10) {
            COURSE_IS_OR_NOT = 1;
        } else {
            COURSE_IS_OR_NOT = 0;
        }
        var data = ret.data.list;
        for (var i = 0; i < data.length; i++) {
            /*状态图片*/
            if (data[i].status <= 1) {
                var imgstatus = "../../image/activity/notstart.png";
            } else if (data[i].status <= 3) {
                var imgstatus = "../../image/activity/start.png";
            } else {
                var imgstatus = "../../image/activity/activityend.png";
            }
            /*院系*/
            if (data[i].rank_id == 1 || data[i].rank_id == "校级") {
                var rand_idspan = `<span class="checked">校</span>`;
            } else {
                var rand_idspan = `<span>院</span>`;
            }
            if (data[i].limit_number == (-1)) {
                var limit_number = "不限";
            } else {
                var limit_number = data[i].limit_number;
            }
            var ctime = timeStampToTime(data[i].activity_start_time);
            var endtime = timeStampToTime(data[i].activity_end_time);
            endtime = endtime.slice(endtime.indexOf(" "), endtime.length); //去除结束时间日期
            ctime = ctime.slice(0, ctime.length - 3); //去除秒数
            endtime = endtime.slice(0, endtime.length - 3); //去除秒数
            var width = document.body.clientWidth - 120 - 30;
            var str = `
            <div class="course_module notScore" assoScore=${data[i].score} activityId="${data[i].activity_id}" onclick="OpenActivityDetail(this)">
                        <div class="course_module_left">
                            <img src="${localStorage.img_url+data[i].logo_img_url}">
                            <img src="${imgstatus}">
                        </div>
                        <div class="course_module_right" style="width:${width}px">
                            <span>${rand_idspan}${data[i].activity_name}</span>
                            <span>
                            <div><img src="../../image/use/xinxin.png"></div>
                            <div><img src="../../image/use/xinxin.png"></div>
                            <div><img src="../../image/use/xinxin.png"></div>
                            <div><img src="../../image/use/xinxin.png"></div>
                            <div><img src="../../image/use/xinxin.png"></div>
                          </span>
                            <span>机构:${data[i].association_name}</span>
                            <span>地址:${data[i].activity_place}</span>
                            <span>时间:${ctime}-${endtime}</span>
                            <span>人数:${data[i].current_number}/${limit_number}</span>
                        </div>
                    </div>
            `;
            $(".content_view").append(str);
        }
        if (data.length == 0) {
            var html = `<div class="null">暂无数据</div>`;
            $(".content_view").append(html);
        }
        setAssoScore();
    }, true, 'post', false);
}

/*活动AJax*/
function ActivityAjax() {
    /*活动*/
    var url_allActivityAjax = {
        school_id: localStorage.getItem("SchoolId"),
        activity_name: CONTENT,
        activity_class: 1,
        page: ACTIVITY_P,
        size: 10,
        client_type: 2
    }
    if (localStorage.hasOwnProperty("Token")) {
        url_allActivityAjax.user_id = JSON.parse(localStorage.getItem("User")).id;
        url_allActivityAjax.manager_user_id = JSON.parse(localStorage.getItem("User")).id;
    }
    CustomAjax(url_allActivity, url_allActivityAjax, function(ret) {
        console.log(JSON.stringify(ret))
        if (ret.data.total_size <= ACTIVITY_P * 10) {
            ACTIVITY_IS_OR_NOT = 1;
        } else {
            ACTIVITY_IS_OR_NOT = 0;
        }
        var data = ret.data.list;
        var str = "";
        for (var i = 0; i < data.length; i++) {
            if (data[i].rank_id == 1 || data[i].rank_id == "校级") {
                var rand_idspan = "校";
                var rank = "checked";
            } else {
                var rand_idspan = "院";
                var rank = "";
            }
            if (data[i].status <= 1) {
                var imgstatus = "../../image/activity/notstart.png";
            } else if (data[i].status <= 3) {
                var imgstatus = "../../image/activity/start.png";
            } else {
                var imgstatus = "../../image/activity/activityend.png";
            }
            if (data[i].limit_number == (-1)) {
                var limit_number = "不限";
            } else {
                var limit_number = data[i].limit_number;
            }
            if (data[i].is_manager == 1) {
                var is_manager = 'checked';
            } else {
                var is_manager = '';
            }
            var time = timeStampToTime(data[i].activity_start_time, 3) + "~" + timeStampToTime(data[i].activity_end_time, 3);
            str += `
                    <div class="activity_view" activityId="${data[i].activity_id}" onclick='OpenActivityDetail(this)'>
                        <div class="activity_view_img">
                            <img src="${localStorage.img_url+data[i].ad_img_first_url}">
                            <img src="${imgstatus}">
                        </div>
                  <div class="activity_view_title ${rank}">
                         <span>${rand_idspan}</span>
                      <p>${data[i].activity_name}</p>
                  </div>
                  <div class="activity_view_address">
                      <img src="../../image/activity/address.png">
                      <span>${data[i].activity_place}</span>
                      <span class='${is_manager}'>管理员</span>
                  </div>
                  <div class="activity_view_time">
                      <img src="../../image/activity/time.png">
                      <span>${time}</span>
                  </div>
                  <div class="activity_vie_people">
                      <img src="../../image/activity/people.png">
                      <span>${data[i].current_number}/${limit_number}</span>
                  </div>
                  </div>
          `;
        };
        if (data.length == 0) {
            var html = `<div class="null">暂无数据</div>`;
        }
        $(".content_view").append(str);
    }, true, 'post', false);
}

/*点击跳转活动详情*/
function OpenActivityDetail(idd) {
    var id = $(idd).attr("activityId");
    api.openWin({
        name: 'activedetail',
        url: './activedetail.html',
        pageParam: {
            activityId: id
        },
        slidBackEnabled: false
    });

}

/*处理渲染评分*/
function setAssoScore() {
    $(".notScore").each(function() {
        /*处理评分星星*/
        var data = $(this).attr("assoScore");
        var score = parseFloat(data).toFixed(1);
        var scoreInt = parseInt(score);
        var scoreDou = parseInt((score - scoreInt) * 10);
        var color = scoreDou * 1.5;
        var sum = 15 - color;
        for (var z = 1; z <= scoreInt; z++) {
            $(this).find(".xinxin div:nth-child(" + z + ")").css("background", "rgb(255,106,38)");
        }
        scoreInt++;
        if (scoreDou > 0) {
            $(this).find(".xinxin div:nth-child(" + scoreInt + ")").css("background", "linear-gradient(to right,rgb(255,106,38) " + color + "px,rgb(237,237,237) " + sum + "px)");
        }
        $(this).removeClass("notScore");
    });
}
