var TYPE; //用于区别扫一扫打开类型  1.从首页进入的普通的扫一扫   2.从活动详情页进入的管理员活动签到
apiready = function() {
    HeardeLoad("扫一扫", "../../image/use/back.png", "30px", "30px", "");
    HeardeOnclick(close, "", "");
    CompatibilityIos();
    /*初始化打开扫一扫*/
    TYPE = api.pageParam.type;
    var sys = api.systemType; // 获取手机类型，比如： ios
    if (sys == 'ios') { //兼容ios
        var y = 70;
        var h = api.winHeight - 125;
    } else {
        var y = 50;
        var h = api.winHeight - 110;
    }
    var FNScanner = api.require('FNScanner');
    FNScanner.openView({
        autorotation: false,
        rect: {
            x: 0, //（可选项）数字类型；模块左上角的 x 坐标（相对于所属的 Window 或 Frame）；默认：0
            y: y, //（可选项）数字类型；模块左上角的 y 坐标（相对于所属的 Window 或 Frame）；默认：0
            w: api.winWidth, //（可选项）数字类型；模块的宽度；默认：所属的 Window 或 Frame 的宽度
            h: h //（可选项）数字类型；模块的高度；默认：所属的 Window 或 Frame 的高度}
        }
    }, function(ret, err) {
        if (ret) {
            if (ret.eventType == "success") {
                var data = GetContent(ret.content);
                var json = JSON.parse(data.d);
                if (verifyMd5(json, data.sign)) {
                    alert("效验不正确");
                    return;
                }
                if (TYPE == 1) {
                    /*普通扫一扫*/
                    if (data.t == "0101") {
                        /*个人信息二维码*/
                        api.openWin({
                            name: 'studentmessage',
                            url: '../my/studentmessage.html',
                            pageParam: {
                                peopleId: json.id,
                                type: 1
                            },
                            slidBackEnabled: false
                        });
                    } else if (data.t == "0201") {
                        /*社团详情二维码*/
                        api.openWin({
                            name: 'orangdetail',
                            url: '../organization/orangdetail.html',
                            pageParam: {
                                assoId: json.id
                            },
                            slidBackEnabled: false
                        });
                    } else if (data.t == "0301") {
                        /*活动详情二维码*/
                        if (json.type == 1) {
                            api.openWin({
                                name: 'activedetail',
                                url: './activedetail.html',
                                pageParam: {
                                    activityId: json.id
                                },
                                slidBackEnabled: false
                            });
                        } else {
                            api.openWin({
                                name: 'branch_activedetail',
                                url: './branch_activedetail.html',
                                pageParam: {
                                    activityId: json.id
                                },
                                slidBackEnabled: false
                            });
                        }
                    } else if (data.t == "0401") {
                        /*成绩单二维码*/
                        api.openWin({
                            name: 'second_deatil',
                            url: '../credit/second_deatil.html',
                            pageParam: {
                                type: json.type,
                                sendId: json.id
                            },
                            slidBackEnabled: false
                        });
                    } else {
                        /*非普通扫一扫处理*/
                        alert("签到二维码请在活动详情中进行签到!");
                    }
                } else {
                    /*管理员活动签到,无限扫*/
                    if (data.t == "0102") {
                        /*用户签到二维码*/
                        var time = (Date.parse(new Date()) + parseInt(localStorage.getItem("SysTime"))) / 1000; //与服务器核对的时间戳
                        if (parseInt(time) - parseInt(data.ti) > 15) {
                            return alert("二维码已过期");
                        }
                        UtilShowLoadImg();
                        if (json.type == 1) {
                            var url_activitySignInAjax = {
                                activity_id: json.activity_id,
                                user_id: json.user_id
                            }
                            CustomAjax(url_activitySignIn, url_activitySignInAjax, function(ret) {
                                if (ret.data.is_sign == 1) {
                                    alert("该用户已签到");
                                } else {
                                    alert("签到成功!");
                                }
                            }, true, 'post', false);
                        } else {
                            var url_activitySignInAjax = {
                                activity_id: json.activity_id,
                                user_id: json.user_id,
                                sign_mode: api.pageParam.sign_mode,
                                cycle_id: api.pageParam.nCycleId
                            }
                            CustomAjax(Url.branchActive.activitySignIn, url_activitySignInAjax, function(ret) {
                                if (ret.data.is_sign == 1) {
                                    alert("该用户已签到");
                                } else {
                                    alert("签到成功!");
                                }
                            }, true, 'post', false);
                        }
                        UtilHideLoadImg();
                    } else if (data.t == "0302") {
                        /*活动签到二维码（刷新）*/
                        var time = (Date.parse(new Date()) + parseInt(localStorage.getItem("SysTime"))) / 1000; //与服务器核对的时间戳
                        if (parseInt(time) - parseInt(data.ti) > 15) {
                            return alert("二维码已过期");
                        }
                        UtilShowLoadImg();
                        var user_id = JSON.parse(localStorage.getItem("User")).id;
                        if (api.pageParam.setting.status == 1) {
                            if (json.type == 1) {
                                var url_activitySignInAjax = {
                                    activity_id: json.activity_id,
                                    user_id: user_id
                                }
                                CustomAjax(url_activitySignIn, url_activitySignInAjax, function(ret) {
                                    console.log(JSON.stringify(ret));
                                    if (ret.data.is_sign == 1) {
                                        alert("该用户已签到");
                                    } else {
                                        alert("签到成功!");
                                    }
                                }, true, 'post', false);
                            } else {
                                var zoom = api.pageParam.zoom;
                                var url_activitySignInAjax = {
                                    activity_id: json.activity_id,
                                    user_id: user_id,
                                    cycle_id: api.pageParam.nCycleId,
                                    sign_mode: 2,
                                    longitude: zoom[0],
                                    latitude: zoom[1]
                                }
                                CustomAjax(Url.branchActive.activitySignIn, url_activitySignInAjax, function(ret) {
                                    console.log(JSON.stringify(ret));
                                    if (ret.data.is_sign == 1) {
                                        alert("该用户已签到");
                                    } else {
                                        alert("签到成功!");
                                    }
                                }, true, 'post', false);
                            }
                        } else {
                            if (json.type == 1) {
                                var url_activitySignInAjax = {
                                    activity_id: json.activity_id,
                                    user_id: user_id
                                }
                                CustomAjax(url_activitySignIn, url_activitySignInAjax, function(ret) {
                                    console.log(JSON.stringify(ret));
                                    if (ret.data.is_sign == 1) {
                                        alert("该用户已签到");
                                    } else {
                                        alert("签到成功!");
                                    }
                                }, true, 'post', false);
                            } else {
                                var url_activitySignInAjax = {
                                    activity_id: json.activity_id,
                                    user_id: user_id,
                                    sign_mode: api.pageParam.sign_mode,
                                    cycle_id: api.pageParam.nCycleId
                                }
                                CustomAjax(Url.branchActive.activitySignIn, url_activitySignInAjax, function(ret) {
                                    console.log(JSON.stringify(ret));
                                    if (ret.data.is_sign == 1) {
                                        alert("该用户已签到");
                                    } else {
                                        alert("签到成功!");
                                    }
                                }, true, 'post', false);
                            }
                        }
                        UtilHideLoadImg();
                    } else if (data.t == "0103") {
                        /*活动签到二维码（不刷新）*/
                        UtilShowLoadImg();
                        var user_id = JSON.parse(localStorage.getItem("User")).id;
                        if (api.pageParam.setting.status == 1) {
                            if (json.type == 1) {
                                var url_activitySignInAjax = {
                                    activity_id: json.activity_id,
                                    user_id: user_id
                                }
                                CustomAjax(url_activitySignIn, url_activitySignInAjax, function(ret) {
                                    console.log(JSON.stringify(ret));
                                    if (ret.data.is_sign == 1) {
                                        alert("该用户已签到");
                                    } else {
                                        alert("签到成功!");
                                    }
                                }, true, 'post', false);
                            } else {
                                var zoom = api.pageParam.zoom;
                                var url_activitySignInAjax = {
                                    activity_id: json.activity_id,
                                    user_id: user_id,
                                    cycle_id: api.pageParam.nCycleId,
                                    sign_mode: 2,
                                    longitude: zoom[0],
                                    latitude: zoom[1]
                                }
                                CustomAjax(Url.branchActive.activitySignIn, url_activitySignInAjax, function(ret) {
                                    console.log(JSON.stringify(ret));
                                    if (ret.data.is_sign == 1) {
                                        alert("该用户已签到");
                                    } else {
                                        alert("签到成功!");
                                    }
                                }, true, 'post', false);
                            }
                        } else {
                            if (json.type == 1) {
                                var url_activitySignInAjax = {
                                    activity_id: json.activity_id,
                                    user_id: user_id
                                }
                                CustomAjax(url_activitySignIn, url_activitySignInAjax, function(ret) {
                                    if (ret.data.is_sign == 1) {
                                        alert("该用户已签到");
                                    } else {
                                        alert("签到成功!");
                                    }
                                }, true, 'post', false);
                            } else {
                                var url_activitySignInAjax = {
                                    activity_id: json.activity_id,
                                    user_id: user_id,
                                    sign_mode: api.pageParam.sign_mode,
                                    cycle_id: api.pageParam.nCycleId
                                }
                                CustomAjax(Url.branchActive.activitySignIn, url_activitySignInAjax, function(ret) {
                                    if (ret.data.is_sign == 1) {
                                        alert("该用户已签到");
                                    } else {
                                        alert("签到成功!");
                                    }
                                }, true, 'post', false);
                            }
                        }
                        UtilHideLoadImg();
                    } else {
                        alert("非活动签到二维码请在首页进行扫描");
                    }
                }
            }
        } else {
            console.log(JSON.stringify(err));
        }
    });
}

/*解析getUrl*/
function GetContent(url) {
    var u = url.split("?");
    if (typeof(u[1]) == "string") {
        u = u[1].split("&");
        var get = {};
        for (var i in u) {
            var j = u[i].split("=");
            get[j[0]] = j[1];
        }
        return get;
    } else {
        return {};
    }
}

/*验证md5*/
function verifyMd5(data, sign) {
    var dataSign = "";
    for (var i in data) {
        dataSign += i + data[i];
    }
    dataSign = $.md5(dataSign);
    if (dataSign == sign) {
        return true;
    } else {
        return false;
    }
}
