apiready = function() {
    HeardeOnclick(close, "", "");
    //禁止用户输入
    $("input").attr("disabled", "disabled");
    $(".leave_img").hide();
    /*区分请假类型*/
    var nLeaveType = api.pageParam.leaveType; //用于记录请假类型 1.普通请假 2.活动请假
    /*获取请假详情*/
    var nType = api.pageParam.type; //1.申请 2.审核
    var nUserId = JSON.parse(localStorage.getItem("User")).id;
    var isClick = true; //防止二次点击
    var isAuditType; //用于存储审核打开的类型 1.不同意 2.同意 3.返回上一级 4.同意并转交

    var nApplyId = 0; //审批ID
    var nApproval_id = 0; //获取下一审核人时用
    var nBranchId; //用于存放支部ID
    /*遮罩层点击事件*/
    $(".roof").on("click", function() {
        $(".par").hide();
        hiddenroof();
        if (nType == 1) {
            $(".leaveBtn").show();
        } else {
            $(".change_btn").addClass("checked");
        }
    });
    /*获取数据*/
    var pAjax = {
        leave_id: api.pageParam.id,
        user_id: nUserId
    }
    CustomAjax(Url.branch.getLeaveDetail, pAjax, function(ret) {
        $(".leave_NO font").text(ret.data.leave_code);
        $(".leave_type font").text(ret.data.leave_type == 0 ? "事假" : "病假");
        $("#textarea").val(ret.data.leave_content);
        $(".leave_people font").text(ret.data.check_user_name);
        nApplyId = ret.data.check_apply_id;
        nApproval_id = ret.data.approval_id;
        nBranchId = ret.data.branch_id;
        if (nLeaveType == 2) {
            $(".leave_one").hide();
            $(".leave_date>font").text(timeStampToTime(ret.data.leave_time, 8));
            $(".active_name input").val(ret.data.activity_name);
            HeardeLoad("活动请假", "../../image/login/back.png", "30px", "30px", "");
        } else {
            $(".active_name").parent().hide();
            $(".leave_two").hide();
            $(".leave_start_data>font").text(timeStampToTime(ret.data.leave_start_time, 3));
            $(".leave_end_data>font").text(timeStampToTime(ret.data.leave_end_time, 3));
            HeardeLoad(ret.data.user_name + "的请假", "../../image/login/back.png", "30px", "30px", "");
        }
        var pic_url = ret.data.pic_url;
        if (pic_url.lenght != 0) {
            for (var i = 0; i < pic_url.length; i++) {
                addimagefunction(localStorage.img_url + pic_url[i].url);
            }
        }
        if (ret.data.status != 3 && ret.data.check_status == 0) {
            /*获取审核列表*/
            var url_getDetailByApplyIdAjax = {
                apply_id: ret.data.check_apply_id
            }
            CustomAjax(url_getDetailByApplyId, url_getDetailByApplyIdAjax, function(ret) {
                var html = "";
                var data = ret.data.list;
                if (data.length > 1) {
                    /*已经有老师审核*/
                    $(".leaveBtn").hide();
                }
                /*填充审核状态列表*/
                for (var i = 0; i < data.length; i++) {
                    var ctime = timeStampToTime(data[i].check_time);
                    if (data[i].status == 0) {
                        var status = "审核中";
                        ctime = "";
                    } else if (data[i].status == 1) {
                        var status = "通过";
                    } else if (data[i].status == 2) {
                        var status = "不通过";
                    } else if (data[i].status == 3) {
                        var status = "返回上一级审核人";
                    } else {
                        var status = "同意并转交下一审核人";
                    }
                    html += `
          <li>
              <div>
                  <a><span></span></a>
                  <div></div>
              </div>
              <div>
                  <p>${data[i].stage_name}(${status})</p>
                  <dt>${data[i].arover_name}</dt>
                  <dd>${ctime}</dd>
                  <p>${data[i].opinion}</p>
              </div>
          </li>
          `;
                }
                $(".examine").show();
                $(".examine>ul").append(html);
            }, true, 'post', false);
            /*根据状态去改变老师和学生操作*/
            if (nType == 1) {
                if ($(".examine>ul>li").length == 1) {
                    $(".leaveBtn").show();
                    $(".leaveBtn").on("click", function() {
                        UtilShowLoadImg();
                        var pAjax = {
                            leave_id: api.pageParam.id,
                            user_id: nUserId
                        }
                        CustomAjax(Url.branch.cancelCheck, pAjax, function(ret) {
                            UtilHideLoadImg();
                            showtoastspan("撤销成功");
                            setTimeout(function() {
                                close();
                            }, 300);
                        }, true, 'post', false);
                        UtilHideLoadImg();
                    });
                }
            } else if (ret.data.check_user_id == nUserId) {
                /*获取审核阶段,判断当前审核阶段的位置*/
                var url_getReviewProgressListAjax = {
                    process_id: 6,
                    apply_id: nApplyId
                }
                CustomAjax(url_getReviewProgressList, url_getReviewProgressListAjax, function(ret) {
                  console.log(JSON.stringify(ret));
                    var data = ret.data.list;
                    var statusList = [];
                    for (var i = 0; i < data.length; i++) {
                        statusList.push(data[i].status);
                    }
                    if (statusList[1] == 0) {
                        /*判断第二阶段是否已进行*/
                        if (statusList[statusList.length] == 1) {
                            /*判断最后阶段是否已进行,如果无,则只可以返回上一审核阶段*/
                            $(".change_btn>span:nth-child(4)").hide();
                        }
                    } else {
                        /*位于第一阶段*/
                        $(".change_btn>span:nth-child(1)").hide();
                        $(".change_btn>span:nth-child(4)").hide();
                    }
                }, true, 'get', false);
                $(".change_btn").addClass("checked");
                /*弹窗口的取消按钮点击事件*/
                $(".par>div:nth-child(3)>a").on("click", function() {
                    $(".par").removeClass("checked");
                    $(".roof").click();
                });
                /*不同意按钮*/
                $(".change_btn>span:nth-child(2)").on("click", function() {
                    isAuditType = 1;
                    $(".par>div:nth-child(1)").html("确定要不同意吗?");
                    ThisShowRoof();
                    $(".change_btn").removeClass("checked");
                    $(".par").show();
                });
                /*同意按钮*/
                $(".change_btn>span:nth-child(3)").on("click", function() {
                    isAuditType = 2;
                    $(".par>div:nth-child(1)").html("确定要同意吗?");
                    ThisShowRoof();
                    $(".change_btn").removeClass("checked");
                    $(".par").show();
                });
                /*返回上一级*/
                $(".change_btn>span:nth-child(1)").on("click", function() {
                    isAuditType = 3;
                    $(".par>div:nth-child(1)").html("确定要返回上一级审核吗?");
                    ThisShowRoof();
                    $(".change_btn").removeClass("checked");
                    $(".par").show();
                });
                /*同意并转交*/
                $(".change_btn>span:nth-child(4)").on("click", function() {
                    isAuditType = 4;
                    $(".par>div:nth-child(1)").html("确定要同意并转交吗?");
                    ThisShowRoof();
                    $(".change_btn").removeClass("checked");
                    $(".par").show();
                });
                /*弹出窗口确认按钮事件*/
                $(".par>div:nth-child(3)>span").on("click", function() {
                    if (isClick) {
                        var content = $(".par textarea").val();
                        if (isAuditType == 1) {
                            /*不同意*/
                            if (content == "") {
                                return showtoastspan("请填写不同意理由")
                            }
                            var checkNotPassAjax = {
                                leave_id: api.pageParam.id,
                                user_id: nUserId,
                                check_opinion: content
                            }
                            CustomAjax(Url.branch.checkNotPass, checkNotPassAjax, function(ret) {
                                api.execScript({
                                    name: 'myexamine',
                                    script: 'ChangeStatusFun(' + 6 + ');'
                                });
                                showtoastspan("操作成功!");
                                setTimeout(function() {
                                    close();
                                }, 300)
                            }, true, 'post');
                        } else if (isAuditType == 2) {
                            /*同意*/
                            /*选择下一个导师*/
                            var url_assoGetNextCheckUserAjax = {
                                leave_id: api.pageParam.id,
                                approval_id: nApproval_id,
                                branch_id: nBranchId,
                                process_id: 6,
                            };
                            CustomAjax(url_assoGetNextCheckUser, url_assoGetNextCheckUserAjax, function(ret) {
                                console.log(JSON.stringify(ret));
                                if (ret.data.list.length == 0) {
                                    /*没有审核人*/
                                    var checkPassAjax = {
                                        leave_id: api.pageParam.id,
                                        user_id: nUserId,
                                        next_user_id: 0,
                                        check_opinion: content,
                                        type: 0
                                    }
                                    CustomAjax(Url.branch.checkPass, checkPassAjax, function(ret) {
                                        api.execScript({
                                            name: 'myexamine',
                                            script: 'ChangeStatusFun(' + 6 + ');'
                                        });
                                        showtoastspan("操作成功!");
                                        setTimeout(function() {
                                            close();
                                        }, 300)
                                    }, true, 'post');
                                } else {
                                    var buttonsName = new Array(); //下一个导师名称
                                    var buttonsId = new Array(); //下一个导师ID
                                    var list = ret.data.list;
                                    for (var i = 0; i < list.length; i++) {
                                        buttonsName.push(list[i].arover_name);
                                        buttonsId.push(list[i].arover_id);
                                    }
                                    $(".par").hide();
                                    api.actionSheet({
                                        title: '选择下一审核人',
                                        cancelTitle: '取消',
                                        buttons: buttonsName
                                    }, function(ret, err) {
                                        if (ret) {
                                            var index = ret.buttonIndex - 1;
                                            if (index >= buttonsId.length) {
                                                ThisShowRoof();
                                                $(".par").show();
                                                return;
                                            }
                                            /*同意*/
                                            var NexId = buttonsId[index];
                                            var checkPassAjax = {
                                                leave_id: api.pageParam.id,
                                                user_id: nUserId,
                                                next_user_id: NexId,
                                                check_opinion: content,
                                                type: 0
                                            }
                                            CustomAjax(Url.branch.checkPass, checkPassAjax, function(ret) {
                                                showtoastspan("操作成功!");
                                                api.execScript({
                                                    name: 'myexamine',
                                                    script: 'ChangeStatusFun(' + 6 + ');'
                                                });
                                                setTimeout(function() {
                                                    close();
                                                }, 300)
                                            }, true, 'post');
                                            hiddenroof();
                                        }
                                    });
                                }
                            }, true, 'get');
                        } else if (isAuditType == 3) {
                            /*返回上一级*/
                            if (content == "") {
                                return showtoastspan("请填写返回上一级审核理由");
                            }
                            var doBackCheckAjax = {
                                leave_id: api.pageParam.id,
                                user_id: nUserId,
                                check_opinion: content
                            }
                            CustomAjax(Url.branch.doBackCheck, doBackCheckAjax, function(ret) {
                                api.execScript({
                                    name: 'myexamine',
                                    script: 'ChangeStatusFun(' + 6 + ');'
                                });
                                close();
                            }, true, 'post');
                        } else {
                            /*同意并转交*/
                            api.openWin({
                                name: 'selectteacher',
                                url: '../organization/selectteacher.html',
                                pageParam: {
                                    leave_id: api.pageParam.id,
                                    content: content,
                                    type: 2,
                                    examine: 5,
                                    user_id: nUserId,
                                },
                                vScrollBarEnabled: false,
                                hScrollBarEnabled: false,
                                slidBackEnabled: false
                            });
                        }
                        isClick = false;
                        setTimeout(function() {
                            isClick = true;
                        }, 1000);
                    }
                });
            }
        }
    }, true, 'get', false);
    MUICompatibilityIos();
}


/*添加图片*/
function addimagefunction(url) {
    var html = "";
    html =
        `
<div class="imageClass">
  <img src="${url}">
</div>
`;
    $(".leave_img").before(html);
}

function ThisShowRoof() {
    $(".roof").show();
    /*设置头部栏目颜色*/
    setTimeout(function() {
        api.setStatusBarStyle({
            style: 'dark',
            color: 'rgba(102,102,102,1);'
        });
    }, 20);
    $("html").css("margin-top", "0");
    document.addEventListener("touchmove", function(e) {
        e.preventDefault();
        // e.stopPropagation();
    }, false);
}
