var LEAVE_LIST_P = 1;
var LEAVE_LIST_IS_OR_NOT = 0;
apiready = function() {
    HeardeLoad("请假记录", "../../image/login/back.png", "30px", "30px", "");
    HeardeOnclick(close, "", "");

    var nScreening = null;
    var nType = 2;
    $(".nav_date").on("click", function() {
        var thisFont = $(this).find("font");
        var dtPicker = new mui.DtPicker({
            type: "date"
        });
        dtPicker.show(function(selectItems) {
            console.log(selectItems.value);
            var time = timeToTimeStamp(selectItems.value + " 00:00:00") / 1000;
            if (nScreening != time) {
                nScreening = time;
                thisFont.text(timeStampToTime(nScreening, 8));
                ReloadList(nType, nScreening);
            }
        });
    })
    $(".nav_item").on('click', function() {
        $(".nav_type").toggle();
    });
    $(".type_item").on("click", function() {
        var index = $(this).index();
        if (index != nType) {
            nType = index;
            $(".nav_item font").text($(this).find("span").text());
            ReloadList(nType, nScreening);
        }
    });
    /*下拉刷新和上啦加载*/
    RefreshAndLoad(".content", function() {
        /*下拉刷新：报名人员列表*/
        ReloadList(nType, nScreening);
    }, function() {
        /*上拉加载：报名人员列表*/
        if (LEAVE_LIST_IS_OR_NOT == 0) {
            LEAVE_LIST_P++;
            SendAjax(nType, nScreening);
        }
    });


    ReloadList(nType, nScreening);
    MUICompatibilityIos();
}


/*请求获取数据列表*/
function SendAjax(nType, nScreening) {
    var nUserId = JSON.parse(localStorage.getItem("User")).id;
    var pAjax = {
        user_id: nUserId,
        page: LEAVE_LIST_P,
        size: 10,
    }
    if (nType != 2) {
        pAjax.leave_type = nType;
    }
    if (nScreening != null) {
        pAjax.time = nScreening;
    }
    CustomAjax(Url.branch.getMyApplyLeaveList, pAjax, function(ret) {
        console.log(JSON.stringify(ret));
        if (ret.data.total_size <= LEAVE_LIST_P * 10) {
            LEAVE_LIST_IS_OR_NOT = 1;
        } else {
            LEAVE_LIST_IS_OR_NOT = 0;
        }
        var data = ret.data.list;
        var html = "";
        var statusHtml = "";
        var typeHtml = "";
        for (var i = 0; i < data.length; i++) {
            if (data[i].status != 3) {
                switch (data[i].check_status) {
                    case 0:
                        statusHtml = `
                <div class="li_right">
                    <span class="zhong">${data[i].check_user_name}审核中</span>
                    <span></span>
                    <span>${timeStampToTime(data[i].ctime,8)}</span>
                </div>`;
                        break;
                    case 1:
                        statusHtml = `
                <div class="li_right">
                    <span class="pass">通过</span>
                    <span></span>
                    <span>${timeStampToTime(data[i].ctime)}</span>
                </div>`;
                        break;
                    case 2:
                        statusHtml = `
                <div class="li_right">
                    <span class="notpass">不通过</span>
                    <span></span>
                    <span>${timeStampToTime(data[i].ctime)}</span>
                </div>`;
                        break;
                }
            } else {
                statusHtml = `
              <div class="li_right">
                <span class="cancel">已取消</span>
                <span></span>
                <span>${timeStampToTime(data[i].ctime)}</span>
              </div>
              `;
            }
            if (data[i].leave_type == 0) {
                var leave_type = "事假";
            } else {
                var leave_type = "病假";
            }
            switch (data[i].type) {
                case 1:
                    typeHtml = `
              <span class="leave_ordinary">普通请假</span>
              `;
                    break;
                case 2:
                    typeHtml = `
              <span class="leave_active">活动请假</span>
              `;
                    break;

            }
            html += `
        <li class="list_li" id="${data[i].leave_id}" onclick="LeaveDetail(this)" leaveType="${data[i].type}">
            <div class="li_left">
                <div class="li_title">
                    请假类型:
                    <font>${leave_type}</font>
                    ${typeHtml}
                </div>
                <div class="li_start_time">
                    <span>开始时间：</span>
                    <span>${timeStampToTime(data[i].leave_start_time)}</span>
                </div>
                <div class="li_end_time">
                    <span>结束时间：</span>
                    <span>${timeStampToTime(data[i].leave_end_time)}</span>
                </div>
            </div>
            ${statusHtml}
        </li>
        `;
        }
        $(".leave_list_ul").append(html);
    }, true, 'get', false);
}

/*状态改变触发刷新*/
function ReloadList(nType, nScreening) {
    $(".leave_list_ul").empty();
    LEAVE_LIST_P = 1;
    LEAVE_LIST_IS_OR_NOT = 0;
    SendAjax(nType, nScreening);
    if ($(".leave_list_ul>li").length == 0) {
        $(".no_data").css("display", "flex");
    } else {
        $(".no_data").hide();
    }
}

/*跳转请假详情*/
function LeaveDetail(idd) {
    var id = $(idd).attr("id");
    var leaveType = $(idd).attr("leaveType");
    console.log(leaveType);
    api.openWin({
        name: 'leave_detail',
        url: './leave_detail.html',
        pageParam: {
            id: id,
            type: 1,
            leaveType: leaveType
        }
    });

}
