/*全局变量*/
var image = []; //用于存放所有图片
var imagindex = 0; //当前添加了几张
var RELEASE_TYPE; //发布动态的类型，1个人，2官方
var DYNAMIC_TYPE; //发布官方动态的类型， 1.活动 2.社团 3.机构 4.课程 5.支部
var INDEX = 0; //用于记录目前已上传几张图片
var LOCAL_IMAGES = new Array(); //用于存储上传后的图片集ID
var USER = JSON.parse(localStorage.getItem("User"));
/*针对处理*/
var ORGANIZATION_NAME; //社团名称;
var ORGANIZATION_ID; //社团ID;
var ACTIVITY_NAME; //活动名称;
var ACTIVITY_ID; //活动id;
apiready = function() {
    RELEASE_TYPE = api.pageParam.ReleaseType;
    DYNAMIC_TYPE = api.pageParam.DynamicType;
    if (RELEASE_TYPE == 1) {
        $(".release-view>.release-look").show();
        /*个人*/
    } else {
        $(".release-view>.release-look").hide();
        if (DYNAMIC_TYPE == 1 || DYNAMIC_TYPE == 4) {
            /*活动*/
            ORGANIZATION_NAME = api.pageParam.OrganizationName;
            ORGANIZATION_ID = api.pageParam.OrganizationId;
            ACTIVITY_ID = api.pageParam.ActivityId;
            ACTIVITY_NAME = api.pageParam.ActivityName;
            $(".select_view_item").addClass("checked");
            $("#organization font").html(ORGANIZATION_NAME);
            $("#activity font").html(ACTIVITY_NAME);
            if (api.pageParam.BranchId) {
                $("#organization>span:nth-child(1)").text("举办方");
                $("#organization font").html(ORGANIZATION_NAME);
            }
        } else if (DYNAMIC_TYPE == 2 || DYNAMIC_TYPE == 3 || DYNAMIC_TYPE == 5) {
            /*社团*/
            ORGANIZATION_NAME = api.pageParam.OrganizationName;
            ORGANIZATION_ID = api.pageParam.OrganizationId;
            $("#organization").addClass("checked");
            if (DYNAMIC_TYPE == 5) {
                $("#organization>span:nth-child(1)").text("举办方");
            }
            $("#organization font").html(ORGANIZATION_NAME);
        }
    }
    HeardeLoad("发布动态", "../../image/message/back.png", "30px", "30px", "发表");
    HeardeOnclick(close, "", publish);
    //控制图片为正方形
    $(".release-view-image").css("height", $(".release-view-image").width());
    CompatibilityIos();
};

/*添加图片*/
function addimage() {
    OpenCamera(imagindex, 9, function(Url) {
        addimagefunction(Url, Url);
    }, function(Url, thumbUrl) {
        addimagefunction(Url, thumbUrl);
    })
}

/*将图片呈现在本地界面上*/
function addimagefunction(url, thumbUrl) {
    var html = "";
    html =
        `
<div class="release-view-image" id="${imagindex}">
  <img src="${thumbUrl}"  class="release-view-image-img" >
    <img src="../../image/tag/delete.png" class="release-view-image-icon" onclick="deleteimagefunction(this)">
</div>
`;
    $(".addToImg").before(html);
    imagindex++;
    if (imagindex == 9) {
        $(".addToImg").css("display", "none");
    }
    image.push(url);
}

/*删除该图片在本地上的呈现*/
function deleteimagefunction(id) {
    image.splice($.inArray($(id).siblings(".release-view-image-img").attr("src"), image), 1);
    $(id).parents(".release-view-image").remove();
    imagindex--;
    if (imagindex < 9) {
        $(".addToImg").css("display", "block");
    }
    //临时处理
    INDEX = 0;
    LOCAL_IMAGES = [];
}

var howlookvalue = 0; //默认为所有人可见

function howlook() {
    api.actionSheet({
        cancelTitle: '取消',
        buttons: ['所有人可见', '全部社友可见', '部分社友可见']
    }, function(ret, err) {
        if (ret) {
            var index = ret.buttonIndex;
            var indexname = "";
            if (index > 0 && index < 4) {
                if (index == 1) {
                    howlookvalue = 0;
                    indexname = "所有人可见";
                } else if (index == 2) {
                    howlookvalue = 1;
                    indexname = "全部社友可见";
                } else if (index == 3) {
                    howlookvalue = 2;
                    indexname = "部分社友可见";
                    api.openWin({
                        name: 'howlookhtml',
                        url: './howlookhtml.html',
                        slidBackEnabled: false
                    });
                }
                $(".release-look span:last").html(indexname);
            }
        } else {
            showtoastspan(err.msg);
        };

    });
};

// 发表的ajax
var ii = 0;
var usersId = "";
var imageid = "";
var TEXT_VALUE = "";

function publish() {
    UtilShowLoadImg();
    TEXT_VALUE = $(".text").val();
    if (!TEXT_VALUE.trim()) {
        UtilHideLoadImg();
        return showtoastspan("请填写内容");
    }
    if (imagindex > 0) { //有图片就先上传图片
        circulation();
    } else { //发布
        compelete();
    }
};
/*先上传图片*/
function circulation() {
    fileajax(image[ii], function(ret) {
        LOCAL_IMAGES.push(ret.data.file_id);
        ii++;
        if (ii < imagindex) {
            circulation();
        } else {
            compelete();
        }
    });
}
/*发布动态*/
function compelete(usersId, imageid) {
    /*通用处理*/
    var url_getdynamicIndexAjax = {
        school_id: localStorage.getItem("SchoolId"),
        content: TEXT_VALUE,
        privilege: howlookvalue,
        user_id: USER.id
    };
    if (imagindex > 0) {
        var ajax_imgs = LOCAL_IMAGES.join(",");
        url_getdynamicIndexAjax.img_id = ajax_imgs;
    }
    if (howlookvalue == 2) {
        usersId = localStorage.checkedlookid;
        url_getdynamicIndexAjax.target_id = usersId;
    };
    /*个别处理*/
    if (RELEASE_TYPE == 1) {
        /*个人*/
        url_getdynamicIndexAjax.type = 3;
    } else {
        if (DYNAMIC_TYPE == 1) {
            if (api.pageParam.BranchId) {
                /*支部活动*/
                url_getdynamicIndexAjax.type = 7;
                url_getdynamicIndexAjax.branch_id = api.pageParam.BranchId;
                url_getdynamicIndexAjax.branch_activity_id = ACTIVITY_ID;
            } else {
                /*普通活动*/
                url_getdynamicIndexAjax.activity_id = ACTIVITY_ID;
                url_getdynamicIndexAjax.association_id = ORGANIZATION_ID;
                url_getdynamicIndexAjax.type = 2;
            }
        } else if (DYNAMIC_TYPE == 2) {
            /*社团*/
            url_getdynamicIndexAjax.association_id = ORGANIZATION_ID;
            url_getdynamicIndexAjax.type = 1;
        } else if (DYNAMIC_TYPE == 3) {
            /*机构*/
            url_getdynamicIndexAjax.association_id = ORGANIZATION_ID;
            url_getdynamicIndexAjax.type = 4;
        } else if (DYNAMIC_TYPE == 4) {
            /*课程*/
            url_getdynamicIndexAjax.activity_id = ACTIVITY_ID;
            url_getdynamicIndexAjax.association_id = ORGANIZATION_ID;
            url_getdynamicIndexAjax.type = 5;
        } else {
            /*支部*/
            url_getdynamicIndexAjax.branch_id = api.pageParam.branch_id;
            url_getdynamicIndexAjax.type = 6;
        }
    }
    CustomAjax(url_getdynamicIndex, url_getdynamicIndexAjax, function(ret) {
        UtilHideLoadImg();
        showtoastspan("发布成功");
        if (RELEASE_TYPE == 1) {
            /*个人动态*/
            api.execScript({
                name: 'root',
                script: 'ReloadDynamic(1);'
            });
        } else {
            /*其他动态*/
            api.execScript({
                name: 'root',
                script: 'ReloadDynamic();'
            });
            api.closeToWin({
                name: 'root'
            });
        }
    }, true, 'post', false);
    UtilHideLoadImg();

}
