var CUSTOM_HUAN_XIN = null; //环信配置文件载体
var CUSTOM_HUAN_XIN_STATUS = false; //环信是否连接成功
var CUSTOM_HUAN_XIN_INTERVAL = null; //环信链接的线程
var CUSTOM_HUAN_XIN_CLOSED = true; //防止失败回调执行多次s
/*初始化环信*/
function InitCustomHuanXin(TextMessage, JoinRoomSuccess, deleteRoom, JoinRoomFailed) {
    CUSTOM_HUAN_XIN = new WebIM.connection({
        isMultiLoginSessions: WebIM.config.isMultiLoginSessions,
        https: typeof WebIM.config.https === 'boolean' ? WebIM.config.https : location.protocol === 'https:',
        url: WebIM.config.xmppURL,
        heartBeatWait: WebIM.config.heartBeatWait,
        autoReconnectNumMax: WebIM.config.autoReconnectNumMax,
        autoReconnectInterval: WebIM.config.autoReconnectInterval,
        apiUrl: WebIM.config.apiURL,
        isAutoLogin: true
    });

    CUSTOM_HUAN_XIN.listen({
        onTextMessage: function(message) {
            TextMessage(message);
        }, //收到文本消息
        onPresence: function(message) {
            // alert("加入聊天室回调" + JSON.stringify(message));
            if (message.type == "memberJoinChatRoomSuccess") {
                JoinRoomSuccess();
            } else if (message.type == "deleteGroupChat") {
                deleteRoom();
            } else {
                JoinRoomFailed();
            }
        },
        onOpened: function(message) { //连接成功回调
            // 如果isAutoLogin设置为false，那么必须手动设置上线，否则无法收消息
            // 手动上线指的是调用conn.setPresence(); 如果conn初始化时已将isAutoLogin设置为true
            // 则无需调用conn.setPresence();
            console.log("连接成功！！！！！！");
            CUSTOM_HUAN_XIN_STATUS = true;
            CUSTOM_HUAN_XIN_CLOSED = true;
            if (CUSTOM_HUAN_XIN_INTERVAL) {
                console.log("连接成功,关闭请求线程");
                clearInterval(CUSTOM_HUAN_XIN_INTERVAL);
                CUSTOM_HUAN_XIN_INTERVAL = null;
            }
        },
        onClosed: function(message) {
            console.log("断开链接！！！");
            /*发送请求验证当前用户登录的token是否有效*/
            if (localStorage.hasOwnProperty("Token") && CUSTOM_HUAN_XIN_CLOSED) {
                CUSTOM_HUAN_XIN_CLOSED = false;
                var url_statusTokenAjax = {
                    token: localStorage.getItem("Token")
                };
                CustomAjax(url_statusToken, url_statusTokenAjax, function(ret) {
                    /*有效回调,说明本地掉线不是用户异地登录引起的*/
                    /*重现连接环信*/
                    console.log("token有效");
                    CUSTOM_HUAN_XIN_STATUS = false;
                    if (!CUSTOM_HUAN_XIN_INTERVAL) {
                        CUSTOM_HUAN_XIN_INTERVAL = setInterval(function() {
                            if (localStorage.hasOwnProperty("Token")) {
                                //每隔一秒请求一次重新连接
                                console.log("请求线程");
                                var userData = JSON.parse(localStorage.getItem("User"));
                                var token = localStorage.getItem("hxToken");
                                var options = {
                                    apiUrl: WebIM.config.apiURL,
                                    user: userData.id,
                                    accessToken: token,
                                    appKey: WebIM.config.appkey
                                };
                                CUSTOM_HUAN_XIN.open(options);
                            } else {
                                console.log("无登录用户,关闭请求线程");
                                if (CUSTOM_HUAN_XIN_INTERVAL) {
                                    clearInterval(CUSTOM_HUAN_XIN_INTERVAL);
                                    CUSTOM_HUAN_XIN_CLOSED = true;
                                    CUSTOM_HUAN_XIN_INTERVAL = null;
                                }
                            }
                        }, 1000);
                    }
                }, true, 'post', false, function(ret) {
                    /*失效回调*/
                    console.log("1112123123");
                    localStorage.removeItem("Token"); // 清除token
                    localStorage.removeItem("User"); //清除用户信息
                    localStorage.checkedlookid = null; //全局变量，用于存放发布动态时的选择可见人
                    /*退出环信*/
                    CUSTOM_HUAN_XIN_STATUS = false;
                    CUSTOM_HUAN_XIN.close();
                    api.openWin({
                        name: 'login',
                        reload: true,
                        url: './html/my/login.html',
                        vScrollBarEnabled: false,
                        hScrollBarEnabled: false,
                        slidBackEnabled: false,
                        pageParam: {
                            status: 1
                        }
                    });
                });
                CUSTOM_HUAN_XIN_STATUS = true;
            }
        }, //连接关闭回调

    });
}
/*登录用户*/
function LoginUserCustomHuanXin(UserName, Password, Success, Fail) {
    var options = {
        apiUrl: WebIM.config.apiURL,
        user: UserName,
        pwd: Password,
        appKey: WebIM.config.appkey,
        success: function(token) {
            Success(token);
        },
        error: function() {
            Fail();
        }
    };
    CUSTOM_HUAN_XIN.open(options);
}

/*发送信息*/
function SendMessageCustomHuanXin(Message, TaggleUser, Success, Fail) {
    var id = CUSTOM_HUAN_XIN.getUniqueId(); // 生成本地消息id
    var msg = new WebIM.message('txt', id); // 创建文本消息
    msg.set({
        msg: Message, // 消息内容
        to: TaggleUser, // 接收消息对象（用户id）
        roomType: false,
        success: function(id, serverMsgId) {
            Success();
        },
        fail: function(e) {
            Fail();
        }
    });
    msg.body.chatType = 'singleChat';
    CUSTOM_HUAN_XIN.send(msg.body);
}

// 聊天室发送文本消息
var sendRoomText = function(Message, TaggleId, Success, Fail) {
    var id = CUSTOM_HUAN_XIN.getUniqueId(); // 生成本地消息id
    var msg = new WebIM.message('txt', id); // 创建文本消息
    var option = {
        msg: Message, // 消息内容
        to: TaggleId, // 接收消息对象(聊天室id)
        roomType: true,
        chatType: 'chatRoom',
        success: function() {
            Success();
        },
        fail: function() {
            Fail();
        }
    };
    msg.set(option);
    msg.setGroup('groupchat');
    CUSTOM_HUAN_XIN.send(msg.body);
};

/*加入聊天室*/
function joinRoom(TaggleId) {
    // 加入聊天室
    CUSTOM_HUAN_XIN.joinChatRoom({
        roomId: TaggleId // 聊天室id
    });
};

/*退出聊天室*/
function quitRoom(TagegleId) {
    // 退出聊天室
    CUSTOM_HUAN_XIN.quitChatRoom({
        roomId: TagegleId // 聊天室id
    });
}
