var PluploadUploader; //plupload全局变量
/*解析时间戳*/
function timeStampToTime(timeStamp, after, before) {
    timeStamp = parseInt(timeStamp);
    timeStamp = timeStamp * 1000;
    var date = new Date(timeStamp);
    var Y = date.getFullYear();
    var M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1);
    var D = date.getDate();
    D = D > 9 ? D : "0" + D;
    var h = date.getHours();
    h = h > 9 ? h : "0" + h;
    var m = date.getMinutes();
    m = m > 9 ? m : "0" + m;
    var s = date.getSeconds();
    s = s > 9 ? s : "0" + s;
    var lasttime = Y + '-' + M + '-' + D + ' ' + h + ':' + m + ':' + s;
    if (after) {
        lasttime = lasttime.slice(0, lasttime.length - after);
    }
    if (before) {
        lasttime = lasttime.slice(before, lasttime.length);
    }
    return lasttime;
}

/*时间解析成时间戳
 * time字符串格式为"2018-03-23 18:55:49"
 * */
function timeToTimeStamp(data) {
    return Date.parse(new Date(`${data}`)) || Date.parse(new Date(`${data.replace(/-/g,'/')}`));
}

/*返回倒计时，天时分秒*/
function CountDownTSFM(Time) {
    var Ts = parseInt(Time / 86400); //天数
    var TsY = Time % 86400; //去掉天数后的剩余秒
    var Xs = parseInt(TsY / 3600); //小时数
    var XsY = TsY % 3600; //去掉小时数的剩余秒
    var Fs = parseInt(XsY / 60); //分钟
    var FsY = XsY % 60; //去掉分钟数的剩余秒
    var revlaue = Ts + "天" + Xs + "时" + Fs + "分" + FsY + "秒"; //返回值
    return revlaue;
}

var UTIL_TYPE = {
    GET: "GET",
    POST: "POST"
};

/**
 * 默认传token，并且不需要同步ajax函数
 * @param type
 * @param url
 * @param data
 * @param sucessCallback
 * @constructor
 */
function SimpleAjax(type, url, data, sucessCallback, failedCallback) {
    if (arguments.length == 5 && failedCallback != null) {
        CustomAjax(url, data, sucessCallback, true, type, false, failedCallback);
    } else {
        CustomAjax(url, data, sucessCallback, true, type);
    }
}

/**
 * 自定义处理AJAX
 * @param url 请求url
 * @param data 请求参数，如无参数传null
 * @param sucess_callback 成功回掉函数
 * @param bool 是否需要添加token
 * @param type 请求类型，传"GET"或"POST"
 * @param asynca 是否需要异步
 * @param failed_callback 失败回调
 * @constructor
 */
function CustomAjax(url, data, sucess_callback, bool, type, asynca, failed_callback) {
    if (data == null) {
        data = {};
    }
    if (arguments.length >= "5") {
        /*data排序开始*/
        var dataKey = [];
        for (var key in data) {
            dataKey.push(key);
        }
        dataKey = dataKey.sort();
        var datas = new Object();
        for (var i = 0; i < dataKey.length; i++) {
            datas[dataKey[i]] = data[dataKey[i]];
        }
        /*data排序结束*/
        var sign = "";
        for (var i in datas) {
            sign += i + datas[i];
        }
        sign += "appid" + localStorage.base_appid;
        sign += localStorage.key_secret;
        sign = $.md5(sign);
        data.sign = sign;
        data.appid = localStorage.base_appid;
        console.log(localStorage.base_dev_url + url);
        console.log(JSON.stringify(datas));
        var option = {
            url: localStorage.base_dev_url + url,
            method: type,
            dataType: 'JSON',
            data: datas,
            error: function(XMLHttpRequest, textStatus, errorThrown) {
                UtilHideLoadImg();
                if (textStatus == 'timeout') {
                    showtoastspan("请检查您的网络状态");
                } else if (XMLHttpRequest.status == 0) {
                    return;
                } else if (XMLHttpRequest.status == 200) {
                    console.log(JSON.stringify(errorThrown));
                    console.log(JSON.stringify(textStatus));
                    console.log(JSON.stringify(XMLHttpRequest));
                    showtoastspan("服务器异常");
                }
            }
        }
    };
    if (arguments.length == 7 && failed_callback != null) {
        option.success = function(date) {
            // var date = eval('(' + date + ')');
            if (date.code == 1) {
                sucess_callback(date);
            } else if ((date.message.trim() == "token无效" || date.message.trim() == "参数 token 是一个必填项.") && data.code != 11089) {
                /*token无效*/
                api.sendEvent({
                    name: 'ExitUser',
                    extra: {
                        content: true,
                    }
                });
                UtilHideLoadImg();
                api.openWin({
                    name: 'login',
                    reload: true,
                    url: api.wgtRootDir + '/html/my/login.html',
                    vScrollBarEnabled: false,
                    hScrollBarEnabled: false,
                    slidBackEnabled: false
                });
                showtoastspan("登录失效,请重新登录");
            } else {
                failed_callback(date);
            }
        }
    } else {
        option.success = function(date) {
            // var date = eval('(' + date + ')');
            if (date.code == 1) {
                sucess_callback(date);
            } else {
                //TODO 暂时先用message判断
                if ((date.message.trim() == "token无效" || date.message.trim() == "参数 token 是一个必填项.") && data.code != 11089) {
                    /*token无效*/
                    api.sendEvent({
                        name: 'ExitUser',
                        extra: {
                            content: true,
                        }
                    });
                    UtilHideLoadImg();
                    api.openWin({
                        name: 'login',
                        reload: true,
                        url: api.wgtRootDir + '/html/my/login.html',
                        vScrollBarEnabled: false,
                        hScrollBarEnabled: false,
                        slidBackEnabled: false
                    });
                    showtoastspan("登录失效,请重新登录");
                } else {
                    showtoastspan(date.message);
                }
            }
        }
    }
    if (bool) {
        if (localStorage.hasOwnProperty("Token")) {
            option.headers = {
                token: localStorage.getItem("Token")
            }
        }
    };
    if (arguments.length == "6") {
        option.async = asynca;
    };
    $.ajax(option);
}
/*上传文件AJAX(目前使用api)*/
function fileajax(image, sucess_callback) {
    var data = {
        file_suffix: "jpg"
    }
    var sign = "";
    for (var i in data) {
        sign += i + data[i];
    }
    sign += "appid" + localStorage.base_appid;
    sign = $.md5(sign);
    data.sign = sign;
    data.appid = localStorage.base_appid;
    console.log(JSON.stringify(data));
    api.ajax({
        url: localStorage.base_dev_url + url_uploadFile,
        method: 'post',
        dataType: 'JSON',
        data: {
            files: {
                file: image
            },
            values: data
        },
        headers: {
            token: localStorage.getItem("Token")
        }
    }, function(ret, err) {
        if (ret) {
            // if (ret.code == 1 || ret.code == 200) {
            //     sucess_callback(ret);
            // } else {
            //     showtoastspan(ret.data);
            // }
            sucess_callback(ret);
        } else {
            console.log(JSON.stringify(err));
            showtoastspan("服务器异常");
        }
    });
}
var SHOWTOASTSPAN_CONTENT = ""; //用于判断传值是否重复
/*显示自动消失的提示信息*/
function showtoastspan(content, top) {
    var _top = "";
    if (top) {
        _top = top;
    } else {
        _top = 20;
    }
    if (SHOWTOASTSPAN_CONTENT != content) {
        SHOWTOASTSPAN_CONTENT = content;
        $(".toast_span").remove();
        var html = "";
        html = `
    <span class="toast_span" style="width: 60%;height: auto;white-space:pre-wrap;word-wrap : break-word ;overflow: hidden ;line-height: auto;padding:10px 0;position: fixed;left: 20%;bottom: ${_top}%;background-color: rgba(0, 0, 0, .5);text-align: center;border-radius: 10px;font-size: 14px;color: #fff;z-index:999999999">${content}</span>
    `;
        $("body").append(html);
        setTimeout(function() {
            SHOWTOASTSPAN_CONTENT = "";
            $(".toast_span").fadeOut(1000);
        }, 2000);
    }
}
/*显示加载中图片*/
function UtilShowLoadImg() {
    //   var UtilShowLoadImgHtml = `
    // <div class="ing_reload">
    //   <img src="${api.wgtRootDir}/image/loading_more.gif">
    // </div>
    // `;
    //   $("html").append(UtilShowLoadImgHtml);
    api.showProgress({
        style: 'default',
        animationType: 'fade',
        title: '加载中',
        text: '正在努力加载数据...',
        modal: true
    });
}
/*关闭加载中图片*/
function UtilHideLoadImg() {
    api.hideProgress();
    // $(".ing_reload").remove();
}
/*下拉刷新和上拉加载封装*/
function RefreshAndLoadasd(top, bottom) {
    api.setRefreshHeaderInfo({
        loadingImg: 'widget://image/refresh.png',
        bgColor: '#fff',
        textColor: '#000',
        textDown: '下拉刷新...',
        textUp: '松开刷新...'
    }, function(ret, err) {
        top();
        api.refreshHeaderLoadDone();
    });
    api.addEventListener({
        name: 'scrolltobottom',
        extra: {
            threshold: 10 //设置距离底部多少距离时触发，默认值为0，数字类型
        }
    }, function(ret, err) {
        // api.setWinAttr({
        //     bounces: false
        // });
        bottom();
    });
}
