/*全局变量*/
var ThisModuleId; //用于存放被点击的id
var ox, ex; //用于记录上下左右的距离
var endx; //用于记录上下左右位移的距离
var CLICK_DELE = true; //解决点击穿透问题
var USER = JSON.parse(localStorage.getItem("User"));
var HX = null;
var HX_SUM = parseInt(localStorage.getItem("HX_SUM" + USER.id));
var HX_IDS = []; //用于存储当前用户消息组中的id
apiready = function() {
    var message_list = localStorage.getItem("HX_" + USER.id);
    if (message_list.length > 0) {
        HX = JSON.parse(localStorage.getItem("HX_" + USER.id));
    }
    var right = "";
    right = `
    <div style="font-size:18px;">...</div>
    <div class="about">
      <img src="../../image/message/triangle.png">
      <ul>
        <li onclick="LookHistoryMessage()">
          <a>查看历史消息</a>
          <div></div>
        </li>
        <li onclick="MessageEmpty()">
          <a>清空</a>
          <div></div>
        </li>
      </ul>
    </div>
   `;
    HeardeLoad("我的消息", "../../image/login/back.png", "30px", "30px", right);
    HeardeOnclick(close, "", RightSelect);
    CompatibilityIos();
    /*加载本地存储的数据*/
    if (!HX) { //无消息
        $(".notcontent").show();
    } else { //有消息
        /*组合id*/
        for (var i = 0; i < HX.length; i++) {
            HX_IDS.push(HX[i].id);
        }
        var html = "";
        for (var i = 0; i < HX.length; i++) {
            var title = HX[i].title;
            if (title.length > 13) {
                title = title.slice(0, 13) + "...";
            }
            html += `
      <div class="message_module" id="${HX[i].id}" onclick="OpenDetail(this)">
          <div class="message_module_left">
              <div class="message_image ${HX[i].islook}" indexId="${i}">
                  <img src="../../image/tag/title.png">
                  <img src="../../image/tag/red.png">
              </div>
              <div class="message_content">
                  <div>
                  ${title}
                  </div>
                  <div>${HX[i].ctime}</div>
              </div>
          </div>
          <div class="message_module_right">
              删除
          </div>
      </div>
      `;
        };
        $(".content").append(html);
        /*监测左右滑动*/
        $(".message_module").on("touchstart", function(event) {
            ox = event.touches[0].clientX;
            ThisModuleId = $(this).attr("id");
        });
        $(".message_module").on("touchend", function(event) {
            ex = event.changedTouches[0].clientX;
            endx = ox - ex;
            if (Math.abs(endx) > 100) {
                if (ox > ex) { //向左滑
                    $(".message_module").css("left", "0");
                    $("#" + ThisModuleId).animate({
                        left: "-60px"
                    }, 200);
                } else { //向右滑
                    $("#" + ThisModuleId).animate({
                        left: "0"
                    }, 200);
                }
            }
        });
        /*监听手指上下移动时关闭打开的头部右侧菜单*/
        touchtop(function() {
            if ($(".about").hasClass("checked")) {
                $(".about").removeClass("checked");
            }
        }, function() {
            if ($(".about").hasClass("checked")) {
                $(".about").removeClass("checked");
            }
        });
        /*监听删除按钮*/
        $(".message_module_right").on("click", function() {
            CLICK_DELE = false;
            var id = $(this).parents(".message_module").attr("id");
            var jsontag = JSON.parse(localStorage.getItem("User"));
            var url_deleteMessageAjax = {
                msgid: id,
                username: jsontag.id
            }
            CustomAjax(url_deleteMessage, url_deleteMessageAjax, function(date) {
                if (date.code == 1) {
                    /*处理阅读*/
                    if ($("#" + id).find(".message_image").hasClass("islook")) {
                        HX_SUM--;
                        localStorage.setItem("HX_SUM" + USER.id, HX_SUM);
                    }
                    /*删除消息*/
                    var index = $.inArray(parseInt(id), HX_IDS);
                    if (index >= 0) {
                        HX.splice(index, 1);
                        HX_IDS.splice(index, 1);
                        localStorage.setItem("HX_" + USER.id, JSON.stringify(HX));
                    }
                    $("#" + id).remove();
                } else {
                    showtoastspan(date.message);
                }
            }, true, 'post', false);
        });
    }
}


/*头部右边点击菜单*/
function RightSelect() {
    if ($(".about").hasClass("checked")) {
        $(".about").removeClass("checked");
    } else {
        $(".about").addClass("checked");
    }
}

/*查看历史消息按钮*/
function LookHistoryMessage() {
    api.openWin({
        name: 'messagehistory',
        url: './messagehistory.html',
        slidBackEnabled: false
    });
}

/*消息清空*/
function MessageEmpty() {
    api.confirm({
        title: '是否清空所有信息',
        msg: '是否清空',
        buttons: ['确定', '取消']
    }, function(ret, err) {
        if (ret) {
            var index = ret.buttonIndex;
            if (index == 1) {
                var url_deleteMessageAjax = {
                    username: USER.id
                };
                CustomAjax(url_deleteMessage, url_deleteMessageAjax, function(ret) {
                    HX_SUM = 0;
                    var hx = [];
                    hx = hx.join(",");
                    localStorage.setItem("HX_SUM" + USER.id, HX_SUM);
                    localStorage.setItem("HX_" + USER.id, hx);
                    showtoastspan("清空成功!");
                    api.execScript({
                        name: 'root',
                        script: 'shouye();'
                    });
                }, true, 'post');
            }
        } else {
            showtoastspan("发生了不兼容的错误!");
        }
    });
}


/*跳转详情*/
function OpenDetail(idd) {
    if (CLICK_DELE) {
        var id = $(idd).attr("id");
        if ($(idd).find(".message_image").hasClass("islook")) {
            var url_renewalMessageStatusAjax = {
                username: USER.id,
                msgid: id
            }
            CustomAjax(url_renewalMessageStatus, url_renewalMessageStatusAjax, function(ret) {
                /*处理阅读*/
                HX_SUM--;
                localStorage.setItem("HX_SUM" + USER.id, HX_SUM);
                console.log(HX_SUM);
                console.log(localStorage.getItem("HX_SUM" + JSON.parse(localStorage.getItem("User")).id));
                if ($(idd).find(".message_image").hasClass("islook")) {
                    /*修改本地的阅读状态*/
                    var id = $(idd).find(".message_image").attr("indexId");
                    console.log(JSON.stringify(HX));
                    HX[id].islook = "";
                    localStorage.setItem("HX_" + USER.id, JSON.stringify(HX));
                    $(idd).find(".message_image").removeClass("islook");
                    api.execScript({
                        name: 'root',
                        script: 'shouye()'
                    });
                }
            }, true, 'post', false);
        }
        api.openWin({
            name: 'messageminute',
            url: './messageminute.html',
            pageParam: {
                id: ThisModuleId,
                type:1
            },
            slidBackEnabled: false
        });
    } else {
        CLICK_DELE = true;
    }
}
