/*全局变量*/
var ThisModuleId; //用于存放被点击的id
var ox, ex; //用于记录上下左右的距离
var endx; //用于记录上下左右位移的距离
var page = 1; //用于分页获取历史信息条目(当前显示的页码)
var IsOrNot = 0; //用于记录分页是否还有数据，大于0则没有数据
var CLICK_DELE = true; //解决点击穿透问题
var USER = JSON.parse(localStorage.getItem("User"));
apiready = function() {
    $(".notcontent").hide();
    HeardeLoad("历史消息", "../../image/login/back.png", "30px", "30px", "");
    HeardeOnclick(close, "", "");
    CompatibilityIos();
    GainAjax();
    /*监听手指上下移动*/
    touchtop(function() {
        if ($(".about").hasClass("checked")) {
            $(".about").removeClass("checked");
        }
    }, function() {
        if ($(".about").hasClass("checked")) {
            $(".about").removeClass("checked");
        }
    });
    /*mui下拉刷新和上拉加载*/
    RefreshAndLoadasd(function() {
        /*下拉刷新*/
        $(".load_div").empty();
        page = 1;
        IsOrNot = 0;
        GainAjax();
    }, function() {
        /*上拉加载*/
        if (IsOrNot == 0) {
            page++;
            GainAjax();
        }
    });
    /*初始化*/
    $(".load_div").empty();
    GainAjax();
};

/*头部右边点击菜单*/
function RightSelect() {
    if ($(".about").hasClass("checked")) {
        $(".about").removeClass("checked");
    } else {
        $(".about").addClass("checked");
    }
}
/*获取数据AJAX方法*/
function GainAjax() {
    var id = JSON.parse(localStorage.getItem("User")).id;
    var url_historyMessageAjax = {
        username: id,
        page: page,
        size: 20
    };
    CustomAjax(url_historyMessage, url_historyMessageAjax, function(ret) {
        console.log(JSON.stringify(ret));
        var html = "";
        var data = ret.data.list;
        if (page * 20 >= ret.data.total_size) {
            IsOrNot = 1;
        } else {
            IsOrNot = 0;
        }
        for (var i = 0; i < data.length; i++) {
            var title = data[i].msg_title;
            if (title.length > 13) {
                title = title.slice(0, 13) + "...";
            }
            html += `
        <div class="message_module" id="${data[i].msg_id}" onclick="moduleClick(this)">
            <div class="message_module_left">
                <div class="message_image">
                    <img src="../../image/tag/title.png">
                    <img src="../../image/tag/red.png">
                </div>
                <div class="message_content">
                    <div>
                    ${title}
                    </div>
                    <div>${data[i].ctime}</div></div>
                    </div>
            <div class="message_module_right" onclick="deleteitem(this)">
                删除
            </div>
        </div>
        `;
        };
        if (data == "") {
            $(".notcontent").show();
        }
        $(".load_div").append(html);
        touch();
    }, true, 'post', false);
}

/*监听删除事件*/
function deleteitem(idd) {
    CLICK_DELE = false;
    var id = $(idd).parents(".message_module").attr("id");
    var url_deleteMessageAjax = {
        msgid: id,
        username: USER.id
    };
    CustomAjax(url_deleteMessage, url_deleteMessageAjax, function(date) {
        $("#" + id).remove();
    }, true, 'post');
}
/*监测左右滑动*/
function touch() {
    $(".message_module").on("touchstart", function(event) {
        ox = event.touches[0].clientX;
        ThisModuleId = $(this).attr("id");
    });
    $(".message_module").on("touchend", function(event) {
        ex = event.changedTouches[0].clientX;
        endx = ox - ex;
        if (Math.abs(endx) > 100) {
            if (ox > ex) {
                //向左滑
                $(".message_module").css("left", "0");
                $("#" + ThisModuleId).animate({
                    left: "-60px"
                }, 200);
            } else {
                //向右滑
                $("#" + ThisModuleId).animate({
                    left: "0"
                }, 200);
            }
        }
    });
}

/*消息点击事件*/
function moduleClick(idd) {
    if (CLICK_DELE) {
        var id = $(idd).attr("id");
        var url_renewalMessageStatusAjax = {
            username: USER.id,
            msgid: id
        };
        CustomAjax(url_renewalMessageStatus, url_renewalMessageStatusAjax, function(ret) {

        }, true, 'post');
        api.openWin({
            name: 'messageminute',
            url: './messageminute.html',
            pageParam: {
                id: ThisModuleId,
                type: 1
            },
            slidBackEnabled: false
        });
    } else {
        CLICK_DELE = true;
    }
}
