var ox, ex, endx; //左右滑动所需参数
var THIS_ORGAN_ID; //用于存储当前社团ID
var IMAGE_LIST_P = 1; //精彩瞬间页码
var IMAGES_IS_OR_NOT = 0; //精彩图片的上拉加载的可用性
var PEOPLE_LIST_P = 1; //成员页码
var PEOPLE_IS_OR_NOT = 0; //成员的上拉加载的可用性
var THIS_ORGAN_SCHOOL_ID; //学校ID
var THIS_ORGAN_COLLEGE_ID; //院系ID
var USER = JSON.parse(localStorage.getItem("User"));
var USER_STATUS; //当前用户对于该活动的状态  1.未申请 2.已申请 3.已加入 4.社团人数已满
var USER_IDENTITY = localStorage.getItem("UserType"); //当前用户的身份   1 学生   2 老师
var ACTIVITY_LIST_P = 1; //活动列表页码
var ACTIVITY_IS_OR_NOT = 0; //活动列表
var THIS_ORGAN_NAME; //用于存储当前社团名称
var THIS_TYPE; //用于区分是社团还是机构  2.社团 3.机构
var ASSOS_LOGO; //用于存放社团logo
var ACTIVITY_INTERVAL = null; //公告滚动
apiready = function() {
    THIS_ORGAN_ID = api.pageParam.assoId;
    InitTitle();

    /*分享活动点击事件*/
    $("#more>ul>li:nth-child(1)").on("click", function() {
        $(".transmit").show();
        showroof();
    });
    /*遮罩层点击事件*/
    $(".roof").on("click", function() {
        hiddenroof();
        $(".transmit").css("display", "none");
        $(".par").css("display", "none");
    });
    /*二维码点击事件*/
    $(".Detail>img").on("click", function() {
        var name = $(".orangbase>ul>li:nth-child(1)>span").html();
        api.openWin({
            name: 'qrcode',
            url: '../activity/qrcode.html',
            pageParam: {
                type: 4,
                id: THIS_ORGAN_ID,
                photo: ASSOS_LOGO,
                name: name
            },
            slidBackEnabled: false
        });

    });
    /*监听安卓返回按钮*/
    api.addEventListener({
        name: 'keyback'
    }, function(ret, err) {
        exitDetail();
    });
    /*切换菜单栏点击事件*/
    $(".table>a").on("click", function() {
        var thisid = $(this).attr("id");
        if (!$(".tab div:nth-child(" + thisid + ")").hasClass("show")) {
            $(".table a").removeClass('activetabshow').addClass('activetab');
            $(".table a:nth-child(" + thisid + ")").addClass('activetabshow').removeClass('activetab');
            $(".tab div").removeClass("show");
            $(".tab div:nth-child(" + thisid + ")").addClass("show");
        }
        if (thisid == 2) {
            $(".tab2").empty();
            ActivityList();
        }
        if (thisid == 3) {
            $(".tab3").empty();
            addImages();
        }
        if (thisid == 4) {
            PEOPLE_LIST_P = 1;
            PEOPLE_IS_OR_NOT = 0;
            $(".tab4").empty();
            addOragnPeople();
        }
    });
    $("#retrans>div:nth-child(1)").on("click", function() {
        /*QQ转发*/
        return showtoastspan("QQ转发暂未开放");
    });
    $("#retrans>div:nth-child(3)").on("click", function() {
        /*微信转发*/
        $(".transmit").hide();
        api.actionSheet({
            title: '请选择分享类型',
            cancelTitle: '取消',
            buttons: ['会话', '朋友圈', '收藏']
        }, function(ret, err) {
            var index = ret.buttonIndex;
            if (index == 1) {
                /*会话*/
                var scene = "session";
            } else if (index == 2) {
                /*朋友圈*/
                var scene = "timeline";
            } else if (index == 3) {
                /*收藏*/
                var scene = "favorite";
            } else {
                /*取消*/
                $(".transmit").show();
                return;
            }
            /*调用分享链接*/
            var wx = api.require('wx');
            wx.shareWebpage({
                apiKey: '',
                scene: scene,
                title: '塔联社社团分享',
                description: THIS_ORGAN_NAME,
                thumb: 'widget://image/use/tlslogo.png',
                contentUrl: 'https://www.talianshe.com/wap/orangdetail.html?id=' + THIS_ORGAN_ID
            }, function(ret, err) {
                if (ret.status) {
                    showtoastspan("分享成功");
                } else {
                    if (ret.code == 2) {
                        showtoastspan("分享已取消")
                    } else if (ret.code == 3) {
                        showtoastspan("分享失败");
                    } else if (ret.code == 4) {
                        showtoastspan("授权失败");
                    }
                }
            });
            $(".transmit").show();
        });
    });
    /*监听左右滑动*/
    $(".tab").on("touchstart", function(event) {
        ox = event.touches[0].clientX;
    });
    $(".tab").on("touchend", function(event) {
        ex = event.changedTouches[0].clientX;
        endx = ox - ex;
        if (Math.abs(endx) > 150) {
            if (ox > ex) { //向左滑
                $(".table").find(".activetabshow").next().click();
            } else { //向右滑
                $(".table").find(".activetabshow").prev().click();
            }
        }
    });
    /*相册下拉刷新和上拉加载*/
    RefreshAndLoad(".tab3", function() {
        $(".tab3").empty();
        /*下拉刷新*/
        IMAGE_LIST_P = 1;
        IMAGES_IS_OR_NOT = 0;
        addImages();
    }, function() {
        /*上拉加载：报名人员列表*/
        if (IMAGES_IS_OR_NOT == 0) {
            IMAGE_LIST_P++;
            addImages();
        }
    });
    /*成员下拉刷和上拉加载*/
    RefreshAndLoad(".tab4", function() {
        /*下拉刷新*/
        $(".tab4").empty();
        PEOPLE_LIST_P = 1;
        PEOPLE_IS_OR_NOT = 0;
        addOragnPeople();
    }, function() {
        /*上拉加载：报名人员列表*/
        if (PEOPLE_IS_OR_NOT == 0) {
            PEOPLE_LIST_P++;
            addOragnPeople();
        }
    });
    /*活动列表下拉刷新和上拉加载*/
    RefreshAndLoad(".tab2", function() {
        /*下拉刷新*/
        $(".tab2").empty();
        ACTIVITY_LIST_P = 1;
        ACTIVITY_IS_OR_NOT = 0;
        ActivityList();
    }, function() {
        /*上拉加载：报名人员列表*/
        if (ACTIVITY_LIST_P == 0) {
            ACTIVITY_LIST_P++;
            ActivityList();
        }

    });

    /*适配IOS*/
    ThisHtmlIos();
    var systemType = api.systemType; // 获取手机类型，比如： ios
    if (systemType == 'ios') { //兼容ios
        $(".Detail").css("top", "130px");
    }
};

/*初始化头部*/
function InitTitle() {
    var right = `
   <div style="font-size:18px;">...</div>
   <div class="about" id="more">
     <img src="../../image/message/triangle.png">
     <ul>
       <li>
         <span><img src="../../image/message/share.png"></span>
         <a>社团分享</a>
         <div></div>
       </li>
       <li>
         <span><img src="../../image/message/share.png"></span>
         <a>退出社团</a>
         <div></div>
       </li>
       <li id='release_dynamic'>
         <span><img src="../../image/message/share.png"></span>
         <a>发布动态</a>
         <div></div>
       </li>
     </ul>
   </div>
   `;
    /*获取社团详情*/
    var url_organizationDetailAjax = {
        asso_id: THIS_ORGAN_ID
    }
    if (localStorage.hasOwnProperty("Token")) {
        url_organizationDetailAjax.login_user_id = USER.id;
    }
    CustomAjax(url_organizationDetail, url_organizationDetailAjax, function(ret) {
        console.log(JSON.stringify(ret));
        /*填充数据*/
        var data = ret.data;
        THIS_ORGAN_NAME = data.title; //存储名称
        /*判断类型*/
        if (data.is_association == 1) {
            $(".button_right").html("机构");
            $(".button_right").css("background-color", "rgb(160,160,160)");
            HeardeLoad("机构详情", "../../image/login/back.png", "30px", "30px", right);
            THIS_TYPE = 3;
        } else {
            HeardeLoad("社团详情", "../../image/login/back.png", "30px", "30px", right);
            THIS_TYPE = 2;
        }
        HeardeOnclick(exitDetail, "", more);
        /*退出社团*/
        $("#more>ul>li:nth-child(2)").on("click", function() {
            api.confirm({
                title: '是否退出该社团',
                buttons: ['确定', '取消']
            }, function(ret, err) {
                if (ret) {
                    var index = ret.buttonIndex;
                    if (index == 1) {
                        UtilShowLoadImg();
                        var url_outAssociationAjax = {
                            asso_id: THIS_ORGAN_ID
                        }
                        CustomAjax(url_outAssociation, url_outAssociationAjax, function(ret) {
                            USER_STATUS = 3;
                            exitDetail();
                        }, true, 'post', false);
                        UtilHideLoadImg();
                    }
                }
            });
        });

        var title = data.title;
        if (title.length > 5) {
            title = title.slice(0, 6) + "...";
        }
        $(".orangbase>ul>li:nth-child(1)>span").html(title);
        if (data.level == 1) {
            $(".orangbase>ul>li:nth-child(1)>p").html("院").css("background-image", "url(../../image/message/compound.png)");
        }
        var images = data.promotion_picture.split(",");
        $(".oranglogo img").attr("src", localStorage.img_url + data.logo_url);
        ASSOS_LOGO = data.logo_url;
        $(".orangbase>ul>li:nth-child(3)>span").html(data.school_name + data.college_name);
        if (THIS_TYPE == 3) {
            $(".tab1>div:nth-child(1)").hide();
            $(".tab1>div:nth-child(2)").hide();
            $(".tab1>div:nth-child(3)>span:nth-child(1)").html("管理导师");
            $(".tab1>div:nth-child(3)>span:nth-child(2)").html(data.teacher);
        } else {
            if (data.proprieter == "") {
                $(".tab1>div:nth-child(1)").hide();
            }
            if (data.assistant_proprieter == "") {
                $(".tab1>div:nth-child(2)").hide();
            }
            $(".tab1>div:nth-child(1)>span:nth-child(2)").html(data.proprieter);
            $(".tab1>div:nth-child(2)>span:nth-child(2)").html(data.assistant_proprieter);
            $(".tab1>div:nth-child(3)>span:nth-child(1)").html("导师");
            var result = data.teacher.split(",");
            var teacherHtml = "";
            var assistant_teacher = "";
            for (var i = 0; i < result.length; i++) {
                teacherHtml += `
              ${result[i]}
            `
            }
            if (!data.assistant_teacher) {

            } else {
                teacherHtml += `,${data.assistant_teacher}`;
            }
            $(".tab1>div:nth-child(3)>span:nth-child(2)").html(teacherHtml);
            // $(".tab1>div:nth-child(4)>span:nth-child(2)").html(assistant_teacher);
        }
        if (data.teacher.length == "") {
            $(".tab1>div:nth-child(3)").hide();
        }
        // if(data.assistant_teacher.length ==""){
        //   $(".tab1>div:nth-child(4)").hide();
        // }
        if (data.founder == "") {
            $(".tab1>div:nth-child(4)").hide();
        } else if (data.create_time == "") {
            $(".tab1>div:nth-child(5)").hide();
        } else if (data.synopsis == "") {
            $(".tab1>div:nth-child(6)").hide();
        } else if (data.reading == "") {
            $(".tab1>div:nth-child(7)").hide();
        }
        $(".tab1>div:nth-child(4)>span:nth-child(2)").html(data.founder);
        var ctime = timeStampToTime(data.create_time);
        $(".tab1>div:nth-child(5)>span:nth-child(2)").html(ctime);
        $(".tab1>div:nth-child(6)>span:nth-child(2)").html(data.synopsis);
        $(".tab1>div:nth-child(7)>span:nth-child(2)").html(data.reading);
        $(".table>#2>span").html(parseInt(data.app_activity_num) + parseInt(data.app_course_num));
        $(".table>#3>span").html(data.picture_num);
        $(".table>#4>span").html(data.member_num);
        /*处理社团宣传图*/
        var ImagesHTML = "";
        if (data.promotion_picture_url.length > 0) {
            for (var i = 0; i < data.promotion_picture_url.length; i++) {
                ImagesHTML += `
            <div class="swiper-slide">
                <img src="${localStorage.img_url + data.promotion_picture_url[i].url}">
            </div>
            `;
            }
            $(".swiper-wrapper").html(ImagesHTML);
            if (data.promotion_picture_url.length >= 2) {
                var mySwiper = new Swiper('.swiper-container', {
                    autoplay: true, //可选选项，自动滑动
                    delay: 3000, //1秒切换一次
                    loop: true,
                    pagination: {
                        el: '.swiper-pagination',
                        bulletElement: 'li',
                    },
                });
            }
        }
        /*判断人数上限*/
        console.log(data.limit_member_num);
        if ((data.limit_member_num != (-1)) && (data.member_num >= data.limit_member_num)) {
            $(".button_right").html("社团人数已满");
            $(".button_right").css("background-color", "rgb(160,160,160)");
            USER_STATUS = 4;
        } else {
            /*判断加入状态*/
            USER_STATUS = data.is_member;
            if (USER_IDENTITY == 2) {
                $(".button_right").html("老师不可以加入社团");
                $(".button_right").css("background-color", "rgb(160,160,160)");
                if (THIS_TYPE == 3) {
                    $(".button_right").html("机构");
                    $(".button_right").css("background-color", "rgb(160,160,160)");
                }
            } else if (USER_IDENTITY == 1) {
                if (USER_STATUS == 2) {
                    $(".button_right").html("已申请加入");
                    $(".button_right").css("background-color", "rgb(160,160,160)");
                    $(".par textarea").val(data.application_reason);
                } else if (USER_STATUS == 3) {
                    $(".button_right").html("已是该社团成员");
                    $(".button_right").css("background-color", "rgb(160,160,160)");
                    $(".about ul li:nth-child(2)").show();
                }
            }
        }
        /*是否是管理员*/
        if (localStorage.hasOwnProperty("Token")) {
            if (THIS_TYPE == 2) {
                /*社团*/
                var manager = data.manager.split(",");
                for (var i = 0; i < manager.length; i++) {
                    if (manager[i] == USER.id) {
                        $("#release_dynamic").show();
                    }
                }
            } else {
                /*机构*/
                var teacher_id = data.teacher_id.split(",");
                for (var i = 0; i < teacher_id.length; i++) {
                    if (teacher_id[i] == USER.id) {
                        $("#release_dynamic").show();
                    }
                }
            }
        }
        /*是否关注*/
        if (data.is_attention == 1) {
            $(".button_left").find("img").attr("src", "../../image/message/focusshow.png");
            $(".button_left").find("font").html("取消");
        }
        /*处理评分星星*/
        var score = parseFloat(data.score).toFixed(1);
        var scoreInt = parseInt(score);
        var scoreDou = parseInt((score - scoreInt) * 10);
        var color = scoreDou * 1.5;
        var sum = 15 - color;
        for (var i = 1; i <= scoreInt; i++) {
            $(".xinxin").find("div:nth-child(" + i + ")").css("background", "rgb(255,106,38)");
        }
        scoreInt++;
        if (scoreDou > 0) {
            $(".xinxin").find("div:nth-child(" + scoreInt + ")").css("background", "linear-gradient(to right,rgb(255,106,38) " + color + "px,rgb(237,237,237) " + sum + "px)");
        }
        $(".xinxin>div").each(function() {
            if ($(this).attr("score") <= scoreInt) {
                $(this).attr("background-color", "rgb(255,106,38)");
            }
        });
    }, true, 'get', false);
    /*获取社团公告列表*/
    var url_getAssociationPostListAjax = {
        asso_id: THIS_ORGAN_ID,
        page: 1,
        size: 10
    }
    CustomAjax(url_getAssociationPostList, url_getAssociationPostListAjax, function(ret) {
        console.log(JSON.stringify(ret));
        var html = "";
        var natice_length;
        var data = ret.data.list;
        if (data.length > 0) {
            natice_length = data.length;
            for (var i = 0; i < data.length; i++) {
                if (data[i].is_stick == 1) {
                    html += "";
                    natice_length--;
                } else {
                    html += `
                        <li noticeId='${data[i].notice_id}'onclick="NoticeDetail(this)" style="height:20px;">
                            <a href="#">${data[i].title}</a>
                        </li>
                        `;
                }
            }
            if (html == "") {
                html = `<li>
                            <a href="#">暂无置顶公告</a>
                        </li>`;
            }
            $("#news>ul").html(html);
            console.log(natice_length);
            if (natice_length >= 2) {
                /*开启活动中文字轮播*/
                if (ACTIVITY_INTERVAL) {
                    clearInterval(ACTIVITY_INTERVAL);
                }
                ACTIVITY_INTERVAL = setInterval('autoScroll("#news")', 3000);
            } else {
                if (ACTIVITY_INTERVAL) {
                    clearInterval(ACTIVITY_INTERVAL);
                }
            }
        }
    }, false, 'post');
    /*点击进入公告列表*/
    $(".notice>span:nth-child(3)").on("click", function() {
        api.openWin({
            name: 'notice',
            url: './notice.html',
            pageParam: {
                type: 2,
                id: THIS_ORGAN_ID
            },
            slidBackEnabled: false
        });
    });
    /*发布动态*/
    $("#release_dynamic").on("click", function() {
        api.openWin({
            name: 'releasedynamic',
            url: '../dynamic/releasedynamic.html',
            pageParam: {
                ReleaseType: 2,
                DynamicType: THIS_TYPE,
                OrganizationName: THIS_ORGAN_NAME,
                OrganizationId: THIS_ORGAN_ID
            },
            slidBackEnabled: false
        });
    });
    /*关注按钮*/
    $(".button_left").on("click", function() {
        if (!localStorage.hasOwnProperty("Token")) {
            api.openWin({
                name: 'login',
                reload: true,
                url: '../my/login.html',
                vScrollBarEnabled: false,
                hScrollBarEnabled: false,
                slidBackEnabled: false
            });
        } else {
            UtilShowLoadImg();
            var font = $(this).find("font").html();
            if (font == "取消") {
                /*点击取消关注*/
                var url_cancelCollectAssociationAjax = {
                    asso_id: THIS_ORGAN_ID
                }
                CustomAjax(url_cancelCollectAssociation, url_cancelCollectAssociationAjax, function(ret) {
                    $(".button_left").find("img").attr("src", "../../image/message/focus.png");
                    $(".button_left").find("font").html("关注");
                    if (THIS_TYPE == 2) {
                        /*社团*/
                        var Id_Type = THIS_ORGAN_ID + "_社团";
                    } else {
                        /*机构*/
                        var Id_Type = THIS_ORGAN_ID + "_机构";
                    }
                    TenCentMtaOnEvent('CencleAttention_Mun', 'Id_Type', Id_Type);
                    showtoastspan("取消关注成功");
                    UtilHideLoadImg();
                }, true, 'post');
            } else {
                /*点击关注*/
                var url_collectAssociationAjax = {
                    asso_id: THIS_ORGAN_ID
                }
                CustomAjax(url_collectAssociation, url_collectAssociationAjax, function(ret) {
                    $(".button_left").find("img").attr("src", "../../image/message/focusshow.png");
                    $(".button_left").find("font").html("取消");
                    if (THIS_TYPE == 2) {
                        /*社团*/
                        var Id_Type = THIS_ORGAN_ID + "_社团";
                    } else {
                        /*机构*/
                        var Id_Type = THIS_ORGAN_ID + "_机构";
                    }
                    TenCentMtaOnEvent('Attention_Mun', 'Id_Type', Id_Type);
                    showtoastspan("关注成功");
                    UtilHideLoadImg();
                }, true, 'post');
            }
        }

    });
    /*点击加入社团*/
    $(".button_right").on("click", function() {
        if (THIS_TYPE == 2) {
            if (USER_IDENTITY == 2) {
                return showtoastspan("老师无法加入社团")
            }
        }
        if (!localStorage.hasOwnProperty("Token")) {
            api.openWin({
                name: 'login',
                reload: true,
                url: '../my/login.html',
                vScrollBarEnabled: false,
                hScrollBarEnabled: false,
                slidBackEnabled: false
            });
        } else {
            if (PerfectionUserInfo()) {
                if (THIS_TYPE != 3) {
                    if (USER_STATUS == 1) {
                        $(".par").show();
                        showroof();
                    } else if (USER_STATUS == 2) {
                        $(".par").show();
                        showroof();
                        $(".par textarea").attr("disabled", "disabled");
                        $(".par>div:nth-child(3)").hide();
                    }
                }
            }
        }
    });
    /*弹出窗口的取消按钮*/
    $(".par>div:nth-child(3)>a").on("click", function() {
        $(".roof").click();
    });
    /*弹出窗口的确认按钮*/
    $(".par>div:nth-child(3)>span").on("click", function() {
        if (USER_STATUS == 1) {
            var content = $(".par textarea").val();
            if (content == "") {
                return showtoastspan("请填写申请理由");
            }
            var url_joinAssociationAjax = {
                asso_id: THIS_ORGAN_ID,
                application_reason: content
            }
            CustomAjax(url_joinAssociation, url_joinAssociationAjax, function(ret) {
                showtoastspan("申请完成");
                $(".button_right").html("已申请加入社团");
                $(".button_right").css("background-color", "rgb(160,160,160)");
                $(".par").css("display", "none");
                hiddenroof();
                USER_STATUS = 2;
            }, true, 'post');
        }
    });
}

/*头部菜单切换*/
function more() {
    if ($("#more").hasClass("checked")) {
        $("#more").removeClass("checked");
    } else {
        $("#more").addClass("checked");
    }
}

/*发布社团公告*/
function ReleaseOrang() {
    var name = $(".orangbase>ul>li:nth-child(1)>span").html();
    api.openWin({
        name: 'page1',
        url: '../dynamic/releasedynamic/.html',
        pageParam: {
            name: name
        },
        slidBackEnabled: false
    });
}
/*添加社团相册列表*/
function addImages() {
    var url_getAlbumListAjax = {
        assoc_id: THIS_ORGAN_ID,
        page: IMAGE_LIST_P,
        size: 10
    }
    CustomAjax(url_getAlbumList, url_getAlbumListAjax, function(ret) {
        if (ret.data.total_size <= IMAGE_LIST_P * 10) {
            IMAGES_IS_OR_NOT = 1;
        } else {
            IMAGES_IS_OR_NOT = 0;
        }
        var html = "";
        var data = ret.data.list;
        for (var i = 0; i < data.length; i++) {
            html += `
         <div class='image_module' activityId="${data[i].activity_id}" onclick="OpenImages(this)">
             <div>
                 <img src="${localStorage.img_url + data[i].pic_url}">
             </div>
             <div>${data[i].album_name}</div>
             <div>${data[i].pic_num}张</div>
         </div>
         `;
        }
        if (data.length == 0) {
            html = `<div class="null">暂无数据</div>`;
        }
        $(".tab3").append(html);
    }, false, 'post', false);
}
/*公告滚动*/
function autoScroll(obj) {
    $(obj).find('ul').animate({
        marginTop: '-18px'
    }, 1000, function() {
        $(this).css({
            marginTop: "0px"
        });
        var li = $(obj).find('ul').children().first().clone();
        $(obj).find("ul li:last").after(li);
        $(obj).find("ul li:first").remove();
    });
}
/*获取社团成员*/
function addOragnPeople() {
    var url_getAssociationMemberListAjax = {
        asso_id: THIS_ORGAN_ID,
        page: PEOPLE_LIST_P,
        size: 20,
    }
    CustomAjax(url_getAssociationMemberList, url_getAssociationMemberListAjax, function(ret) {
        if (ret.data.total_size <= PEOPLE_LIST_P * 20) {
            PEOPLE_IS_OR_NOT = 1;
        } else {
            PEOPLE_IS_OR_NOT = 0;
        }
        var data = ret.data.list;
        var html = "";
        for (var i = 0; i < data.length; i++) {
            if (data[i].position_name == "") {
                var position_name = "成员";
            } else {
                var position_name = data[i].position_name;
            }
            if (data[i].photo) {
                var photo = localStorage.img_url + data[i].photo;
            } else {
                var photo = "../../image/use/default.png";
            }
            html += `
          <div PeopleId="${data[i].user_id}" onclick="SelectPeople(this)">
              <div class="headimg">
                  <img src="${photo}">
              </div>
              <div class="member">
                  <p>${data[i].login_name}</p>
                  <span>${position_name}/</span><span>${data[i].college_name}</span>
              </div>
          </div>
          `;
        }
        if (data.length == 0) {
            html = `<div class="null">暂无数据</div>`;
        }
        $(".tab4").append(html);
    }, false, 'post', false);
}
/*添加活动列表*/
function ActivityList() {
    var url_getActivityListAjax = {
        school_id: localStorage.getItem("SchoolId"),
        association_id: THIS_ORGAN_ID,
        page: ACTIVITY_LIST_P,
        size: 10,
        client_type: 2
    }
    if (localStorage.hasOwnProperty("Token")) {
        url_getActivityListAjax.user_id = JSON.parse(localStorage.getItem("User")).id;
        url_getActivityListAjax.manager_user_id = JSON.parse(localStorage.getItem("User")).id;
    }
    if (THIS_TYPE == 2) {
        /*社团*/
        url_getActivityListAjax.activity_class = 1;
    } else if (THIS_TYPE == 3) {
        /*机构*/
        url_getActivityListAjax.activity_class = 3;
    }
    CustomAjax(url_getActivityList, url_getActivityListAjax, function(ret) {
        console.log(JSON.stringify(ret));
        addActivity(ret);
    }, false, 'post', false);
}

/*添加活动模块*/
function addActivity(ret) {
    if (ret.data.total_size <= ACTIVITY_LIST_P * 10) {
        ACTIVITY_IS_OR_NOT = 1;
    } else {
        ACTIVITY_IS_OR_NOT = 0;
    }
    var data = ret.data.list;
    var str = "";
    for (var i = 0; i < data.length; i++) {
        if (data[i].rank_id == 1 || data[i].rank_id == "校级") {
            var rand_idspan = "校";
            var rank = "checked";
        } else {
            var rand_idspan = "院";
            var rank = "";
        }
        if (data[i].status == 1) {
            var status = "../../image/activity/notstart.png";
        } else if (data[i].status == 3 || data[i].status == 2) {
            var status = "../../image/activity/start.png";
        } else {
            var status = "../../image/activity/activityend.png";
        }
        if (data[i].limit_number == (-1)) {
            var limit_number = "不限";
        } else {
            var limit_number = data[i].limit_number;
        }
        var time = timeStampToTime(data[i].activity_start_time, 3) + "~" + timeStampToTime(data[i].activity_end_time, 3);
        str += `
          <div class="activity_view" activityId="${data[i].activity_id}" onclick="OpenActivityDetail(this)">
              <div class="activity_view_img">
                  <img src="${localStorage.img_url + data[i].ad_img_first_url}">
                  <img src="${status}">
              </div>
        <div class="activity_view_title ${rank}">
               <span>${rand_idspan}</span>
            <p>${data[i].activity_name}</p>
        </div>
        <div class="activity_view_address">
            <img src="../../image/activity/address.png">
            <span>${data[i].activity_place}</span>
            <span>管理员</span>
        </div>
        <div class="activity_view_time">
            <img src="../../image/activity/time.png">
            <span>${time}</span>
        </div>
        <div class="activity_vie_people">
            <img src="../../image/activity/people.png">
            <span>${data[i].current_number}/${limit_number}</span>
        </div>
        </div>
`;
    };
    if (data.length == 0) {
        str = `<div class="null">暂无数据</div>`;
    }
    $(".tab2").append(str);
}

/*社团成员详情*/
function SelectPeople(a) { //点击查看社团成员详情
    if (!localStorage.hasOwnProperty("Token")) {
        /*不可查看*/
        api.openWin({
            name: 'login',
            reload: true,
            url: '../my/login.html',
            vScrollBarEnabled: false,
            hScrollBarEnabled: false,
            slidBackEnabled: false
        });
    } else {
        /*可查看*/
        var peopleId = $(a).attr("PeopleId");
        if (THIS_TYPE == 2) {
            /*学生*/
            var type = 1;
        } else {
            /*老师*/
            var type = 2;
        }
        api.openWin({
            name: 'studentmessage',
            url: '../my/studentmessage.html',
            pageParam: {
                type: type,
                peopleId: peopleId
            },
            slidBackEnabled: false
        });
    }
}
/*打开相册详情*/
function OpenImages(idd) {
    var id = $(idd).attr("activityId");
    api.openWin({
        name: 'orangization_images',
        url: './orangization_images.html',
        pageParam: {
            activityId: id
        },
        slidBackEnabled: false
    });
}

/*跳转公告详情*/
function NoticeDetail(idd) {
    var id = $(idd).attr("noticeId")
    api.openWin({
        name: 'noticedetail',
        url: './noticedetail.html',
        pageParam: {
            type: 2,
            id: id
        },
        slidBackEnabled: false
    });
}

/*跳转活动详情*/
function OpenActivityDetail(idd) {
    var id = $(idd).attr("activityId");
    api.openWin({
        name: 'activedetail',
        url: '../activity/activedetail.html',
        pageParam: {
            activityId: id
        },
        slidBackEnabled: false
    });
}
/*当前页面的IOS适配*/
function ThisHtmlIos() {
    CompatibilityIos();
    var systemType = api.systemType; // 获取手机类型，比如： ios
    if (systemType == 'ios') { //兼容ios
        /*高度适配*/
        $(".tab1").css("height", document.documentElement.clientHeight - 401); //不要小看这个277，这个277是算出来的！
    } else {
        /*高度适配*/
        $(".tab1").css("height", document.documentElement.clientHeight - 380); //不要小看这个277，这个277是算出来的！
    }
}

/*提示完善信息*/
function PerfectionUserInfo() {
    if (localStorage.getItem("UserType") == 2) {
        return true;
    }
    if (!(JSON.parse(localStorage.getItem("User")).college_id)) {
        api.confirm({
            title: '请先完善个人信息',
            msg: '现在就去',
            buttons: ['走!', '取消']
        }, function(ret, err) {
            var index = ret.buttonIndex;
            if (index == 1) {
                /*确定*/
                api.openWin({
                    name: 'usedata',
                    url: '../../my/usedata.html',
                });
            }
        });
        return false;
    }
    return true;
}

/*退出按钮*/
function exitDetail() {
    var img = $(".button_left").find("img").attr("src");
    if (img == "../../image/message/focus.png") {
        api.sendEvent({
            name: 'CancelFollow',
            extra: {
                key1: 'value1',
            }
        });
    } else if (USER_STATUS != 3) {
        api.sendEvent({
            name: 'CancelApply',
            extra: {
                key1: 'value1',
            }
        });
    }
    close();
}
